/*
 * Khoros: $Id: kclui.h,v 1.5 1997/01/20 03:46:07 mirage Exp $
 */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:
   >>>>
   >>>>    Written By:
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kclui_kclui_h_
#define _kclui_kclui_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

/* get.c */
int kclui_get_value PROTO((kform *, char *, char *, kaddr, int *));
int kclui_get_flag PROTO((kform *, char *, int *));
int kclui_get_int PROTO((kform *, char *, int *, int *));
int kclui_get_long PROTO((kform *, char *, long *, int *));
int kclui_get_short PROTO((kform *, char *, short *, int *));
int kclui_get_float PROTO((kform *, char *, float *, int *));
int kclui_get_double PROTO((kform *, char *, double *, int *));
int kclui_get_string PROTO((kform *, char *, kstring *, int *));
int kclui_get_infile PROTO((kform *, char *, kstring *, int *));
int kclui_get_outfile PROTO((kform *, char *, kstring *, int *));
int kclui_get_logical PROTO((kform *, char *, int *, int *));

/* prompt.c */
int kclui_prompt_value PROTO((kform *, char *, char *, char *, int,
			      kaddr, int *));
int kclui_prompt_flag PROTO((kform *, char *, char *, int *));
int kclui_prompt_int PROTO((kform *, char *, char *, int *, int *));
int kclui_prompt_long PROTO((kform *, char *, char *, long *, int *));
int kclui_prompt_short PROTO((kform *, char *, char *, short *, int *));
int kclui_prompt_float PROTO((kform *, char *, char *, float *, int *));
int kclui_prompt_double PROTO((kform *, char *, char *, double *, int *));
int kclui_prompt_string PROTO((kform *, char *, char *, kstring *, int *));
int kclui_prompt_infile PROTO((kform *, char *, char *, kstring *, int *));
int kclui_prompt_outfile PROTO((kform *, char *, char *, kstring *, int *));
int kclui_prompt_logical PROTO((kform *, char *, char *, int *, int *));

/* utilities.c */
int kclui_check_args	   PROTO((void));
int kclui_consolidate_args PROTO((kform *));
char *kclui_arguments	   PROTO((char *));


/* check.c */
int kclui_check_bounds_float  PROTO((float, float, float));
int kclui_check_bounds_int    PROTO((int, int, int));
int kclui_check_bounds_double PROTO((double, double, double));

#endif /* _kclui_kclui_h_ */
/* Don't add after this point */
