/*
 * Khoros: $Id: error.h,v 1.5 1997/01/20 03:46:23 mirage Exp $
 */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions related to KCMS error handling
   >>>>
   >>>>    Written By: Steven Jorgensen
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kcms_error_h_
#define _kcms_error_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

        /*
         * error status defines
         */
extern int
        KCMS_OK,
	KCMS_EINTERNAL,
	KCMS_ENULLTB,
	KCMS_ENULLSW,
	KCMS_ENOTFOUND,
	KCMS_EWRONGOBJTYPE,
	KCMS_ENULLCHILD,
	KCMS_EALREADYTHERE,
	KCMS_EBADFILETYPE,
	KCMS_EINVALIDATTR,
	KCMS_ENODB,
        KCMS_CMOPENERR,
        KCMS_CMPANENULL,
        KCMS_NULLNAME,
        KCMS_NULLPATH,
        KCMS_NULLPARENT,
        KCMS_NULLOBJ,
        KCMS_CANNOTMALLOCOBJ,
        KCMS_WRONGOBJTYPE,
        KCMS_TOOLBOXUPDATEFAIL,
        KCMS_OBJALREADYEXIST,
        KCMS_PERMISSION,
        KCMS_INVALIDPATH,
        KCMS_NOMETHOD,
        KCMS_INVALIDATTRIBUTE,
        KCMS_RANGEERR,
        KCMS_TOKENERR,
        KCMS_METHODERR,
        KCMS_OBJTYPEMISMATCH;


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/


#endif /* _kcms_error_h_ */
/* Don't add after this point */
