/*
 * Khoros: $Id: ksignal.h,v 1.7 1997/01/20 03:48:41 mirage Exp $
 */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: This routine has the #includes needed for
   >>>>		       routines that use system dependant signal()
   >>>>                NOTE:  this may be moved into a mach.h that
   >>>>		       contain all the ugly machine dependant garbage.
   >>>>
   >>>>    Written By: Mark Young
   >>>>          Date: May 25, 1993
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kutils_ksignal_h_
#define _kutils_ksignal_h_

        /*-------------------------------------*
        |       #include 
        ---------------------------------------*/

#include <signal.h>

        /*-------------------------------------*
        |       #defines 
        ---------------------------------------*/

/*
 * Make sure we have a define for SIGCHLD
 */
#ifndef SIGCHLD
#define SIGCHLD	SIGCLD
#endif

        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

/* kprocess.c */
void (*ksignal PROTO((int, void (*)(int))))(int);
char *ksignal_format PROTO((int, char *));

#endif /* _kutils_ksignal_h_ */
/* Don't add after the endif */
