/*
 * Khoros: $Id: ktoken.h,v 1.5 1997/01/20 03:48:51 mirage Exp $
 */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:  To provide function declarations and
   >>>>			definitions for the kutils token utilities
   >>>>
   >>>>    Written By:  Mark Young
   >>>>          Date:  May 15, 1995
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kutils_ktoken_h_
#define _kutils_ktoken_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

#define KTOKEN_NONE NULL

        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

typedef kaddr ktoken;

        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/


        /*-------------------------------------*
        |       macros
        ---------------------------------------*/


        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

/* token.c */
char    *ktoken_to_string  PROTO((ktoken));
ktoken  kstring_to_token   PROTO((const char *));
ktoken  ktoken_check	   PROTO((const char *));
int     ktoken_delete	   PROTO((const char *));

#endif /* _kutils_ktoken_h_ */
/* Don't add after this point. */
