
 /*
  * Khoros: $Id: irix.h,v 1.6.2.1 1997/04/17 22:11:43 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:  Operating System dependent for SGI OS.
   >>>>
   >>>>    Written By: John Salas
   >>>>
   >>>>          Date: Jul 16, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _machine_irix_h_
#define _machine_irix_h_

	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KTEMPNAM_DEF 1
#define KVFORK_DEF 0

/*
 * For DB library
 */
#define KST_BLKSIZE_DEF

/*
 *  Tranports currently supported by Khoros under the (irix)
 *  architecture
 */
#define KFILE_DEF
#define KSOCKET_DEF
#define KPIPE_DEF
#define KSHM_DEF
#define KSTREAM_DEF
#define KMMAP_DEF

/*
 * Define which math functions are not defined so that local
 * definitions can be included.
 */
#define KEXP2_DEF
#define KEXP10_DEF
#define KLOG2_DEF
/* #define KSRANDOM_DEF     Should have KRANDOM_DEF defined with this */

/*
 *  X11 extensions currently supported by Khoros under the (irix)
 *  architecture
 */
#define KMITSHM_DEF

#ifndef _SSIZE_T
#define _SSIZE_T
typedef int    ssize_t;
#endif


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

#ifdef __cplusplus
extern "C" {
#endif
char *gettxt PROTO((const char *, const char *));
#ifdef __cplusplus
}
#endif


#endif /* _machine_irix_h_ */
/* Don't add after this point */
