
 /*
  * Khoros: $Id: unicos.h,v 1.5 1997/01/20 03:50:43 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:
   >>>>
   >>>>    Written By: Mark Young & John Salas & Jeremy Worley
   >>>>
   >>>>          Date: Jul 16, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _machine_unicos_h_
#define _machine_unicos_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KVFORK_DEF 0
#define KTEMPNAM_DEF 0

/*
 *  Tranports currently supported by Khoros under the (unicos)
 *  architecture
 */
#define KFILE_DEF
#define KSOCKET_DEF
#define KPIPE_DEF
#define KSTREAM_DEF

/*
 *  X11 extensions currently supported by Khoros under the (unicos)
 *  architecture
 */
#define KSHAPE_DEF


/*
 * Define which math functions are not defined so that local
 * definitions can be included.
 */
#define KTRUNC_DEF
#define KSRANDOM_DEF
#define KRANDOM_DEF
#define KACOSH_DEF
#define KASINH_DEF
#define KATANH_DEF
#define KCBRT_DEF
#define KEXP10_DEF
#define KEXP2_DEF
#define KEXPM1_DEF
#define KLOG1P_DEF
#define KLOG2_DEF


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

typedef char *          caddr_t;

	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/


#endif /* _machine_unicos_h_ */
/* Don't add after this point */
