 /*
  * Khoros: $Id: kcp.h,v 1.14.2.2 1997/05/31 20:51:47 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kcp
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kcp_h_
#define _kcp_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <bootstrap.h>

/* -include_includes */
#include "kcms/kcms.h"
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*----- required ME group ----*/
	/*---- nested optional MI group ----*/
/*
 *  origination toolbox (optional string)
 */
char	*otb_string;	/* origination toolbox STRING */
int	 otb_flag;   	/* origination toolbox FLAG */

/*
 *  destination toolbox (optional string)
 */
char	*ntb_string;	/* destination toolbox STRING */
int	 ntb_flag;   	/* destination toolbox FLAG */

/*
 *  software object to be copied (optional string)
 */
char	*oname_string;	/* software object to be copied STRING */
int	 oname_flag;   	/* software object to be copied FLAG */

	/*-- nested optional MI group end --*/

	/*---- nested optional MI group ----*/
/*
 *  original file (optional infile)
 */
char	*i_file;	/* original file FILENAME */
int	 i_flag;	/* original file FLAG */

/*
 *  copied file (optional outfile)
 */
char	*o_file;	/* copied file FILENAME */
int	 o_flag;	/* copied file FLAG */

	/*-- nested optional MI group end --*/

/*-- required ME group end ---*/

/*
 *  force output? (optional flag)
 */
int	 force_flag;  	/* force output? FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kcp_get_args PROTO((kaddr));
void kcp_usage_additions PROTO((void));
void kcp_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
