 /*
  * Khoros: $Id: kexec.h,v 1.16.2.2 1997/05/31 20:52:17 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kexec
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kexec_h_
#define _kexec_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <bootstrap.h>

/* -include_includes */
#include "kcms/kcms.h"
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  command to be executed (optional string)
 */
char	*cmd_string;	/* command to be executed STRING */
int	 cmd_flag;   	/* command to be executed FLAG */

/*
 *  command arguments (optional string)
 */
char	*args_string;	/* command arguments STRING */
int	 args_flag;   	/* command arguments FLAG */

/*
 *  machine (optional string)
 */
char	*m_string;	/* machine STRING */
int	 m_flag;   	/* machine FLAG */

/*----- optional MI group ----*/
/*
 *  toolbox to execute object from (optional string)
 */
char	*tb_string;	/* toolbox to execute object from STRING */
int	 tb_flag;   	/* toolbox to execute object from FLAG */

/*
 *  Program Object Name to be executed (optional string)
 */
char	*oname_string;	/* Program Object Name to be executed STRING */
int	 oname_flag;   	/* Program Object Name to be executed FLAG */

/*-- optional MI group end ---*/

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kexec_get_args PROTO((kaddr));
void kexec_usage_additions PROTO((void));
void kexec_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
int  pane_command PROTO((char *, char *, char *, char *, char *));
void print_pane_usage PROTO((char *, kobject, int));
/* -include_routines_end */

#endif
