 /*
  * Khoros: $Id: krm.h,v 1.15.2.2 1997/05/31 20:54:49 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for krm
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _krm_h_
#define _krm_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <bootstrap.h>

/* -include_includes */
#include "kcms/kcms.h"
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  toolbox to be removed (or toolbox from which to remove object (optional string)
 */
char	*tb_string;	/* toolbox to be removed (or toolbox from which to remove object STRING */
int	 tb_flag;   	/* toolbox to be removed (or toolbox from which to remove object FLAG */

/*
 *  software object to be removed (optional string)
 */
char	*oname_string;	/* software object to be removed STRING */
int	 oname_flag;   	/* software object to be removed FLAG */

/*
 *  file to be removed (optional infile)
 */
char	*i_file;	/* file to be removed FILENAME */
int	 i_flag;	/* file to be removed FLAG */

/*
 *  force removal? (optional flag)
 */
int	 force_flag;  	/* force removal? FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void krm_get_args PROTO((kaddr));
void krm_usage_additions PROTO((void));
void krm_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
