 /*
  * Khoros: $Id: kappend.h,v 1.14.2.2 1997/05/31 18:39:57 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kappend
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kappend_h_
#define _kappend_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <datamanip.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  Base Input data object (input 1) (required infile)
 */
char	*i1_file;	/* Base Input data object (input 1) FILENAME */
int	 i1_flag;	/* Base Input data object (input 1) FLAG */

/*
 *  Resulting output data object (required outfile)
 */
char	*o_file;	/* Resulting output data object FILENAME */
int	 o_flag;	/* Resulting output data object FLAG */

/*
 *  input file 2 (optional infile)
 */
char	*i2_file;	/* input file 2 FILENAME */
int	 i2_flag;	/* input file 2 FLAG */

/*
 *  input file 3 (optional infile)
 */
char	*i3_file;	/* input file 3 FILENAME */
int	 i3_flag;	/* input file 3 FLAG */

/*
 *  input file 4 (optional infile)
 */
char	*i4_file;	/* input file 4 FILENAME */
int	 i4_flag;	/* input file 4 FLAG */

/*
 *  input file 5 (optional infile)
 */
char	*i5_file;	/* input file 5 FILENAME */
int	 i5_flag;	/* input file 5 FLAG */

/*
 *  input file 6 (optional infile)
 */
char	*i6_file;	/* input file 6 FILENAME */
int	 i6_flag;	/* input file 6 FLAG */

/*
 *  input file 7 (optional infile)
 */
char	*i7_file;	/* input file 7 FILENAME */
int	 i7_flag;	/* input file 7 FLAG */

/*
 *  input file 8 (optional infile)
 */
char	*i8_file;	/* input file 8 FILENAME */
int	 i8_flag;	/* input file 8 FLAG */

/*
 *  input file 9 (optional infile)
 */
char	*i9_file;	/* input file 9 FILENAME */
int	 i9_flag;	/* input file 9 FLAG */

/*
 *  input file 10 (optional infile)
 */
char	*i10_file;	/* input file 10 FILENAME */
int	 i10_flag;	/* input file 10 FLAG */

/*
 *  If True, append objects to base, otherwise prepend (optional logical)
 */
int	 append_logic;	/* If True, append objects to base, otherwise prepend LOGIC */
int	 append_flag;  	/* If True, append objects to base, otherwise prepend FLAG */

/*
 *  Defines map treatment when some, but not all, objects have maps  (Optional list)
 */
int	 mapping_list;	/* Defines map treatment when some, but not all, objects have maps  LIST INDEX */
char	 *mapping_label;	/* Defines map treatment when some, but not all, objects have maps  LIST LABEL */
int	 mapping_flag;	/* Defines map treatment when some, but not all, objects have maps  FLAG */

/*----- optional ME group ----*/
/*
 *  Stack objects along width dimension (optional flag)
 */
int	 w_flag;  	/* Stack objects along width dimension FLAG */

/*
 *  Stack objects along height dimension (optional flag)
 */
int	 h_flag;  	/* Stack objects along height dimension FLAG */

/*
 *  Stack objects along depth dimension (optional flag)
 */
int	 d_flag;  	/* Stack objects along depth dimension FLAG */

/*
 *  Stack objects along time dimension (optional flag)
 */
int	 t_flag;  	/* Stack objects along time dimension FLAG */

/*
 *  Stack objects along elements dimension (optional flag)
 */
int	 e_flag;  	/* Stack objects along elements dimension FLAG */

/*-- optional ME group end ---*/

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kappend_get_args PROTO((kaddr));
void kappend_usage_additions PROTO((void));
void kappend_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
int kappend_build_obj_array PROTO((int, char *, kobject *, kstring *, int *));
/* -include_routines_end */

#endif
