 /*
  * Khoros: $Id: kexprn.h,v 1.4.2.2 1997/05/31 18:48:23 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kexprn
   >>>> 
   >>>>    Written By: Mark Young
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kexprn_h_
#define _kexprn_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <datamanip.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  input data object 1 (required infile)
 */
char	*i1_file;	/* input data object 1 FILENAME */
int	 i1_flag;	/* input data object 1 FLAG */

/*
 *  arithmetic expression (required string)
 */
char	*expr_string;	/* arithmetic expression STRING */
int	 expr_flag;   	/* arithmetic expression FLAG */

/*
 *  resulting output data object (required outfile)
 */
char	*o_file;	/* resulting output data object FILENAME */
int	 o_flag;	/* resulting output data object FLAG */

/*
 *  input data object 2 (optional infile)
 */
char	*i2_file;	/* input data object 2 FILENAME */
int	 i2_flag;	/* input data object 2 FLAG */

/*
 *  input data object 3 (optional infile)
 */
char	*i3_file;	/* input data object 3 FILENAME */
int	 i3_flag;	/* input data object 3 FLAG */

/*
 *  input data object 4 (optional infile)
 */
char	*i4_file;	/* input data object 4 FILENAME */
int	 i4_flag;	/* input data object 4 FLAG */

/*
 *  input data object 5 (optional infile)
 */
char	*i5_file;	/* input data object 5 FILENAME */
int	 i5_flag;	/* input data object 5 FLAG */

/*
 *  input data object 6 (optional infile)
 */
char	*i6_file;	/* input data object 6 FILENAME */
int	 i6_flag;	/* input data object 6 FLAG */

/*
 *  Output Data type (Optional list)
 */
int	 type_list;	/* Output Data type LIST INDEX */
char	 *type_label;	/* Output Data type LIST LABEL */
int	 type_flag;	/* Output Data type FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kexprn_get_args PROTO((kaddr));
void kexprn_usage_additions PROTO((void));
void kexprn_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
