 /*
  * Khoros: $Id: kflip.h,v 1.15.2.2 1997/05/31 18:49:34 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kflip
   >>>> 
   >>>>    Written By: Ramiro Jordan, Becky Bishop
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kflip_h_
#define _kflip_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <datamanip.h>

/* -include_includes */
#include "kdatamanip/kdatamanip.h"
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  Source (input) object (required infile)
 */
char	*i_file;	/* Source (input) object FILENAME */
int	 i_flag;	/* Source (input) object FLAG */

/*
 *  Destination (output) object (required outfile)
 */
char	*o_file;	/* Destination (output) object FILENAME */
int	 o_flag;	/* Destination (output) object FLAG */

/*----- required   group ----*/
/*
 *  reflection in the WIDTH direction (optional flag)
 */
int	 w_flag;  	/* reflection in the WIDTH direction FLAG */

/*
 *  reflection in the HEIGHT direction (optional flag)
 */
int	 h_flag;  	/* reflection in the HEIGHT direction FLAG */

/*
 *  reflection in the DEPTH direction (optional flag)
 */
int	 d_flag;  	/* reflection in the DEPTH direction FLAG */

/*
 *  reflection in the TIME direction  (optional flag)
 */
int	 t_flag;  	/* reflection in the TIME direction  FLAG */

/*
 *  reflection in the ELEMENTS direction (optional flag)
 */
int	 e_flag;  	/* reflection in the ELEMENTS direction FLAG */

/*-- required   group end ---*/

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kflip_get_args PROTO((kaddr));
void kflip_usage_additions PROTO((void));
void kflip_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
