/*
  * Khoros: $Id: internals.h,v 1.5 1997/01/20 06:14:56 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: This include file contains the header
   >>>>		       and define information required by the
   >>>>		       internal routines in kdatamanip
   >>>>
   >>>>    Written By: Donna Koechner, Jeremy Worley, Mark Young
   >>>>
   >>>>          Date: Mar 28, 1993 20:34
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kdatamanip_internals_h_
#define _kdatamanip_internals_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

#include <datamanip.h>


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KDMANIP_MASK_AND 1
#define KDMANIP_MASK_OR  2
#define KDMANIP_MASK_XOR 3

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/



/* utilities.c */
char *return_data_name	PROTO((char *));
int polymorphic_create	PROTO((kobject , char *));
int polymorphic_query	PROTO((kobject , char *));
int kcombine_to_complex  PROTO((kdcomplex **, int, double *, double *));
int kdata_insert        PROTO((kaddr , int, int, double, double));
int kdmanip_mask_ops    PROTO((kobject, int, int, kvalist));
int kdmanip_multi_input_loc    PROTO((int *, int, kvalist));
int kdmanip_multi_input_time   PROTO((int *, int, kvalist));

/*this functions are used in the lkdaufilter.c*/

int kcomb PROTO (( int , int ));

#endif /* _kdatamanip_internals_h_ */
/* Don't add after this point */
