/*
  * Khoros: $Id: InputOnlyP.h,v 1.2 1997/01/20 05:10:07 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for InputOnly object
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_InputOnlyP_h_
#define _kwidgets_InputOnlyP_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

#include <kwidgets/InputOnly.h>


        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

typedef struct _XvwInputOnlyWidgetClassPart
{
     XtPointer  extension;
} XvwInputOnlyWidgetClassPart;

typedef struct _XvwInputOnlyWidgetClassRec
{
   CoreClassPart		core_class;
   XvwInputOnlyWidgetClassPart  inputonly_class;
} XvwInputOnlyWidgetClassRec;

extern  XvwInputOnlyWidgetClassRec xvwInputOnlyWidgetClassRec;

typedef struct
{
   int    busy;
   Cursor cursor;
} XvwInputOnlyPart;


typedef struct _XvwInputOnlyWidgetRec
{
  CorePart		core;
  XvwInputOnlyPart	inputonly;

} XvwInputOnlyWidgetRec;

typedef struct  _XvwInputOnlyWidgetClassRec  *XvwInputOnlyWidgetClass;
typedef struct  _XvwInputOnlyWidgetRec       *XvwInputOnlyWidget;


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwInputOnlyWidget
 */
extern XvwInputOnlyWidgetClassRec xvwInputOnlyWidgetClassRec;


#endif /* _kwidgets_InputOnlyP_h_ */
/* Do not add after this line */
