 /*
  * Khoros: $Id: MenuP.h,v 1.3 1997/01/20 05:10:27 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for Menu object
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Apr 23, 1996
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_MenuP_h_
#define _kwidgets_MenuP_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

#include <kwidgets/Menu.h>
#include <kwidgets/ManagerP.h>


        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

typedef struct _XvwMenuWidgetClassPart
{
     XtPointer  extension;
} XvwMenuWidgetClassPart;

typedef struct _XvwMenuWidgetClassRec
{
   CoreClassPart		 core_class;
   CompositeClassPart		 composite_class;
   ConstraintClassPart		 constraint_class;
   XvwManagerWidgetClassPart	 manager_class;
   XvwMenuWidgetClassPart	 menu_class;
} XvwMenuWidgetClassRec;

extern  XvwMenuWidgetClassRec xvwMenuWidgetClassRec;

typedef struct
{
   Boolean tear_off;

   xvobject separator;
   xvobject toplevel;
   Widget   active;

} XvwMenuPart;


typedef struct _XvwMenuWidgetRec
{
  CorePart		core;
  CompositePart		composite;
  ConstraintPart	constraint;
  XvwManagerPart	manager;
  XvwMenuPart		menu;

} XvwMenuWidgetRec;

typedef struct {int empty;} XvwMenuConstraintsPart;

typedef struct _XvwMenuWidgetConstraintsRec {
    XvwManagerConstraintsPart	  manager;
    XvwMenuConstraintsPart	  menu;
} XvwMenuWidgetConstraintsRec, *XvwMenuWidgetConstraints;

typedef struct  _XvwMenuWidgetClassRec  *XvwMenuWidgetClass;
typedef struct  _XvwMenuWidgetRec       *XvwMenuWidget;


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwMenuWidget
 */
extern XvwMenuWidgetClassRec xvwMenuWidgetClassRec;


#endif /* _kwidgets_MenuP_h_ */
/* Do not add after this line */
