/*
 * Khoros: $Id: kwidgets.h,v 1.4 1997/01/20 05:10:39 mirage Exp $
 */
 
/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions and prototypes for library kwidgets
   >>>>
   >>>>       Toolbox: $DESIGN
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: May 10, 1996
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_kwidgets_h_
#define _kwidgets_kwidgets_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

#include <kwidgets/Manager.h>
#include <kwidgets/ManagerObj.h>
#include <kwidgets/Label.h>
#include <kwidgets/Button.h>
#include <kwidgets/List.h>
#include <kwidgets/Text.h>
#include <kwidgets/Scrollbar.h>
#include <kwidgets/MenuButton.h>
#include <kwidgets/Pixmap.h>
#include <kwidgets/InputOnly.h>
#include <kwidgets/Separator.h>
#include <kwidgets/RowCol.h>
#include <kwidgets/Viewport.h>
#include <kwidgets/Menu.h>


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KJUSTIFY_LEFT   1
#define KJUSTIFY_RIGHT  2
#define KJUSTIFY_CENTER 3

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

void ManagerObjRealize PROTO((WidgetClass, Widget));


#endif /* _kwidgets_kwidgets_h_ */
/* Don't add after this point */
