/*
  * Khoros: $Id: crbitmap.h,v 1.6 1997/01/20 05:10:49 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */



/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definition of the bitmap that 
   >>>>                represents selections that are "live" --
   >>>>                a stylized carriage return.
   >>>>
   >>>>    Written By: Danielle Argiro
   >>>>
   >>>>          Date: Jul 16, 1992
   >>>>
   >>>> Modifications: Updated to Khoros 2.0 (DA)
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvforms_crbitmap_h_
#define _xvforms_crbitmap_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

        /*-------------------------------------*
        |       #defines
        ---------------------------------------*/

#define xvf_cr_bitmap_width  16
#define xvf_cr_bitmap_height 16

        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

        /*-------------------------------------*
        |       static variable declarations
        ---------------------------------------*/

static char xvf_cr_bitmap_bits[] = {
   0xe0, 0x1f, 0x80, 0x3f, 0x00, 0x3e, 0x00, 0x7c, 0x60, 0x78, 0x70, 0x78,
   0x78, 0x78, 0x3c, 0x78, 0x0e, 0x3c, 0xff, 0x1f, 0xff, 0x0f, 0x0e, 0x00,
   0x3c, 0x00, 0x78, 0x00, 0x70, 0x00, 0x60, 0x00
   };

        /*-------------------------------------*
        |       macros
        ---------------------------------------*/

        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

#endif  /* _xvforms_crbitmap_h_ */
/* Don't add after this point */
