 /*
  * Khoros: $Id: xvtoggle.h,v 1.5 1997/01/20 05:11:02 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                          <<<<
   >>>>       Purpose: Attributes for Toggle selections          <<<<
   >>>>                                                          <<<<
   >>>>    Written By: Danielle Argiro                           <<<<
   >>>>                                                          <<<<
   >>>>          Date: Aug 4, 1995                               <<<<
   >>>>                                                          <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvforms_xvtoggle_h_
#define _xvforms_xvtoggle_h_

/*
 * this attribute is not public, used only by guise
 */
#define XVF_TOGGLE_MEMBERS  KVF_TOGGLE_MEMBERS


/*------------------------------------------------------------------------
| Attribute:    XVF_TOGGLE_NUM
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/ToggleNum.sec
| Type:         int
| Valid Items:  Toggles
| Legal Values: 1 <= toggle_num <= 
|		.symbol index XVF_TOGGLE_MEMBER_NUM
------------------------------------------------------------------------*/
#define XVF_TOGGLE_NUM KVF_TOGGLE_NUM

/*------------------------------------------------------------------------
| Attribute:    XVF_TOGGLE_SIZE
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/ToggleSize.sec
| Type:         int
| Valid Items:  Toggles
| Legal Values: size > 1
------------------------------------------------------------------------*/
#define XVF_TOGGLE_SIZE KVF_TOGGLE_SIZE

/*------------------------------------------------------------------------
| Attribute:    XVF_TOGGLE_TYPE
|
| Description:	.include $DESIGN/manual/shared/xvforms/attribs/ToggleType.sec
| Type:         int
| Valid Items:  Toggles
| Legal Values: KUIS_FLAG
|		.br 
|		KUIS_LOGICAL
|		.br
|		KUIS_INTEGER
|		.br
|		KUIS_FLOAT
|		.br
|		KUIS_DOUBLE
|		.br
|		KUIS_STRING
|		.br
|		KUIS_INPUTFILE
|		.br
|		KUIS_OUTPUTFILE
------------------------------------------------------------------------*/
#define XVF_TOGGLE_TYPE KVF_TOGGLE_TYPE

/*------------------------------------------------------------------------
| Attribute:    XVF_TOGGLE_VAL
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/ToggleVal.sec
| Type:         char *
| Valid Items:  Toggles
| Legal Values: The current value of the toggle stored in a string,
|	        regardless of data type of the toggle.
------------------------------------------------------------------------*/
#define XVF_TOGGLE_VAL  KVF_TOGGLE_VAL

#endif /* _xvforms_xvtoggle_h_ */
/* Don't add after this line */

