 /*
  * Khoros: $Id: xvinclude.h,v 1.6.2.1 1997/04/29 22:26:56 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                          <<<<
   >>>>       Purpose: All #defines, structures, and global      <<<<
   >>>>                definitions and routine declarations      <<<<
   >>>>                used by both the xvforms & xvutils        <<<<
   >>>>                libraries                                 <<<<
   >>>>                                                          <<<<
   >>>>    Written By: Danielle Argiro                           <<<<
   >>>>                                                          <<<<
   >>>>          Date: Jul 20, 1992                              <<<<
   >>>>                                                          <<<<
   >>>> Modifications:                                           <<<<
   >>>>                                                          <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _xvinclude_h_
#define _xvinclude_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

/*
 *  general system and design #includes
 */
#include <design.h>

#define NeedFunctionPrototypes	1
#define NeedVarargsPrototypes	1
#define NeedNestedPrototypes	1
#define NeedWidePrototypes	1

/*
 *  In order to reduce problems when mixing compiles between R4/R5 we are
 *  define XTSTRINGDEFINES to pull in the defines rather than the references
 *  to the strings.
 */
#define XTSTRINGDEFINES

/*
 *  includes for X Toolkit Calls
 */
#include <X11/Intrinsic.h>
#include <X11/X.h>
#include <X11/StringDefs.h>

/*
 *  includes for GUI & Visualization Services
 */
#include <xvgraphics/xvgraphics.h>
#include <xvwidgets/xvwidgets.h>
#include <kwidgets/kwidgets.h>
#include <xvobjects/xvobjects.h>
#include <xvutils/xvutils.h>
#include <xvisual/xvisual.h>
#include <xvlang/xvlang.h>
#include <xvforms/xvforms.h>


       /*-------------------------------------*
        |       #defines
        ---------------------------------------*/

/*
 *  Internal Menus brought up by clicking on widgets and/or gadgets
 */
#define XVW_MENUS_NONE     NULL
#define XVW_MENUS_XVFORMS  xvf_init_menuform

	/*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/
/*
 *   Routines to control direct manipulation forms
 */
/* menuform.c */
void xvf_init_menuform PROTO((void));


#endif /* _xvinclude_h_ */
/* Don't add after the endif */
