/*
  * Khoros: $Id: Graphics.h,v 1.6 1997/01/20 05:11:35 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: #defines for graphics class
   >>>>
   >>>>    Written By: John Salas, Danielle Argiro, Mark Young
   >>>>
   >>>>          Date: Aug 20, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvisual_Graphics_h_
#define _xvisual_Graphics_h_

	/*-------------------------------------*
	|       #includes 
	---------------------------------------*/

#include <xvisual/GraphicsGen.h>
#include <xvisual/GraphicsAttach.h>
#include <xvisual/GraphicsAxisMode.h>
#include <xvisual/GraphicsClip.h>
#include <xvisual/GraphicsPersp.h>
#include <xvisual/GraphicsSymmetry.h>
#include <xvisual/GraphicsWC.h>
#include <xvisual/GraphicsVP.h>

	/*-------------------------------------*
	|       #defines 
	---------------------------------------*/

/*
 *  Define the Class name, by which people should be externally referencing
 *  the Graphics Object by.
 */
#define GraphicsGadgetClass	xvwGraphicsGadgetClass
#define GraphicsWidgetClass	xvwGraphicsWidgetClass

    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit WidgetClass Declaration GraphicsGadgetClass
 */
extern   WidgetClass     GraphicsGadgetClass;

/*
 *  XToolkit WidgetClass Declaration GraphicsWidgetClass
 */
extern   WidgetClass     GraphicsWidgetClass;


#endif /* _xvisual_Graphics_h_ */
/* Don't add after this point */
