/*
  * Khoros: $Id: MarkerP.h,v 1.5 1997/01/20 05:11:56 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       marker annotation.
   >>>>
   >>>>    Written By: Steve Kubica, John Salas, & Mark Young
   >>>>
   >>>>          Date: Aug 12, 1992 10:53
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvisual_MarkerP_h_
#define _xvisual_MarkerP_h_

    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <xvisual/GraphicsP.h>
#include <xvisual/Marker.h>

    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwMarkerGadgetClassPart
{
    XtPointer  extension;
} XvwMarkerGadgetClassPart;


typedef struct _XvwMarkerGadgetClassRec
{
    RectObjClassPart         rect_class;
    XvwManagerGadgetClassPart   manager_class;
    XvwGraphicsGadgetClassPart  graphics_class;
    XvwMarkerGadgetClassPart    marker_class;
} XvwMarkerGadgetClassRec;

typedef struct
{
    Coord  placement;
} XvwMarkerPart;


typedef struct _XvwMarkerGadgetRec
{
    ObjectPart		object;
    RectObjPart  	rectobj;
    XvwManagerObjPart	manager;
    XvwGraphicsPart	graphics;
    XvwMarkerPart	marker;
} XvwMarkerGadgetRec;


typedef struct  _XvwMarkerGadgetClassRec  *XvwMarkerGadgetClass;
typedef struct  _XvwMarkerGadgetRec       *XvwMarkerGadget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwMarkerGadget
 */
extern XvwMarkerGadgetClassRec xvwMarkerGadgetClassRec;


#endif /* _xvisual_MarkerP_h_ */
/* Don't add after this point */
