/*
  * Khoros: $Id: RectangleP.h,v 1.6 1997/01/20 05:12:20 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:
   >>>>
   >>>>    Written By:
   >>>>
   >>>>          Date:
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvisual_RectangleP_h_
#define _xvisual_RectangleP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <xvisual/GraphicsP.h>
#include <xvisual/Rectangle.h>

    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwRectangleGadgetClassPart
{
    XtPointer  extension;
} XvwRectangleGadgetClassPart;


typedef struct _XvwRectangleGadgetClassRec
{
    RectObjClassPart             rect_class;
    XvwManagerGadgetClassPart    manager_class;
    XvwGraphicsGadgetClassPart   graphics_class;
    XvwRectangleGadgetClassPart  rectangle_class;
} XvwRectangleGadgetClassRec;

typedef struct
{
    double  x; 
    double  y;
    double  width;
    double  height;
} XvwRectanglePart;


typedef struct _XvwRectangleGadgetRec
{
    ObjectPart		object;
    RectObjPart  	rectobj;
    XvwManagerObjPart	manager;
    XvwGraphicsPart	graphics;
    XvwRectanglePart	rectangle;
} XvwRectangleGadgetRec;


typedef struct  _XvwRectangleGadgetClassRec  *XvwRectangleGadgetClass;
typedef struct  _XvwRectangleGadgetRec       *XvwRectangleGadget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwRectangleGadget
 */
extern XvwRectangleGadgetClassRec xvwRectangleGadgetClassRec;


#endif /* _xvisual_RectangleP_h_ */
/* Don't add after this point */
