 /*
  * Khoros: $Id: Loop.h,v 1.7 1997/01/20 05:13:07 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions for Khoros Loop Widget
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Nov 24, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvlang_Loop_h_
#define _xvlang_Loop_h_

        /*-------------------------------------*
        |       #defines
        ---------------------------------------*/


/*------------------------------------------------------------------------
| Attribute:     XVW_LOOP_TYPE
| Description:   Not available at this time.
| Type:          int
| Default:       N/A
| Legal Values:  N/A
| Resource:	 N/A
------------------------------------------------------------------------*/
#define XVW_LOOP_TYPE    "loopType"

#define KLOOP_TYPE_UNKNOWN	0
#define KLOOP_TYPE_WHILE	1
#define KLOOP_TYPE_COUNT	2
#define KLOOP_TYPE_FOR		3

/*
 *  Define the Class name, by which people should be externally referencing
 *  the Loop Object by.
 */
#define LoopWidgetClass	xvwLoopWidgetClass

        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit WidgetClass Declaration LoopWidgetClass
 */
extern   WidgetClass     LoopWidgetClass;


        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

/*
 *  Khoros Function Definition for Loop Object
 */
xvobject xvw_create_loop PROTO((xvobject, char *));


#endif /* _xvlang_Loop_h_ */
/* Do not add after this line */
