/*
  * Khoros: $Id: ConnectionP.h,v 1.9 1997/01/20 05:13:39 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       connection annotation.
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_ConnectionP_h_
#define _xvobjects_ConnectionP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <kwidgets/ManagerObjP.h>
#include <xvobjects/Connection.h>


    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwConnectionGadgetClassPart
{
    XtPointer  extension;
} XvwConnectionGadgetClassPart;

typedef struct _XvwConnectionGadgetClassRec
{
    RectObjClassPart              rect_class;
    XvwManagerGadgetClassPart     manager_class;
    XvwConnectionGadgetClassPart  connection_class;
} XvwConnectionGadgetClassRec;


typedef struct
{
    int	       type;
    xvobject   begin, end;

    int    num;
    XPoint pt[32];
    int    offset;
    int    x1, x2, y1, y2;
    int    linewidth;
} XvwConnectionPart;


typedef struct _XvwConnectionGadgetRec
{
    ObjectPart	   	object;
    RectObjPart     	rectobj;
    XvwManagerObjPart	manager;
    XvwConnectionPart  	connection;
} XvwConnectionGadgetRec;


typedef struct  _XvwConnectionGadgetClassRec     *XvwConnectionGadgetClass;
typedef struct  _XvwConnectionGadgetRec          *XvwConnectionGadget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwConnectionGadget
 */
extern XvwConnectionGadgetClassRec xvwConnectionGadgetClassRec;


#endif /* _xvobjects_ConnectionP_h_ */
/* Don't add after this point */
