/*
  * Khoros: $Id: ConsoleP.h,v 1.6 1997/01/20 05:13:41 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for Console object
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_ConsoleP_h_
#define _xvobjects_ConsoleP_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

#include <xvobjects/Console.h>
#include <xvobjects/TextDisplayP.h>


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

typedef struct _XvwConsoleWidgetClassPart
{
    XtPointer  extension;
} XvwConsoleWidgetClassPart;

typedef struct _XvwConsoleWidgetClassRec
{
    CoreClassPart		  core_class;
    CompositeClassPart		  composite_class;
    ConstraintClassPart		  constraint_class;
    XvwManagerWidgetClassPart     manager_class;
    XvwViewportWidgetClassPart    viewport_class;
    XvwTextDisplayWidgetClassPart textdisplay_class;
    XvwConsoleWidgetClassPart	  console_class;
} XvwConsoleWidgetClassRec;


typedef struct _XvwConsolePart
{
    int max_lines;
} XvwConsolePart;


typedef struct _XvwConsoleWidgetRec
{
    CorePart		core;
    CompositePart	composite;
    ConstraintPart	constraint;
    XvwManagerPart	manager;
    XvwViewportPart	viewport;
    XvwTextDisplayPart  textdisplay;
    XvwConsolePart	console;
} XvwConsoleWidgetRec;

typedef struct {int empty;} XvwConsoleConstraintsPart;

typedef struct _XvwConsoleWidgetConstraintsRec
{
    XvwManagerConstraintsPart     manager;
    XvwViewportConstraintsPart    viewport;
    XvwTextDisplayConstraintsPart textdisplay;
    XvwConsoleConstraintsPart	  console;
} XvwConsoleWidgetConstraintsRec, *consoleConstraints;

typedef struct _XvwConsoleWidgetClassRec *XvwConsoleWidgetClass;
typedef struct _XvwConsoleWidgetRec      *XvwConsoleWidget;


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwConsoleWidget
 */
extern XvwConsoleWidgetClassRec xvwConsoleWidgetClassRec;


#endif /* _xvobjects_ConsoleP_h_ */
/* Don't add after this point */
