/*
  * Khoros: $Id: GenericWindow.h,v 1.5 1997/01/20 05:13:50 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Attributes of  GenericWindow Widget
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_GenericWindow_h_
#define _xvobjects_GenericWindow_h_

        /*-------------------------------------*
        |       #defines
        ---------------------------------------*/


/*------------------------------------------------------------------------
| Attribute:    XVW_GENERIC_WINDOW
| Description:   
| Type:          
| Default:       
| Legal Values:  
| Resource:	N/A
------------------------------------------------------------------------*/
#define XVW_GENERIC_WINDOW	"genericWindow"


/*
 *  Define the Class name, by which people should be externally referencing
 *  the GenericWindow Object by.
 */
#define GenericWindowWidgetClass	xvwGenericWindowWidgetClass


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit WidgetClass Declaration GenericWindowWidgetClass
 */
extern   WidgetClass     GenericWindowWidgetClass;


        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

/*
 *  Khoros Function Definition for XvwGenericWindowWidget
 */
xvobject xvw_create_genericwindow PROTO((xvobject, char *));


#endif /* _xvobjects_GenericWindow_h_ */
/* Do not add after this line */
