/*
  * Khoros: $Id: NotebookP.h,v 1.3 1997/01/20 05:14:07 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       notebook manager.
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Apr 15, 1996
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_NotebookP_h_
#define _xvobjects_NotebookP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <kwidgets/ManagerP.h>
#include <xvobjects/Notebook.h>

    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwNotebookWidgetClassPart
{
    XtPointer  extension;
} XvwNotebookWidgetClassPart;


typedef struct _XvwNotebookWidgetClassRec
{
    CoreClassPart              core_class;
    CompositeClassPart         composite_class;
    ConstraintClassPart        constraint_class;
    XvwManagerWidgetClassPart  manager_class;
    XvwNotebookWidgetClassPart notebook_class;
} XvwNotebookWidgetClassRec;

typedef struct
{
    Widget	   selected;
    int		   buffer_size;
    XtCallbackList notebook_callback;

    klist	   *tabs;
    Boolean	   override;

} XvwNotebookPart;


typedef struct _XvwNotebookWidgetRec
{
    CorePart	    core;
    CompositePart   composite;
    ConstraintPart  constraint;
    XvwManagerPart  manager;
    XvwNotebookPart notebook;
} XvwNotebookWidgetRec;


typedef struct  _XvwNotebookWidgetClassRec   *XvwNotebookWidgetClass;
typedef struct  _XvwNotebookWidgetRec        *XvwNotebookWidget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwNotebookWidget
 */
extern  XvwNotebookWidgetClassRec xvwNotebookWidgetClassRec;


#endif /* _xvobjects_NotebookP_h_ */
/* Don't add after this point */
