/*
  * Khoros: $Id: OutputFileP.h,v 1.6 1997/01/20 05:14:12 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for OutputFile object
   >>>>
   >>>>    Written By: Mark Young and Danielle Argiro
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_OutputFileP_h_
#define _xvobjects_OutputFileP_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

#include <xvobjects/OutputFile.h>
#include <kwidgets/ManagerP.h>


        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

typedef struct _XvwOutputFileWidgetClassPart
{
     XtPointer  extension;
} XvwOutputFileWidgetClassPart;

typedef struct _XvwOutputFileWidgetClassRec
{
   CoreClassPart		core_class;
   CompositeClassPart		composite_class;
   ConstraintClassPart		constraint_class;
   XvwManagerWidgetClassPart	manager_class;
   XvwOutputFileWidgetClassPart	outputfile_class;
} XvwOutputFileWidgetClassRec;

extern  XvwOutputFileWidgetClassRec xvwOutputFileWidgetClassRec;

typedef struct
{
   xvobject button;
   xvobject crlabel;
   xvobject text;
   xvobject browser;
   Boolean  display_button;
   XtCallbackList outputfile_callback;

} XvwOutputFilePart;


typedef struct _XvwOutputFileWidgetRec
{
  CorePart		core;
  CompositePart		composite;
  ConstraintPart	constraint;
  XvwManagerPart	manager;
  XvwOutputFilePart	outputfile;

} XvwOutputFileWidgetRec;

typedef struct {int empty;} XvwOutputFileConstraintsPart;

typedef struct _XvwOutputFileWidgetConstraintsRec {
    XvwManagerConstraintsPart	 manager;
    XvwOutputFileConstraintsPart outputfile;
} XvwOutputFileWidgetConstraintsRec, *XvwOutputFileWidgetConstraints;

typedef struct  _XvwOutputFileWidgetClassRec  *XvwOutputFileWidgetClass;
typedef struct  _XvwOutputFileWidgetRec       *XvwOutputFileWidget;


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwOutputFileWidget
 */
extern XvwOutputFileWidgetClassRec xvwOutputFileWidgetClassRec;


#endif /* _xvobjects_OutputFileP_h_ */
/* Do not add after this line */
