/*
  * Khoros: $Id: WarnP.h,v 1.6 1997/01/20 05:14:31 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for Warn object
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_WarnP_h_
#define _xvobjects_WarnP_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

#include <xvobjects/Warn.h>
#include <kwidgets/ManagerP.h>


        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

typedef struct _XvwWarnWidgetClassPart
{
     XtPointer  extension;
} XvwWarnWidgetClassPart;

typedef struct _XvwWarnWidgetClassRec
{
   CoreClassPart		core_class;
   CompositeClassPart		composite_class;
   ConstraintClassPart		constraint_class;
   XvwManagerWidgetClassPart	manager_class;
   XvwWarnWidgetClassPart	warn_class;
} XvwWarnWidgetClassRec;


typedef struct
{
   xvobject button;
   xvobject label;
   xvobject text;
   Pixmap   warn_pixmap;
   XtCallbackList warn_callback;

} XvwWarnPart;


typedef struct _XvwWarnWidgetRec
{
  CorePart		core;
  CompositePart		composite;
  ConstraintPart	constraint;
  XvwManagerPart	manager;
  XvwWarnPart		warn;

} XvwWarnWidgetRec;

typedef struct {int empty;} XvwWarnConstraintsPart;

typedef struct _XvwWarnWidgetConstraintsRec {
    XvwManagerConstraintsPart	manager;
    XvwWarnConstraintsPart	warn;
} XvwWarnWidgetConstraintsRec, *XvwWarnWidgetConstraints;

typedef struct  _XvwWarnWidgetClassRec  *XvwWarnWidgetClass;
typedef struct  _XvwWarnWidgetRec       *XvwWarnWidget;


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwWarnWidget
 */
extern XvwWarnWidgetClassRec xvwWarnWidgetClassRec;


#endif /* _xvobjects_WarnP_h_ */
/* Do not add after this line */
