 /*
  * Khoros: $Id: xvutils.h,v 1.10 1997/01/13 20:24:45 mirage Exp $
  */



/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                          <<<<
   >>>>       Purpose: Contains all #defines, structures, global <<<<
   >>>>                definitions used by the xvutils library   <<<<
   >>>>                                                          <<<<
   >>>>    Written by: Danielle Argiro				 <<<<
   >>>>                                                          <<<<
   >>>>          Date: Jul 7, 1992  16:56                        <<<<
   >>>>                                                          <<<<
   >>>> Modifications:				                 <<<<
   >>>>                                                          <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<  */

#ifndef _xvutils_xvutils_h_
#define _xvutils_xvutils_h_


	/*-------------------------------------*
        |       #include
        ---------------------------------------*/

	/*-------------------------------------*
        |       #defines
        ---------------------------------------*/

	/*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

	/*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

        /*-------------------------------------*
        |       macros
        ---------------------------------------*/

        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

/* browser.c */
char *xvu_browse_wait      PROTO((char *));

/* choose.c */
int xvu_choose      PROTO((char **, int, int, int *, char **, char *));
int xvu_choose_wait PROTO((char *, char **, int, int, int, char **));

/* error.c */
int xvu_error      PROTO((char *, char *, char *, char *, char *, char *));
int xvu_error_wait PROTO((char *, char *, char *));

/* quit.c */
int xvu_quit      PROTO((char *));
int xvu_quit_wait PROTO((char *, char *, char *));

/* help.c */
int xvu_help_wait   PROTO((char *, char *));

/* info.c */
int xvu_info      PROTO((char *));
int xvu_info_wait PROTO((char *, char *, char *));

/* list.c */
xvw_list_struct *xvu_run_list_wait PROTO((char **, size_t, char *, char *, int, int));
xvw_list_struct **xvu_run_list_multsel_wait PROTO((char **, size_t, char *, 
						   char *, int, int, int *));

/* query.c */
int xvu_query_wait PROTO((char *, char **, char *, char **, int, int));

/* save.c */
int xvu_save       PROTO((char *));
int xvu_save_wait PROTO((char *, char *, char *, char *, char *));

/* warn.c */
int xvu_warn      PROTO((char *, char *, char *, char *, char *));
int xvu_warn_wait PROTO((char *, char *, char *));

/* prompt.c */
int xvu_prompt      PROTO((char *, char *, int, char *));
int xvu_prompt_wait PROTO((char *, char *, char *, char *));

/* pixmaps.c */
void xvutils_cache_pixmaps PROTO((void));


#endif /* _xvutils_xvutils_h_ */
/* Don't add after the endif */
