 /* Khoros: $Id: internals.h,v 1.5.2.8 1997/05/24 19:02:14 mirage Exp $ */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for kwidgets library
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Sep 29, 1993
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_internals_h_
#define _kwidgets_internals_h_


	/*-------------------------------------*
	|       #include 
	---------------------------------------*/

#include <design.h>
#include <xvinclude.h>
#include <X11/IntrinsicP.h>
#include <X11/Xmu/Xmu.h>
#include <X11/Xmu/WinUtil.h>
#include <kwidgets/LabelP.h>


	/*-------------------------------------*
	|       #defines 
	---------------------------------------*/

#define KWIDGETS "kwidgets"


	/*-------------------------------------*
	|       #macros 
	---------------------------------------*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/

	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

void DefaultRefreshSelection  PROTO((Widget));
void DefaultEraseSelection    PROTO((Widget));
void ManagerDrawBorder        PROTO((Widget, Region, GC, GC, int, int, int, int,
				     unsigned int, unsigned int));
XtGeometryResult ManagerGeometryManager PROTO((Widget, XtWidgetGeometry *,
					XtWidgetGeometry *));

/*-- pixmaps.c --*/
void kwidgets_cache_pixmaps PROTO((void));
 
/*-- TextUtil.c --*/
void ConcatenateLines PROTO((char **, int, char *));

/*-- LabelUtil.c --*/
void LabelEraseLine        PROTO((Widget, int));
void LabelDrawLine         PROTO((Widget, int, int, int, int, int));
void LabelDrawContents     PROTO((Widget));
void LabelRefreshContents  PROTO((Widget, Widget));
void LabelDrawCursor       PROTO((Widget, GC));
void LabelDrawHighlight    PROTO((Widget, char *, int, int, int, int, int,
			          int, int));

int  LabelFindXOffset     PROTO((Widget, char *));
int  LabelFindYOffset     PROTO((Widget));
void LabelCompileString   PROTO((Widget));
 
int  LabelCalculateCharCursorXY  PROTO((Widget, int, int, int *, int *));
void LabelCalculatePixelCursorXY PROTO((Widget, int, int));
void LabelDetermineCursorPos     PROTO((char **, int, int, int, int *));
void LabelDetermineCursorXYLoc   PROTO((char **, int, int,
                                        int *, int *, int *));
void LabelPageDown PROTO((xvobject));
void LabelPageUp   PROTO((xvobject));
void LabelPasteBuffer PROTO((xvobject));
void LabelResetCutCursorPosition PROTO((xvobject));
void LabelEnsureCursorVisibility PROTO((xvobject, xvobject));

#endif /* _kwidgets_internals_h_ */
/* Don't add after this point */
