 /*
  * Khoros: $Id: pixmaps.c,v 1.2.2.6 1997/06/08 15:13:12 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: pixmaps.c,v 1.2.2.6 1997/06/08 15:13:12 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "internals.h"

/* XPM */
static char *lightning_xpm_0[] = {
/*  pixmap
 * width height ncolors chars_per_pixel */
"16 16 4 1",
/**/
" 	c #c4c4c4",
".	c #ffffff",
"X	c #000000",
"o	c #353535",
/* pixels */
"       ......   ",
"      .XXXXXo   ",
"     .XXXXXo    ",
"     .XXXXo     ",
"    .XXXXo      ",
"    .XXXoooo    ",
"   .XXXXXXXo    ",
"  .XXXXXXXo     ",
"  ....XXXo      ",
"    .XXXo       ",
"   .XXXo        ",
"   .XXo         ",
"  .XXo          ",
"  .Xo           ",
" .Xo            ",
" .o             ",
NULL};


/* XPM */
static char *std_xpm_1[] = {
/* width height num_colors chars_per_pixel */
"    16    16        2            1",
/* colors */
". c #c4c4c4",
"# c #000000",
/* pixels */
"................",
"..##............",
"...##...........",
"..#.##..........",
"..##.##.........",
"...##.##........",
"..#.##.##.......",
"..##.##.##......",
"..##.##.##......",
"..#.##.##.......",
"...##.##........",
"..##.##.........",
"....##..........",
"...##...........",
"..##............",
"................",
NULL};



/*-----------------------------------------------------------
| 
|  Routine Name: xvforms_cache_pixmaps
| 
|       Purpose: Caches all pixmaps for the xvforms library
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname xvforms
|          Date: July 1, 1997
| Modifications: 
| 
------------------------------------------------------------*/
void xvforms_cache_pixmaps(void)
{

    static int initialized = FALSE;

    /* Only need to initialize pixmaps once... */
    if (initialized == TRUE)
	    return;

    initialized = TRUE;

    /*
     * and now, a call to xvw_cache_pixmap()
     * for each pixmap in the pixmaps/ directory...
     */
    xvw_cache_pixmap("$DESIGN/objects/library/xvforms/pixmaps/lightning.xpm",
                     lightning_xpm_0);
    xvw_cache_pixmap("$DESIGN/objects/library/xvforms/pixmaps/std.xpm",
                     std_xpm_1);

}


