 /*
  * Khoros: $Id: pixmaps.c,v 1.4.2.7 1997/06/08 15:13:14 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: pixmaps.c,v 1.4.2.7 1997/06/08 15:13:14 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "internals.h"

/* XPM */
static char *count_xpm_0[] = {
"24 24 6 1",
" 	s None	c None",
".	c #000000",
"X	c #00ffff",
"o	c #979797",
"O	c #747474",
"+	c #c4c4c4",
"        .......         ",
"      ..XXXXXXX..       ",
"     .XXXXXXXXXXX.      ",
"    .XXXX.....XXXX.     ",
"   .XXX..     ..XXX.    ",
"  .XXX.    o.O  .XXX.   ",
" .XXX.     ...   .XXX.  ",
" .XX.      O.Oo   .XX.  ",
".XXX.        o     .XX. ",
".XX.       ..      .XX. ",
".XX.       ..O   ....X..",
".XX.       ..o    .XXXXX",
".XX.      ..O      .XXX.",
".XX.      ..O      o.X.+",
".XXX.    ...O..o   oo.o ",
" .XX.  o..O...O   .oo.o ",
" .XXX.  OOoO.O   .X.oo  ",
"  .XXX.     O   .XXX.   ",
"   .XXX..     ..XXX.    ",
"    .XXXX.....XXXX.     ",
"     .XXXXXXXXXXX.      ",
"      ..XXXXXXX..       ",
"        .......         ",
"                        ",
NULL};


/* XPM */
static char *expr_xpm_1[] = {
"24 24 7 1",
" 	s None	c None",
".	c #747474",
"X	c #000000",
"o	c #c4c4c4",
"O	c #ffffff",
"+	c #eeeeee",
"@	c #ffff00",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"         .XXX..         ",
"        .XoOoX..        ",
"  XXXXXXX+OOO+XXXXXXX   ",
"  @@@@@XoOOOOOoX@@@@@.  ",
"  @@@@@XOOOOOXOX@@@@@.. ",
"  XXXXXXoOOOOXoXXXXXX.. ",
"  XXXXXXX+OXX+XXXXXXX.. ",
"   ......XoOoX......... ",
"    ......XXX.......... ",
"         ......         ",
"          ....          ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
NULL};


/* XPM */
static char *ifthen_xpm_2[] = {
"24 24 7 1",
" 	s None	c None",
".	c #747474",
"X	c #000000",
"o	c #ffff00",
"O	c #c4c4c4",
"+	c #ffffff",
"@	c #eeeeee",
"          .XXXXXXXXX    ",
"         .Xooooooooo.   ",
"         Xoooooooooo..  ",
"         XoooXXXXXXX..  ",
"         XooXXXXXXXX..  ",
"         XooXX........  ",
"         XooXX........  ",
"         XXXXX..        ",
"        .XO+OX..        ",
"  XXXXXXX@+++@X.        ",
"  oooooXO+++++OX.       ",
"  oooooX+++++X+X..      ",
"  XXXXXXO+++OXOX..      ",
"  XXXXXXX@+XX@X...      ",
"   ......XO+OX...       ",
"    .....XXXXX..        ",
"         XooXX..        ",
"         XooXXX..       ",
"         XoooXXXXXXX    ",
"         Xoooooooooo.   ",
"         XXooooooooo..  ",
"         .XXXXXXXXXX..  ",
"          .XXXXXXXXX..  ",
"           ...........  ",
NULL};


/* XPM */
static char *merge_xpm_3[] = {
"24 24 4 1",
" 	s None	c None",
"X	c #000000",
"o	c #747474",
"O	c #ffff00",
"  XXXXXXXXXo            ",
"  OOOOOOOOXXo           ",
"  OOOOOOOOOXXo          ",
"  XXXXXXOOOXXo          ",
"  XXXXXXXOOXXoo         ",
"   ooooXXOOXXoo         ",
"    ooooXOOXXoo         ",
"       oXOOXXoo         ",
"        XOOXXXoo        ",
"        XOOOXXXXXXXX    ",
"        XOOOOOOOOOOOo   ",
"        XOOOOOOOOOOOoo  ",
"        XOOOXXXXXXXXoo  ",
"        XOOXXXXXXXXXoo  ",
"        XOOXXXoooooooo  ",
"        XOOXXooooooooo  ",
"        XOOXXooo        ",
"        XOOXXoo         ",
"  XXXXXXOOOXXoo         ",
"  OOOOOOOOOXXoo         ",
"  OOOOOOOOXXXoo         ",
"  XXXXXXXXXXooo         ",
"  XXXXXXXXXooo          ",
"  ooooooooooo           ",
NULL};


/* XPM */
static char *switch_xpm_4[] = {
"24 24 7 1",
" 	s None	c None",
"X	c #000000",
"o	c #747474",
"O	c #ffff00",
"+	c #c4c4c4",
"@	c #eeeeee",
".	c #ffffff",
"  XXXXXXXXXo            ",
"  OOOOOOOOXXo           ",
"  OOOOOOOOOXXo          ",
"  XXXXXXOOOXXo          ",
"  XXXXXXXOOXXoo         ",
"   ooooXXOOXXoo         ",
"    ooooXOOXXoo         ",
"       oXXXXXoo         ",
"       oX+.+Xoo         ",
"      oX@...@XXXXXXX    ",
"      X+.....+XOOOOOo   ",
"      X.....X.XOOOOOoo  ",
"      X+...+X+XXXXXXoo  ",
"      oX@.XX@XXXXXXXoo  ",
"       oX+.+Xooooooooo  ",
"        XXXXXooooooooo  ",
"        XOOXXoo         ",
"        XOOXXoo         ",
"  XXXXXXOOOXXoo         ",
"  OOOOOOOOOXXoo         ",
"  OOOOOOOOXXXoo         ",
"  XXXXXXXXXXooo         ",
"  XXXXXXXXXooo          ",
"  .oooooooooo           ",
NULL};


/* XPM */
static char *trigger_xpm_5[] = {
"24 24 5 1",
" 	c #eeeeee",
".	s None	c None",
"X	c #000000",
"o	c #747474",
"O	c #ffff00",
" .XXXXXXXXXo............",
" .OOOOOOOOXXo...........",
" .OOOOOOOOOXXo..........",
" .XXXXXXOOOXXo..........",
" .XXXXXXXOOXXoo.........",
" ..ooooXXOOXXoo.........",
" ...ooooXOOXXoo.........",
" ......oXOOXXoo.........",
" .......XOOXXXoo........",
" .......XOOOXXXXXXXX....",
" .......XOOOOOOOOOOOo...",
" .......XXOOOOOOOOOOoo..",
" .......oXXXXXXXXXXXoo..",
" ........oXXXXXXXXXXoo..",
" .........oooooooooooo..",
" ..........ooooooooooo..",
" .........XXX...........",
" .........XOXo..........",
" .........XXXoo.........",
" ..........oooo.........",
" .XXX.XXX.XXXoo.........",
" .XOXoXOXoXOXo..........",
" .XXXoXXXoXXXoo.........",
" ..oooooooooooo.........",
NULL};


/* XPM */
static char *while_xpm_6[] = {
"24 24 6 1",
" 	s None	c None",
".	c #000000",
"X	c #00ffff",
"o	c #c4c4c4",
"O	c #979797",
"+	c #747474",
"        .......         ",
"      ..XXXXXXX..       ",
"     .XXXXXXXXXXX.      ",
"    .XXXX.....XXXX.     ",
"   .XXX..ooooo..XXX.    ",
"  .XXX.  O...O  .XXX.   ",
" .XXX.  O.....O  .XXX.  ",
" .XX.   ..+++..O  .XX.  ",
".XXX.   ..+OO..+   .XX. ",
".XX.    O+OO..+O   .XX. ",
".XX.      O..+O  ....X..",
".XX.      ..+O    .XXXXX",
".XX.      ..+      .XXX.",
".XX.      ..+      O.X.o",
".XXX.      ++      OO.O ",
" .XX.     ..O     .OO.O ",
" .XXX.    ..+    .X.OO  ",
"  .XXX.   O++   .XXX.   ",
"   .XXX..     ..XXX.    ",
"    .XXXX.....XXXX.     ",
"     .XXXXXXXXXXX.      ",
"      ..XXXXXXX..       ",
"        .......         ",
"                        ",
NULL};


/* XPM */
static char *procedure_xpm_7[] = {
"24 24 6 1",
"+	c None",
" 	c #000000",
".	c #454545",
"X	c #ffffff",
"O	c #747474",
"@	c #00ffff",
"OO@@@@@@@@@@@@@@@@@@@@OO",
"O@@@@@@@@@@@@@@@@@@@@@@.",
"@@@                  @@@",
"@@ ++++++++++++++++++ @@",
"@@ ++++++++++++++++++ @@",
"@@ ++++++++++++++++++ @@",
"@@ ++++++++++++XXXXX+ @@",
"@@ ++++++++++++XOOO + @@",
"@@ +XXXXX+++...XOOO + @@",
"@@ +XOOO +++.++     + @@",
"@@ +XOOO ....++++++++ @@",
"@@ +     ++.+++++++++ @@",
"@@ ++++++++.+++++++++ @@",
"@@ ++++++++.++XXXXX++ @@",
"@@ ++++++++...XOOO ++ @@",
"@@ +++++++++++XOOO ++ @@",
"@@ +++++++++++     ++ @@",
"@@ ++++++++++++++++++ @@",
"@@ ++++++++++++++++++ @@",
"@@ ++++++++++++++++++ @@",
"@@ ++++++++++++++++++ @@",
"@@@                  @@@",
"O@@@@@@@@@@@@@@@@@@@@@@.",
"..@@@@@@@@@@@@@@@@@@@@..",
NULL};


/* XPM */
static char *procedure_open_xpm_8[] = {
"10 10 2 1",
" 	c #ffffff",
".	s None	c None",
"          ",
".         ",
"..        ",
"...       ",
"....      ",
".....     ",
"......    ",
".......   ",
"........  ",
"......... ",
NULL};


/* XPM */
static char *procedure_close_xpm_9[] = {
"10 10 2 1",
" 	c #ffffff",
".	s None	c None",
" .........",
"  ........",
"   .......",
"    ......",
"     .....",
"      ....",
"       ...",
"        ..",
"         .",
"          ",
NULL};


/* XPM */
static char *pane_close_xpm_10[] = {
"10 10 2 1",
" 	s None	c None",
".	c #000000",
"         .",
"        ..",
"       ...",
"      ....",
"     .....",
"    ......",
"   .......",
"  ........",
" .........",
"..........",
NULL};


/* XPM */
static char *pane_open_xpm_11[] = {
"10 10 2 1",
" 	c #000000",
".	s None	c None",
"          ",
"         .",
"        ..",
"       ...",
"      ....",
"     .....",
"    ......",
"   .......",
"  ........",
" .........",
NULL};


/* XPM */
static char *remote_xpm_12[] = {
"10 10 2 1",
" 	s None	c None",
".	c #000000",
"          ",
" .. .. .. ",
" .. .. .. ",
"          ",
" .. .. .. ",
" .. .. .. ",
"          ",
" .. ..    ",
" .. ..    ",
"          ",
NULL};


/* XPM */
static char *cantata_xpm_13[] = {
"32 32 7 1",
" 	c #979797",
".	c #000000",
"X	c #eeeeee",
"o	c #747474",
"O	c #c4c4c4",
"+	c #454545",
"@	c #ffffff",
"                                ",
" .............................  ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .X ... ... ... ...     ... o.o ",
" .ooooooooooooooooooooooooooo.o ",
" .............................o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .XOOoo++XXooOO++           o.o ",
" .XOOoo++XXooOO++           o.o ",
" .ooooooooooooooooooooooooooo.o ",
" .............................o ",
" .                        XXX.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXooo.o ",
" .X                          .o ",
" .ooooooooooooooooooooo         ",
" ...................... +++++++ ",
" .XXXXXXXXXXXXXXXXXXXXX +@@@@@@ ",
" .X  .  .   .. . . ..   +@XXXX. ",
" .X . .  .  .  .  . .   +@Xoo+. ",
" .ooooooooooooooooooooo +@Xoo+. ",
" ...................... +@++++. ",
"  ooooooooooooooooooooo +...... ",
"                                ",
NULL};


/* XPM */
static char *cdav_xpm_14[] = {
"16 5 2 1",
" 	c #000000",
".	c #ffff00",
"                ",
"................",
"................",
"                ",
"                ",
NULL};


/* XPM */
static char *check_xpm_15[] = {
"32 32 4 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXX.ooXX",
" XXXXXXXXX. XXXXXXXXX. XXXooo.XX",
" XXXXXXXXX. XXXXXXXXX. XXooo.XXX",
" XXXXXXXXX. XXXXXXXXX. Xooo.XXXX",
" XXXXXXXXX. XXXXXXXXX. ooo..XXXX",
" XXXXXXXXX. XXXXXXXXX.oooo.XXXXX",
" XXXXXXXXX. XXXXXXXXXoooo.XXXXXX",
"....................oooo........",
"          .        .ooo..       ",
" XXXXXXXXX. XXXXXX.oooo.XXXXXXXX",
" XXXXXXXXX. XXXXXXoooo..XXXXXXXX",
" XXXXXXXXX. XXXXXooooo.XXXXXXXXX",
" XXXXXXXXo. XXXX.oooo..XXXXXXXXX",
" XXXXXXXooo XXXXooooo. XXXXXXXXX",
" XXXXXXoooooXXX.oooo.. XXXXXXXXX",
" XXXXXoooooooX.ooooo.. XXXXXXXXX",
" XXXXXXoooooooooooo... XXXXXXXXX",
" XXXXXXXooooooooooo.X. XXXXXXXXX",
".........ooooooooo..............",
"          oooooooo.  .          ",
" XXXXXXXXX.oooooo..XX. XXXXXXXXX",
" XXXXXXXXX. ooooo.XXX. XXXXXXXXX",
" XXXXXXXXX. Xooo..XXX. XXXXXXXXX",
" XXXXXXXXX. XXoo.XXXX. XXXXXXXXX",
" XXXXXXXXX. XXX..XXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *clear_xpm_16[] = {
"32 32 4 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXoXX. XXXXXXXXX. XoXXXXXXX",
" XXXXXoooX. XXXXXXXXX. oooXXXXXX",
" XXXXooooo. XXXXXXXXX.oooooXXXXX",
" XXXXXooooo XXXXXXXXXooooo.XXXXX",
" XXXXXXoooooXXXXXXXXooooo..XXXXX",
"........ooooo......ooooo........",
"         ooooo    ooooo..       ",
" XXXXXXXXXoooooXXooooo..XXXXXXXX",
" XXXXXXXXX.oooooooooo..XXXXXXXXX",
" XXXXXXXXX. oooooooo.. XXXXXXXXX",
" XXXXXXXXX. Xoooooo... XXXXXXXXX",
" XXXXXXXXX. Xoooooo.X. XXXXXXXXX",
" XXXXXXXXX. ooooooooX. XXXXXXXXX",
" XXXXXXXXX.oooooooooo. XXXXXXXXX",
" XXXXXXXXXooooo..ooooo XXXXXXXXX",
" XXXXXXXXooooo..XXoooooXXXXXXXXX",
"........ooooo......ooooo........",
"       ooooo..      ooooo       ",
" XXXXXooooo..XXXXXXXXoooooXXXXXX",
" XXXXooooo..XXXXXXXXX.oooooXXXXX",
" XXXXXooo.. XXXXXXXXX. ooo..XXXX",
" XXXXXXo... XXXXXXXXX. Xo..XXXXX",
" XXXXXXXXX. XXXXXXXXX. XX.XXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. ooXooXooX",
" XXXXXXXXX. XXXXXXXXX. ooXooXooX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *close_xpm_17[] = {
"32 32 6 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"O	c #ffeeb0",
"+	c #ffeeb0",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
"................................",
"        ooooo        .          ",
" XXXXXXoOOOOOoXXXXXXX. XXXXXXXXX",
" XXXXooOOOOOOOooooooooooooXXXXXX",
" XXXXoOOOOOOOOOOOOOOOOOOOo.XXXXX",
" XXXXooOOOOOO+oooooooooooo.XXXXX",
" XXXXoOoOOOO+oOOOOOOOOOOOo.XXXXX",
" XXXXoOOoooooOOOOOOOOOOOOo.XXXXX",
" XXXXoOOOOOOOoOOOOoOOOOOOo.XXXXX",
" XXXXoOOOOOOoooOOoooOOOOOo.XXXXX",
" XXXXoOOOOOOOoooooo.OOOOOo.XXXXX",
".....oOOOOOOOOoooo.OOOOOOo......",
"     oOOOOOOOOoooo.OOOOOOo.     ",
" XXXXoOOOOOOOooooooOOOOOOo.XXXXX",
" XXXXoOOOOOOooo..oooOOOOOo.XXXXX",
" XXXXoOOOOOOOo.OOOo.OOOOOo.XXXXX",
" XXXXoOOOOOOOOOOOOOOOOOOOo.XXXXX",
" XXXXooooooooooooooooooooo.XXXXX",
" XXXXX.....................XXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *console_xpm_18[] = {
"32 32 8 1",
" 	c #979797",
".	c #000000",
"X	c #eeeeee",
"o	c #747474",
"O	c #c4c4c4",
"+	c #747474",
"@	c #454545",
"#	c #ffffff",
"                                ",
" .............................  ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .X ... ... ... ...     ... o.o ",
" .ooooooooooooooooooooooooooo.o ",
" .............................o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .XOOo+@@XX++OO@@           o.o ",
" .XOOo+@@XX++OO@@           o.o ",
" .ooooooooooooooooooooooooooo.o ",
" .............................o ",
" .                        XXX.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXooo.o ",
" .X                          .o ",
" .ooooooooooooooooooooo         ",
" ...................... @@@@@@@ ",
" .XXXXXXXXXXXXXXXXXXXXX @###### ",
" .X  .  .   .. . . ..   @#XXXX. ",
" .X . .  .  .  .  . .   @#Xoo@. ",
" .ooooooooooooooooooooo @#Xoo@. ",
" ...................... @#@@@@. ",
"  ooooooooooooooooooooo @...... ",
"                                ",
NULL};


/* XPM */
static char *copy_xpm_19[] = {
"32 32 8 1",
" 	c #979797",
".	c #000000",
"X	c #eeeeee",
"o	c #454545",
"O	c #ffffff",
"+	c #c4c4c4",
"@	c #747474",
"#	c #974528",
"                                ",
"              ...               ",
"  ........... ...X ...........  ",
"  .o.o.o.o.o. ...X o.o.o.o.o.O  ",
"  ..oooooo    ...X   oooooo+XO  ",
"  .oo@@@@@ ......... @@@@@@+XO  ",
"  ..o@@@@@@ .......XX@@@@@@+XO  ",
"  .oo@@@@@@@ .....XX@@@@@@@+XO  ",
"  ..o@@@@@@@@ ...+X@@@@@@@@+XO  ",
"  .oo@@@@@@@@ o.oX @@@@@@@@+XO  ",
"  ..o@@@@@@@@@ .+X@@@@@@@@@+XO  ",
"  .oo@@@@@@@@@ .X @@@@@@@@@+XO  ",
"  ..o@@@@@@@@@     @@@@@@@@+XO  ",
"  .oo@@@@@@@  ...O  @@@@@@@+XO  ",
"  ..o@@@@@@@ .@ @.O @@@@@@@+XO  ",
"  .oo@@@@    . O .O    @@@@+XO  ",
"  ..o@@@  ..... .....O  @@@+XO  ",
"  .oo@@@ .###X+ @@###.X @@@+XO  ",
"  ..o@@@ .# OOX+ @@o#.X @@@+XO  ",
"  .oo@@@ .#.........#.X @@@+XO  ",
"  ..o@@@ .###########.X @@@+XO  ",
"  .oo@@@ .###########.X @@@+XO  ",
"  ..o@@@ .###########.X @@@+XO  ",
"  .oo@@@ .###########.X @@@+XO  ",
"  ..o@@@ .###########.X @@@+XO  ",
"  .oo@@@ .###########.X @@@+XO  ",
"  ..o@@@ .###########.X @@@+XO  ",
"  .o++++ .###########.X ++++XO  ",
"  .XXXXX .###########.X XXXXXO  ",
"  OOOOOOO ...........XX OOOOOO  ",
"          XXXXXXXXXXXX          ",
"                                ",
NULL};


/* XPM */
static char *count_xpm_20[] = {
"32 32 8 1",
" 	c #000000",
".	c #454545",
"X	c #ffffff",
"o	c #eeeeee",
"O	c #747474",
"+	c #c4c4c4",
"@	c #00ffff",
"#	c #979797",
"                                ",
"  . . . . . . . . . . . . . . .X",
" .............................oX",
"  .OOOOOOOOOOOOOOOOOOOOOOOOOO+oX",
" ..OOOOOOOOO       OOOOOOOOOO+oX",
"  .OOOOOOO  @@@@@@@  OOOOOOOO+oX",
" ..OOOOOO @@@@@@@@@@@ OOOOOOO+oX",
"  .OOOOO @@@@     @@@@ OOOOOO+oX",
" ..OOOO @@@  +++++  @@@ OOOOO+oX",
"  .OOO @@@ ++++# O++ @@@ OOOO+oX",
" ..OO @@@ +++++   +++ @@@ OOO+oX",
"  .OO @@ ++++++O O#+++ @@ OOO+oX",
" ..O @@@ ++++++++#+++++ @@ OO+oX",
"  .O @@ +++++++  ++++++ @@ OO+oX",
" ..O @@ +++++++  O+++    @    oX",
"  .O @@ +++++++  #++++ @@@@@ +oX",
" ..O @@ ++++++  O++++++ @@@ ++oX",
"  .O @@ ++++++  O++++++# @ +O+oX",
" ..O @@@ ++++   O  #+++## #OO+oX",
"  .OO @@ ++#  O   O+++ ## #OO+oX",
" ..OO @@@ ++OO#O O+++ @ ##OOO+oX",
"  .OOO @@@ +++++O+++ @@@ OOOO+oX",
" ..OOOO @@@  +++++  @@@ OOOOO+oX",
"  .OOOOO @@@@     @@@@ OOOOOO+oX",
" ..OOOOOO @@@@@@@@@@@ OOOOOOO+oX",
"  .OOOOOOO  @@@@@@@  OOOOOOOO+oX",
" ..OOOOOOOOO       OOOOOOOOOO+oX",
"  .OOOOOOOOOOOOOOOOOOOOOOOOOO+oX",
" ..OOOOOOOOOOOOOOOOOOOOOOOOOO+oX",
"  ++++++++++++++++++++++++++++oX",
" ooooooooooooooooooooooooooooooX",
"XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
NULL};


/* XPM */
static char *cut_xpm_21[] = {
"32 32 8 1",
" 	c #979797",
".	c #747474",
"X	c #000000",
"o	c #eeeeee",
"O	c #454545",
"+	c #ffffff",
"@	c #c4c4c4",
"#	c #974528",
"                                ",
"             .XX                ",
"  XXXXXXXXXX XoXoOXO  XXXXXXXX  ",
"  XOXOXOXOXO XoXoXoXo XOXOXOX+  ",
"  XXOOOOOOOO .XXX.oXo OOOOO@o+  ",
"  XOO......   X+XXX.o .....@o+  ",
"  XXO...... .XXXXooo ......@o+  ",
"  XOO.....  OXoXXo   ......@o+  ",
"  XXO....  .Xo XOo ........@o+  ",
"  XOO.... .Xo  X.o ........@o+  ",
"  XXO.... Xo . Xo  ........@o+  ",
"  XOO....   .. Xo .........@o+  ",
"  XXO.........     ........@o+  ",
"  XOO.......  XXX+  .......@o+  ",
"  XXO....... X. .X+ .......@o+  ",
"  XOO....    X + X+    ....@o+  ",
"  XXO...  XXXXX XXXXX+  ...@o+  ",
"  XOO... X###o@ ..###Xo ...@o+  ",
"  XXO... X# ++o@ ..O#Xo ...@o+  ",
"  XOO... X#XXXXXXXXX#Xo ...@o+  ",
"  XXO... X###########Xo ...@o+  ",
"  XOO... X###########Xo ...@o+  ",
"  XXO... X###########Xo ...@o+  ",
"  XOO... X###########Xo ...@o+  ",
"  XXO... X###########Xo ...@o+  ",
"  XOO... X###########Xo ...@o+  ",
"  XXO... X###########Xo ...@o+  ",
"  XO@@@@ X###########Xo @@@@o+  ",
"  Xooooo X###########Xo ooooo+  ",
"  +++++++ XXXXXXXXXXXoo ++++++  ",
"          oooooooooooo          ",
"                                ",
NULL};


/* XPM */
static char *delete_xpm_22[] = {
"32 32 8 1",
" 	c #979797",
".	c #000000",
"X	c #eeeeee",
"o	c #454545",
"O	c #ffffff",
"+	c #c4c4c4",
"@	c #747474",
"#	c #747474",
"                                ",
"              ...               ",
"  ........... ...X ...........  ",
"  .o.o.o.o.o. ...X o.o.o.o.o.O  ",
"  ..oooooo    ...X   oooooo+XO  ",
"  .oo@@@@@ ......... @@@@@@+XO  ",
"  ..o@@@@@@ .......XX@@@@@@+XO  ",
"  .oo@@@@@@@ .....XX@@@@@@@+XO  ",
"  ..o@@@@@@@@ ...+X@@@@@@@@+XO  ",
"  .oo@@@@@@@@ o.oX @@@@@@@@+XO  ",
"  ..o@@@@@@@@@ .+X@@@@@@@@@+XO  ",
"  .oo@@@@@@@@@ .X @@@@@@@@@+XO  ",
"  ..o@@@@@@@@@@  @@@@@@@@@@+XO  ",
"  .oo@@@@@@+        @@@@@@@+XO  ",
"  ..o@@@@  oo.....oo  @@@@@+XO  ",
"  .oo@@@ ..@  ++XX+ @o @@@@+XO  ",
"  ..o@@ .oo@@  ++XXOO . @@@+XO  ",
"  .oo@@ .ooo@@  +XXXO#.X@@@+XO  ",
"  ..o@@ ...oo@@ +X++oo.X@@@+XO  ",
"  .oo@@ .+Ooo......o@o.X@@@+XO  ",
"  ..o@@ #.OXX+++  @@o.@X@@@+XO  ",
"  .oo@@@ .OX@++  @o@o.XX@@@+XO  ",
"  ..o@@@ .+X.++. @.@o.X @@@+XO  ",
"  .oo@@@ #.O. +. @.o.@X@@@@+XO  ",
"  ..o@@@@ .O .+. .oo.XX@@@@+XO  ",
"  .oo@@@@ .OX.+. .oo.XX@@@@+XO  ",
"  ..o@@@@ #.X@+. oo.@X @@@@+XO  ",
"  .o++++++ . X+ @@o.@X +++++XO  ",
"  .XXXXXXX ..X+ @@..XX XXXXXXO  ",
"  OOOOOOOOO @.....o@X OOOOOOOO  ",
"             @@@@@@XX           ",
"                                ",
NULL};


/* XPM */
static char *distrib_xpm_23[] = {
"32 32 4 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXoooooXX. XXoooooXX. XXoooooXX",
" XXooooo.X. XXooooo.X. XXooooo.X",
" XXooooooooooooooooooooooooooo.X",
" XXooooo......ooooo......ooooo.X",
" XXooooo.X. XXooooo.X. XXooooo.X",
" XXX.o...X. XXX.o..o.. XXX.....X",
" XXXXo.XXX. XXXXo.X.o. XXXXXXXXX",
".....o..........o....o..........",
"     o.   .     o.   .o.        ",
" XXXXo.XXX. XXXXo.XXX..o.XXXXXXX",
" XXXXo.XXX. XXXXo.XXX. .o.XXXXXX",
" XXoooooXX. XXoooooXX. X.oooooXX",
" XXooooo.X. XXooooo.X. XXooooo.X",
" XXooooo.X. XXooooo.X. XXooooo.X",
" XXooooo.X. XXooooo.X. XXooooo.X",
" XXooooo.X. XXooooo.X. XXooooo.X",
" XXX.o...X. Xo......X. XXX.....X",
" XXXXo.XXX. o..XXXXXX. XXXXXXXXX",
".....o.....o....................",
"     o.   o..        .          ",
" XXXXo.XXo..XXXXXXXXX. XXXXXXXXX",
" XXXXo.Xo.. XXXXXXXXX. XXXXXXXXX",
" XXooooo... XXoooooXX. XXXXXXXXX",
" XXooooo.X. XXooooo.X. XXXXXXXXX",
" XXoooooooooooooooo.X. XXXXXXXXX",
" XXooooo......ooooo.X. XXXXXXXXX",
" XXooooo.X. XXooooo.X. ooXooXooX",
" XXX.....X. XXX.....X. ooXooXooX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *dupe_xpm_24[] = {
"32 32 7 1",
" 	c #979797",
".	c #000000",
"X	c #454545",
"o	c #ffffff",
"O	c #c4c4c4",
"+	c #eeeeee",
"@	c #747474",
"                                ",
"                                ",
"  ............................  ",
"  .X.X.X.X.X.X.X.X.X.X.X.X.X.o  ",
"  ..XXXXXXXXXXXXXXXXXXXXXXXO+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@  @@@@@@@@@@@@O+o  ",
"  @@@@@@@@@@@ . @@@@@@@@@@@@@@  ",
" oooooooo @@@ .. @@@@@oooooooo  ",
" o++++++X+    ...   @@o++++++X+ ",
" o+    @X+........X  @o+    @X+ ",
" o+    @X+...........@o+    @X+ ",
" o+    @X+........X+++o+    @X+ ",
" o@@@@@@X+ +++...++  @o@@@@@@X+ ",
" XXXXXXXX+    ..+ @@@ XXXXXXXX+ ",
"  ++++++++@@@ .+ @@@@  ++++++++ ",
"  @@@@@@@@@@@   @@@@@@@@@@@@@@  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XOOOOOOOOOOOOOOOOOOOOOOOO+o  ",
"  .++++++++++++++++++++++++++o  ",
"  oooooooooooooooooooooooooooo  ",
"                                ",
"                                ",
NULL};


/* XPM */
static char *exit_xpm_25[] = {
"32 32 6 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"O	c #ff0000",
"+	c #ffffff",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. ooooooooX. XXXXXXXXX",
" XXXXXXXXX.oOOOOOOOOo. XXXXXXXXX",
" XXXXXXXXXoO++++++++Oo XXXXXXXXX",
" XXXXXXXXoO+OOOOOOOO+OoXXXXXXXXX",
" XXXXXXXoO+OOOOOOOOOO+OoXXXXXXXX",
".......oO+OOOOOOOOOOOO+Oo.......",
"      oO+OOO+OOOOOO+OOO+Oo      ",
" XXXXoO+OOO+++OOOO+++OOO+OoXXXXX",
" XXXXoO+OOOO+++OO+++.OOO+Oo.XXXX",
" XXXXoO+OOOOO++++++.OOOO+Oo.XXXX",
" XXXXoO+OOOOOO++++.OOOOO+Oo.XXXX",
" XXXXoO+OOOOOO++++OOOOOO+Oo.XXXX",
" XXXXoO+OOOOO++++++OOOOO+Oo.XXXX",
" XXXXoO+OOOO+++.O+++OOOO+Oo.XXXX",
" XXXXoO+OOO+++.OOO+++OOO+Oo.XXXX",
" XXXXXoO+OOO+.OOOOO+.OO+Oo..XXXX",
".......oO+OOOOOOOOOOOO+Oo.......",
"        oO+OOOOOOOOOO+Oo..      ",
" XXXXXXXXoO+OOOOOOOO+Oo..XXXXXXX",
" XXXXXXXXXoO++++++++Oo..XXXXXXXX",
" XXXXXXXXX.oOOOOOOOOo..XXXXXXXXX",
" XXXXXXXXX. oooooooo.. XXXXXXXXX",
" XXXXXXXXX. X......... XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. ooXooXooX",
" XXXXXXXXX. XXXXXXXXX. ooXooXooX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *expr_xpm_26[] = {
"32 32 8 1",
" 	c #979797",
".	c #454545",
"X	c #ffffff",
"o	c #747474",
"O	c #eeeeee",
"+	c #000000",
"@	c #c4c4c4",
"#	c #ffff00",
"                                ",
" .............................X ",
" .oooooooooooooooooooooooooooOX ",
" .o                          OX ",
" .o                          OX ",
" .o                          OX ",
" .o                          OX ",
" .o                          OX ",
" .o                          OX ",
" .o                          OX ",
" .o                          OX ",
" .o          o+++oo          OX ",
" .o         o+@X@+oo         OX ",
" .o   +++++++OXXXO+++++++    OX ",
" .o   #####+@XXXXX@+#####o   OX ",
" .o   #####+XXXXX+X+#####oo  OX ",
" .o   ++++++@XXXX+@++++++oo  OX ",
" .o   +++++++OX++O+++++++oo  OX ",
" .o    oooooo+@X@+ooooooooo  OX ",
" .o     oooooo+++oooooooooo  OX ",
" .o          oooooo          OX ",
" .o           oooo           OX ",
" .o                          OX ",
" .o                          OX ",
" .o                          OX ",
" .o                          OX ",
" .o                          OX ",
" .o                          OX ",
" .o                          OX ",
" .OOOOOOOOOOOOOOOOOOOOOOOOOOOOX ",
" XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX ",
"                                ",
NULL};


/* XPM */
static char *helpbugs_xpm_27[] = {
"32 32 5 1",
" 	c #979797",
".	c #747474",
"X	c #000000",
"o	c #ffff00",
"O	c #ff0000",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"             .XXXXX.            ",
"            .XoooooX.           ",
"           .XoooooooX.          ",
"           XoooXXXoooX.         ",
"           XooX.. XooX.         ",
"           XXXX. XoooX.         ",
"            ... XoooX.          ",
"               XoooX.           ",
"              XoooX.            ",
"              XooX.   X   X     ",
"              XooX.   XX  X X   ",
"     X   X    XXXX. XXXXXXX.X   ",
"   X X  XX     ....  XXOOOXX.   ",
"   X.XXXXXXX  XXXX    XOXOXXXXX ",
"   .XOXOOXX   XooX.   XXXOOOX   ",
" XXXOOXXOX    XooX. XXXOOOXXX   ",
"   XOOOOOX    XXXX.   .XOOXX    ",
"   XXXOXXXXX   ....  XX.XXX     ",
"    XXOXX.              X       ",
"     XXX.XX             X       ",
"       X                        ",
"       X                        ",
"                                ",
"                       XX XX XX ",
"                       XX XX XX ",
"                                ",
NULL};


/* XPM */
static char *helpcant_xpm_28[] = {
"32 32 7 1",
" 	c #979797",
".	c #000000",
"X	c #eeeeee",
"o	c #747474",
"O	c #c4c4c4",
"+	c #454545",
"@	c #ffff00",
"                                ",
" .............................  ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .X ... ... ... ...     ... o.o ",
" .ooooooooooooooooooooooooooo.o ",
" .............................o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .XOOoo++ooXo.....oX++OOoo  o.o ",
" .XOOoo++oXo.@@@@@.oX+OOoo  o.o ",
" .oooooooXo.@@@@@@@.oXooooooo.o ",
" ........X.@@@...@@@.oX.......o ",
" .       X.@@.ooO.@@.oX   XXX.o ",
" .       X....oO.@@@.oX   X o.o ",
" .        XoooO.@@@.oX    X o.o ",
" .         XXO.@@@.oX     X o.o ",
" .          X.@@@.oX      X o.o ",
" .          X.@@.oX       X o.o ",
" .          X.@@.oX       X o.o ",
" .          X....oX       X o.o ",
" .          XXooooX       X o.o ",
" .          X....XX       X o.o ",
" .XXXXXXXXXXX.@@.oXXXXXXXXooo.o ",
" .X         X.@@.oX       o  .o ",
" .ooooooooooX....oXoooooooo  .o ",
" ...........XXooooX...........o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .X  .  .   .. . . ...   .. o.o ",
" .X . .  .  .  .  .   . .   o.o ",
" .ooooooooooooooooooooXXXXXXXXX ",
" .....................X.. .. .. ",
"  ooooooooooooooooooooX.. .. .. ",
"                                ",
NULL};


/* XPM */
static char *helplic_xpm_29[] = {
"32 32 5 1",
" 	c #979797",
".	c #454545",
"X	c #747474",
"o	c #000000",
"O	c #ffff00",
"                                ",
"                                ",
"      ..                        ",
"      ..                        ",
"                                ",
"     ...                        ",
"      ..     XoooooX            ",
"      ..    XoOOOOOoX           ",
"      ..   XoOOOOOOOoX          ",
"      ..   oOOOoooOOOoX         ",
"      ..   oOOoXX oOOoX         ",
"     ....  ooooX oOOOoX  ..     ",
"     ....   XXX oOOOoX   ..     ",
"               oOOOoX  ......   ",
"              oOOOoX  .. .. ..  ",
"              oOOoX   .. .. ..  ",
"    .....     oOOoX   .. ..     ",
"   .X   X.    ooooX    ....     ",
"  .X X.X X.    XXXX     ....    ",
" .X ..... X.  oooo       ....   ",
" . X.X X.X .  oOOoX      .. ..  ",
" . ..      .  oOOoX   .. .. ..  ",
" . X.X X.X .  ooooX   .. .. ..  ",
" .X ..... X.   XXXX    ......   ",
"  .X X.X X.              ..     ",
"   .X   X.               ..     ",
"    .....                       ",
"                                ",
"                                ",
"                       oo oo oo ",
"                       oo oo oo ",
"                                ",
NULL};


/* XPM */
static char *hidecbar_xpm_30[] = {
"32 32 7 1",
" 	c #979797",
".	c #000000",
"X	c #eeeeee",
"o	c #747474",
"O	c #ff00ff",
"+	c #454545",
"@	c #ffffff",
"                                ",
" .............................  ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .X ... .  .o. .. .o    ... o.o ",
"OOOOOOOOOO...oOOO...oOOOOOOOOOO ",
"O. . . .  o...o ...oo. . . . .O ",
"O X X X X  o......oo  X X X X O ",
"O.          o....oo          .O ",
"O X          ....o          o O ",
"O. o o o o  ......o  o o o o .O ",
"O . . . .  ...oo...o  . . . . O ",
"OOOOOOOOOO...oOOo...oOOOOOOOOOO ",
" .        o.oo   o.oo     X o.o ",
" .         oo     oo      X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXooo.o ",
" .X                          .o ",
" .ooooooooooooooooooooo         ",
" ...................... +++++++ ",
" .XXXXXXXXXXXXXXXXXXXXX +@@@@@@ ",
" .X  .  .   .. . . ..   +@XXXX. ",
" .X . .  .  .  .  . .   +@Xoo+. ",
" .ooooooooooooooooooooo +@Xoo+. ",
" ...................... +@++++. ",
"  ooooooooooooooooooooo +...... ",
"                                ",
NULL};


/* XPM */
static char *hideclip_xpm_31[] = {
"32 32 8 1",
" 	c #c4c4c4",
".	c #eeeeee",
"X	c #747474",
"o	c #454545",
"O	c #000000",
"+	c #ffffff",
"@	c #974528",
"#	c #979797",
"                                ",
"                                ",
"                                ",
"     . . . . . . . . . . .      ",
"      X X X X X X X X X X       ",
"     . o o o o o o o o o o      ",
"      X                 X X     ",
"     . o       O X     . o X    ",
"      X       X X X     X X     ",
"     . o     O + O     . o X    ",
"      X   O O O O O O   X X     ",
"     . o O @ . # X @ O . o X    ",
"      X   @ + . # X @ X X X     ",
"     . o O O O O O O O . o X    ",
"      X   @ @ @ @ @ @ X X X     ",
"     . o O @ @ @ @ @ O . o X    ",
"      X   @ @ @ @ @ @ X X X     ",
"     . o O @ @ @ @ @ O . o X    ",
"      X   @ @ @ @ @ @ X X X     ",
"     . o O @ @ @ @ @ O . o X    ",
"      X   @ @ @ @ @ @ X X X     ",
"     . o O @ @ @ @ @ O . o X    ",
"      X   @ @ @ @ @ @ X X X     ",
"     . o X O O O O O X . o X    ",
"      X   X X X X X X   X X     ",
"     . . . . . . . . . . ++++++ ",
"      X X X X X X X X X X+....O ",
"     o o o o o o o o o o +.XXoO ",
"      X X X X X X X X X X+.XXoO ",
"       X X X X X X X X X +ooooO ",
"                         OOOOOO ",
"                                ",
NULL};


/* XPM */
static char *hidecons_xpm_32[] = {
"32 32 8 1",
" 	c #979797",
".	c #000000",
"X	c #eeeeee",
"o	c #747474",
"O	c #c4c4c4",
"+	c #454545",
"@	c #ff00ff",
"#	c #ffffff",
"                                ",
" .............................  ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .X ... ... ... ...     ... o.o ",
" .ooooooooooooooooooooooooooo.o ",
" .............................o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .XOOoo++XXooOO++           o.o ",
" .XOOoo++XXooOO++           o.o ",
" .ooooooooooooooooooooooooooo.o ",
" .............................o ",
" .                        XXX.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXooo.o ",
" .X    .o     .              .o ",
"@@@@@@...o@@@...@@@@@@@         ",
"@. .  o...o ...oo. . .@ +++++++ ",
"@ X X Xo......ooX X X @ +###### ",
"@.      o....oo       @ +#XXXX. ",
"@ X      ....o        @ +#Xoo+. ",
"@. o o  ......o  o o o@ +#Xoo+. ",
"@ . .  ...oo...o  . . @ +#++++. ",
"@@@@@@...o@@o...o@@@@@@ +...... ",
"       .oo   o.oo               ",
NULL};


/* XPM */
static char *hidetips_xpm_33[] = {
"32 32 9 1",
" 	c #979797",
".	c #747474",
"X	c #000000",
"o	c #ffffff",
"O	c #c4c4c4",
"+	c #747474",
"@	c #ffff00",
"#	c #454545",
"$	c #eeeeee",
"         .                      ",
"        X .                     ",
"         X .                    ",
"        X X .                   ",
"         o .                    ",
"    X X X o X X X X X X X X     ",
"     . . o o . . . . . . . X    ",
"    X o o o o o o o o o o O .   ",
"     . o o o   . . + o o o X .  ",
"    X o o o   @ @ @ + o o O .   ",
"     . o o   @ @ @ @ + o o X .  ",
"    X o o o @ @ . @ @ + o O .   ",
"     . o o . @ +   @ . o o X .  ",
"    X o o o . .   @ @ + o O .   ",
"     . o o O +   @ @ + o o X .  ",
"    X o o o o   @ @ + o o O .   ",
"     . o o o o @ @ + o o o X .  ",
"    X o o o o O @ + o o o O .   ",
"     . o o o o @ . o o o o X .  ",
"    X o o o o . . + o o o O .   ",
"     . o o o o + + o o o o X .  ",
"    X o o o o . . O o o o O .   ",
"     . o o o o @ . o o o o X .  ",
"    X o o o o . @ + o o o O .   ",
"     . o o o o . . o o o####### ",
"    X o o o o O + + o o #oooooo ",
"     O O O O O O O O O O#o$$$$X ",
"    X X X X X X X X X X #o$..#X ",
"     . . . . . . . . . .#o$..#X ",
"      . . . . . . . . . #o####X ",
"                        #XXXXXX ",
"                                ",
NULL};


/* XPM */
static char *ifthen_xpm_34[] = {
"32 32 8 1",
" 	c #979797",
".	c #454545",
"X	c #ffffff",
"o	c #747474",
"O	c #eeeeee",
"+	c #000000",
"@	c #ffff00",
"#	c #c4c4c4",
"                                ",
" .............................X ",
" .ooooooooooooooooooooooooooooX ",
" .o                          OX ",
" .o           o+++++++++     OX ",
" .o          o+@@@@@@@@@o    OX ",
" .o          +@@@@@@@@@@oo   OX ",
" .o          +@@@+++++++oo   OX ",
" .o          +@@++++++++oo   OX ",
" .o          +@@++oooooooo   OX ",
" .o          +@@++oooooooo   OX ",
" .o          +++++oo         OX ",
" .o         o+#X#+oo         OX ",
" .o   +++++++OXXXO+o         OX ",
" .o   @@@@@+#XXXXX#+o        OX ",
" .o   @@@@@+XXXXX+X+oo       OX ",
" .o   ++++++#XXX#+#+oo       OX ",
" .o   +++++++OX++O+ooo       OX ",
" .o    oooooo+#X#+ooo        OX ",
" .o     ooooo+++++oo         OX ",
" .o          +@@++oo         OX ",
" .o          +@@+++oo        OX ",
" .o          +@@@+++++++     OX ",
" .o          +@@@@@@@@@@o    OX ",
" .o          ++@@@@@@@@@oo   OX ",
" .o          o++++++++++oo   OX ",
" .o           o+++++++++oo   OX ",
" .o            ooooooooooo   OX ",
" .o             oooooooooo   OX ",
" .OOOOOOOOOOOOOOOOOOOOOOOOOOOOX ",
" XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX ",
"                                ",
NULL};


/* XPM */
static char *info_xpm_35[] = {
"32 32 4 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXoooXXXX. XXXXXXXXX",
" XXXXXXXXX. XoooooXXX. XXXXXXXXX",
" XXXXXXXXX. Xooooo.XX. XXXXXXXXX",
" XXXXXXXXX. Xooooo.XX. XXXXXXXXX",
" XXXXXXXXX. XXooo..XX. XXXXXXXXX",
" XXXXXXXXX. XXX....XX. XXXXXXXXX",
"................................",
"          .ooooooo.  .          ",
" XXXXXXXXX.ooooooo..X. XXXXXXXXX",
" XXXXXXXXX.ooooooo..X. XXXXXXXXX",
" XXXXXXXXX. .ooooo..X. XXXXXXXXX",
" XXXXXXXXX. Xooooo..X. XXXXXXXXX",
" XXXXXXXXX. Xooooo..X. XXXXXXXXX",
" XXXXXXXXX. Xooooo..X. XXXXXXXXX",
" XXXXXXXXX. Xooooo..X. XXXXXXXXX",
" XXXXXXXXX. Xooooo..X. XXXXXXXXX",
" XXXXXXXXX. Xooooo..X. XXXXXXXXX",
".............ooooo..............",
"          .  ooooo..X.          ",
" XXXXXXXXX.oooooooooX. XXXXXXXXX",
" XXXXXXXXX.ooooooooo.. XXXXXXXXX",
" XXXXXXXXX.ooooooooo.. XXXXXXXXX",
" XXXXXXXXX.ooooooooo.. XXXXXXXXX",
" XXXXXXXXX. .......... XXXXXXXXX",
" XXXXXXXXX. X......... XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. ooXooXooX",
" XXXXXXXXX. XXXXXXXXX. ooXooXooX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *large_xpm_36[] = {
"32 32 8 1",
" 	c #979797",
".	c #000000",
"X	c #eeeeee",
"o	c #747474",
"O	c #c4c4c4",
"+	c #454545",
"@	c #ff00ff",
"#	c #ffffff",
"                                ",
" .............................  ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .X ... ... ... ...     ... o.o ",
" .ooooooooooooooooooooooooooo.o ",
" .............................o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .XOO ++              ++    o.o ",
" .XOO +@+.          .+@+    o.o ",
" .ooo  +@@o.o    o.o@@+  oooo.o ",
" ....  .@@@@@.  .@@@@@.  .....o ",
" .      o@@@.    .@@@o    XXX.o ",
" .      .@@.      .@@.    X o.o ",
" .      o@.        .@o    X o.o ",
" .       .          .     X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .       .          .     X o.o ",
" .      o@.        .@o    X o.o ",
" .      .@@.      .@@.    X o.o ",
" .      o@@@.    .@@@o    X o.o ",
" .XXX  .@@@@@.  .@@@@@.   ooo.o ",
" .X    +@@o.oo   o.o@@+      .o ",
" .oo  +@+.          .+@+        ",
" ...  ++              ++ ++++++ ",
" .XX                    +###### ",
" .X  .  .   .. . . ..   +#XXXX. ",
" .X . .  .  .  .  . .   +#Xoo+. ",
" .ooooooooooooooooooooo +#Xoo+. ",
" ...................... +#++++. ",
"  ooooooooooooooooooooo +...... ",
"                                ",
NULL};


/* XPM */
static char *merge_xpm_37[] = {
"32 32 7 1",
" 	c #979797",
".	c #454545",
"X	c #ffffff",
"o	c #747474",
"O	c #eeeeee",
"+	c #000000",
"@	c #ffff00",
"                                ",
" .............................X ",
" .oooooooooooooooooooooooooooOX ",
" .o                          OX ",
" .o    +++++++++o            OX ",
" .o    @@@@@@@@++o           OX ",
" .o    @@@@@@@@@++o          OX ",
" .o    ++++++@@@++o          OX ",
" .o    +++++++@@++oo         OX ",
" .o     oooo++@@++oo         OX ",
" .o      oooo+@@++oo         OX ",
" .o         o+@@++oo         OX ",
" .o          +@@+++oo        OX ",
" .o          +@@@++++++++    OX ",
" .o          +@@@@@@@@@@@o   OX ",
" .o          +@@@@@@@@@@@oo  OX ",
" .o          +@@@++++++++oo  OX ",
" .o          +@@+++++++++oo  OX ",
" .o          +@@+++oooooooo  OX ",
" .o          +@@++ooooooooo  OX ",
" .o          +@@++ooo        OX ",
" .o          +@@++oo         OX ",
" .o    ++++++@@@++oo         OX ",
" .o    @@@@@@@@@++oo         OX ",
" .o    @@@@@@@@+++oo         OX ",
" .o    ++++++++++ooo         OX ",
" .o    +++++++++ooo          OX ",
" .o     oooooooooo           OX ",
" .o      oooooooo            OX ",
" .OOOOOOOOOOOOOOOOOOOOOOOOOOOOX ",
" XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX ",
"                                ",
NULL};


/* XPM */
static char *new_xpm_38[] = {
"32 32 3 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
"................................",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
"................................",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *open_xpm_39[] = {
"32 32 5 1",
" 	c #eeeeee",
".	c #747474",
"X	c #000000",
"o	c #c4c4c4",
"O	c #ffeeb0",
"          .     X    .          ",
" ooooooooo. ooooXoooo. ooooooooo",
" ooooooooo. oooXXXooo. ooooooooo",
" ooooooooo. oooXXXooo. ooooooooo",
" ooooooooo. ooXXXXXoo. ooooooooo",
" ooooooooo. oXXXXXXXo. ooooooooo",
" ooooooooo. XXXXXXXXX. ooooooooo",
" ooooooooo. o..XXX.... ooooooooo",
" ooooooooo. oooXXX.oo. ooooooooo",
" ooooooooo. oooXXX.oo. ooooooooo",
"...............XXX..............",
"        XXXX   XXX.  .          ",
" ooooooXOOOOXoo....oo. ooooooooo",
" ooooXXOOOOOOXXXXXXXXXXooooooooo",
" ooooXOOOOOOOOOOOOOOOOX.oooooooo",
" ooooXOOOOOOOOOOOOOOOOX.oooooooo",
" ooooXOOOOXXOOOOOXXXXXXXXXXXoooo",
" ooooXOOOXOOXOOOXOOOOOOOOOOX.ooo",
" ooooXOOOXOOOXXXOOOOOOOOOOX.oooo",
" ooooXOOXOOOOOOOOOOOOOOOOOX.oooo",
" ooooXOOXOOOOOOOOOOOOOOOOX.ooooo",
".....XOXOOOOOOOOOOOOOOOOOX......",
"     XOXOOOOOOOOOOOOOOOOX.      ",
" ooooXXOOOOOOOOOOOOOOOOOX.oooooo",
" ooooXXOOOOOOOOOOOOOOOOX.ooooooo",
" ooooXOOOOOOOOOOOOOOOOOX.ooooooo",
" ooooXOOOOOOOOOOOOOOOOX.oooooooo",
" ooooXXXXXXXXXXXXXXXXXX.oooooooo",
" ooooo..................oooooooo",
" ooooooooo. ooooooooo. XXoXXoXXo",
" ooooooooo. ooooooooo. XXoXXoXXo",
" ooooooooo. ooooooooo. ooooooooo",
NULL};


/* XPM */
static char *paste_xpm_40[] = {
"32 32 8 1",
" 	c #979797",
".	c #000000",
"X	c #454545",
"o	c #ffffff",
"O	c #eeeeee",
"+	c #747474",
"@	c #c4c4c4",
"#	c #974528",
"                                ",
"               .                ",
"  ...........  .  ............  ",
"  .X.X.X.X.X. ... .X.X.X.X.X.o  ",
"  ..XXXXXXXX  ...O +XXXXXXX@Oo  ",
"  .XX+++++++ .....O +++++++@Oo  ",
"  ..X++++++ .......O ++++++@Oo  ",
"  .XX+++++ .........  +++++@Oo  ",
"  ..X+++++  OO...OOOO +++++@Oo  ",
"  .XX++++++   ...O   ++++++@Oo  ",
"  ..X++++++++ ...O ++++++++@Oo  ",
"  .XX++++++++ ...O ++++++++@Oo  ",
"  ..X+++++++   OOO ++++++++@Oo  ",
"  .XX+++++++  ...  ++++++++@Oo  ",
"  ..X+++++++ .+ +. ++++++++@Oo  ",
"  .XX++++    . o .    +++++@Oo  ",
"  ..X+++  ..... .....   +++@Oo  ",
"  .XX+++ .###O@ ++###.O +++@Oo  ",
"  ..X+++ .# ooO@ ++X#.O +++@Oo  ",
"  .XX+++ .#.........#.O +++@Oo  ",
"  ..X+++ .###########.O +++@Oo  ",
"  .XX+++ .###########.O +++@Oo  ",
"  ..X+++ .###########.O +++@Oo  ",
"  .XX+++ .###########.O +++@Oo  ",
"  ..X+++ .###########.O +++@Oo  ",
"  .XX+++ .###########.O +++@Oo  ",
"  ..X+++ .###########.O +++@Oo  ",
"  .X@@@@ .###########.O @@@@Oo  ",
"  .OOOOO .###########.O OOOOOo  ",
"  ooooooo ...........OO oooooo  ",
"          OOOOOOOOOOOO          ",
"                                ",
NULL};


/* XPM */
static char *prefs_xpm_41[] = {
"32 32 7 1",
" 	c #979797",
".	c #000000",
"X	c #454545",
"o	c #eeeeee",
"O	c #747474",
"+	c #c4c4c4",
"@	c #ffffff",
"                                ",
"                                ",
"                                ",
"   .......                      ",
"   .XXXXXo                      ",
"   .XOOO+o                      ",
"   .XOOO+o                      ",
"   .XOOO+o  XXXXXXXXXXXXXXXXX   ",
"   .+++++o  ooooooooooooooooo   ",
"   ooooooo                      ",
"                                ",
"                                ",
"   .......                      ",
"   .XXXXXo                      ",
"   .XOOO+o                      ",
"   .XOOO+o                      ",
"   .XOOO+o  XXXXXXXXXXXXXXXXX   ",
"   .+++++o  ooooooooooooooooo   ",
"   ooooooo                      ",
"                                ",
"                                ",
"   @@@@@@@                      ",
"   @ooooo.                      ",
"   @o   X.                      ",
"   @o   X.                      ",
"   @o   X.  XXXXXXXXXXXXXXXXX   ",
"   @XXXXX.  ooooooooooooooooo   ",
"   .......                      ",
"                                ",
"                       .. .. .. ",
"                       .. .. .. ",
"                                ",
NULL};


/* XPM */
static char *proc_xpm_42[] = {
"32 32 7 1",
" 	c #000000",
".	c #454545",
"X	c #ffffff",
"o	c #eeeeee",
"O	c #747474",
"+	c #c4c4c4",
"@	c #00ffff",
"                                ",
"  . . . . . . . . . . . . . . .X",
" .............................oX",
"  .OOO                    OOO+oX",
" ..OO @@@@@@@@@@@@@@@@@@@@ OO+oX",
"  .O @@@@@@@@@@@@@@@@@@@@@@ O+oX",
" .. @@@                  @@@ +oX",
"  . @@ ++++++++++++++++++ @@ +oX",
" .. @@ ++++++++++++++++++ @@ +oX",
"  . @@ ++++++++++++++++++ @@ +oX",
" .. @@ ++++++++++++XXXXX+ @@ +oX",
"  . @@ ++++++++++++XOOO + @@ +oX",
" .. @@ +XXXXX+++...XOOO + @@ +oX",
"  . @@ +XOOO +++.++     + @@ +oX",
" .. @@ +XOOO ....++++++++ @@ +oX",
"  . @@ +     ++.+++++++++ @@ +oX",
" .. @@ ++++++++.+++++++++ @@ +oX",
"  . @@ ++++++++.++XXXXX++ @@ +oX",
" .. @@ ++++++++...XOOO ++ @@ +oX",
"  . @@ +++++++++++XOOO ++ @@ +oX",
" .. @@ +++++++++++     ++ @@ +oX",
"  . @@ ++++++++++++++++++ @@ +oX",
" .. @@ ++++++++++++++++++ @@ +oX",
"  . @@ ++++++++++++++++++ @@ +oX",
" .. @@ ++++++++++++++++++ @@ +oX",
"  . @@@                  @@@ +oX",
" ..O @@@@@@@@@@@@@@@@@@@@@@ O+oX",
"  .OO @@@@@@@@@@@@@@@@@@@@ OO+oX",
" ..OOO                    OOO+oX",
"  ++++++++++++++++++++++++++++oX",
" ooooooooooooooooooooooooooooooX",
"XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
NULL};


/* XPM */
static char *redraw_xpm_43[] = {
"32 32 5 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"O	c #ffeeb0",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX.oOoOoOoOoOoOoOoXXXXXX",
" XXXXXXXXXoOoOoOoOoOoOoOo..XXXXX",
" XXXXXXXXXoOoOoOoOoOoOoOo..XXXXX",
" XXXXXXXXoOoOoOoOoOoOoOo..XXXXXX",
" XXXXXXXXoOoOoOoOoOoOoOo..XXXXXX",
" XXXXXXXXoOoOoOoOoOoOoOo.XXXXXXX",
" XXXXXXXoOoOoOoOoOoOoOo..XXXXXXX",
" XXXXXXXoOoOoOoOoOoOoOo..XXXXXXX",
"........oOoOoOoOoOoOoOo.........",
"        oOoOoOoOoOoOoOo.        ",
" XXXXXXXoOoOoOoOoOoOoOo.XXXXXXXX",
" XXXXXXXooooooooooooooo.XXXXXXXX",
" XXXXXXXo.............o.XXXXXXXX",
" XXXXXXXXo..o.o.o.o..o..XXXXXXXX",
" XXXXXXXXXoo.......oo..XXXXXXXXX",
" XXXXXXXXX. ooooooo...XXXXXXXXXX",
" XXXXXXXXX. Xooooo..X.XXXXXXXXXX",
" XXXXXXXXX. Xooooo.XX.XXXXXXXXXX",
" XXXXXXXXX. Xooooo.XX.XXXXXXXXXX",
".............ooooo..............",
"          .  ooooo.  .          ",
" XXXXXXXXX. .ooooo.XX. XXXXXXXXX",
" XXXXXXXXX. oooooooXX. XXXXXXXXX",
" XXXXXXXXX. oooXooo.X. XXXXXXXXX",
" XXXXXXXXX. oooXooo.X. XXXXXXXXX",
" XXXXXXXXX. .ooooo..X. XXXXXXXXX",
" XXXXXXXXX. Xooooo.XX. XXXXXXXXX",
" XXXXXXXXX. XXooo..XX. XXXXXXXXX",
" XXXXXXXXX. XXX...XXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *reset_xpm_44[] = {
"32 32 4 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"          .          .          ",
" XXXXXXXXX. XXXXoXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXoo.XXX. XXXXXXXXX",
" XXXoooXXX. XXooo.XXX. XXXXXXXXX",
" XXoooooXX. ooooooooooooo.XXXXXX",
" XXooooo.XoooooooooooooooooXXXXX",
" XXooooo.X. ooooooooooooooo.XXXX",
" XXXooo..X. XXooo........ooo.XXX",
" XXXX...XX. XXXoo........ooo..XX",
" XXXXXXXXX. XXXXo.XXX. XXooo..XX",
".........................ooo....",
"          .          .   ooo..  ",
" XXXXXXXXX. XXXXXXXXX. XXooo..XX",
" XXXXXXXXX. XXXXXXXXX. XXooo..XX",
" XXXXXXXXX. XXXXXXXXX. XXooo..XX",
" XXXXXXXXX. XXXXXXXXX. XXooo..XX",
" XXXXXXXXX. XXXXXXXXX. XXooo..XX",
" XXXXXXXXX. XXXXXXXXX. XXooo..XX",
" XXXXXXXXX. XXXXXXXXX. XXooo..XX",
" XXXXXXXXX. XXXXXXXXX. XXooo..XX",
" XXXXXXXXX. XXXXXXXXX. XXooo..XX",
".........................ooo....",
"          .          .   ooo..  ",
" XXXXXXXXX. XXXXXXXXX. Xoooo..XX",
" XXXooooooooooooooooooooooo..XXX",
" XXXooooooooooooooooooooooo..XXX",
" XXXooooooooooooooooooooo...XXXX",
" XXXX......................XXXXX",
" XXXXXX..................XXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *run_xpm_45[] = {
"32 32 4 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX..oo.XXXXXX",
" XXXXXXXXX. XXXXXXXXX.oooo.XXXXX",
" XXXXXXXXX. XXXXXXXX.ooooo..XXXX",
" XXXXXXXXX. XXXXXXXX.oooooo.XXXX",
" XXXXXXXXX. XXXXXXXX.ooooo..XXXX",
" XXXXXXXXX. XXoooooooooooo.XXXXX",
" XXXXXXXXX. Xoooooooooooo..XXXXX",
" XXXXXXXXX. ooooooooooo....XXXXX",
" XXXXXXXXX.ooo...ooooo...XXXXXXX",
"..........ooo...ooooooo.........",
"        oooo.. ooooooooo        ",
" XXXXXXXooo..Xoooooo.ooooXXXXXXX",
" XXXXXXXoo...ooooooo..oooooooo.X",
" XXXXXXX... ooooooo....ooooooo.X",
" XXXXXXXXX..oooooo..........o..X",
" XXXXXXXXX.oooooo...X. X.X....XX",
" XXXXXXXXXoooooooo.XX. XXXXXXXXX",
" XXXXXXXXooooooooooXX. XXXXXXXXX",
" XXXXXXXooooo..oooooX. XXXXXXXXX",
" XXXXXXooooo..XXooooo. XXXXXXXXX",
"......ooooo.......ooo...........",
"     oooo...     oooo.          ",
" XXXoooo... XXXXoooo.. XXXXXXXXX",
" XXoooo..X. XXXoooo... XXXXXXXXX",
" Xoooo..XX. XXoooo..X. XXXXXXXXX",
" oooo..XXX. Xoooo..XX. XXXXXXXXX",
" Xooo..XXX. XXooo..XX. XXXXXXXXX",
" XXooo..XX. XXXooo..X. XXXXXXXXX",
" XXXoo..XX. XXXXoo..X. XXXXXXXXX",
" XXXX..XXX. XXXXX..XX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *runconti_xpm_46[] = {
"32 32 8 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #454545",
"O	c #979797",
"+	c #000000",
"@	c #00ff00",
"#	c #ffffff",
"          .          .          ",
" XXXXXoXXX. XXXXXXXXXOO..OXXXXXX",
" XXXXX+oXX. XXXXXXXXXO....OXXXXX",
" XXXXX++oX. XXXXXXXXO.....OOXXXX",
" XXXX++@+o. XXXXXXXXO......OXXXX",
" XXX+@+@@++oXXXXXXXXO.....OOXXXX",
" XX+@@@@@@@++X.+o.........OXXXXX",
" X+@@@+@@++oo.+@+o.......OOXXXXX",
" X+@@++@+ooo.+@@+o.....OOOOXXXXX",
" +@@+o++oo....+@@+o...OOOXXXXXXX",
".+@@+o+oo....O+@@+o....O........",
" +@@+ooo....OO+@@+o.....        ",
" +@@+ooX...OOO+@@+o.O....XXXXXXX",
" +@@+ooX..OOO.+@@+o.OO........OX",
" o+@@+ooOOOO.+@@+ooOOOO.......OX",
" X+@@@+oXXOO+@@@+oOOO.OOOOOO.OOX",
" Xo+@@@+++++@@@+ooOOX. XOXOOOOXX",
" XXo+@@@@@@@@@+oo.OXX. XXXXXXXXX",
" XXXo++@@@@@++oo...XX. XXXXXXXXX",
" XXXXXo+++++ooo.....XO XXXXXXXXX",
" XXXXXXoooooo.XX.....O XXXXXXXXX",
"...........OO...OO...O..........",
"     ....OOO     ....O          ",
" XXX....OOO XXXX....OO XXXXXXXXX",
" XX....OOX. XXX....OO. XXXXXXXXX",
" X....OOXX. XX....OOX. XX######X",
" ....OOXXX. X....OOXX. XX#OOOO+X",
" X...OOXXX. XX...OOXX. XX#O..o+X",
" XX...OOXX. XXX...OOX. XX#O..o+X",
" XXX..OOXX. XXXX..OOX. XX#oooo+X",
" XXXXOOXXX. XXXXXOOXX. XX++++++X",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *running_xpm_47[] = {
"32 32 5 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"O	c #00ff00",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX..oo.XXXXXX",
" XOOOOOOOOOOOOOOOXXXX.oooo.XXXXX",
" oooooooooooooooXXXX.ooooo..XXXX",
" XXXXXXXXX. XXXXXXXX.oooooo.XXXX",
" XXXXXXXXX. XXXXXXXX.ooooo..XXXX",
" XXXXXXXXX. XXoooooooooooo.XXXXX",
" XOOOOOOOOO Xoooooooooooo..XXXXX",
" ooooooooo. ooooooooooo....XXXXX",
" XXXXXXXXX.ooo...ooooo...XXXXXXX",
"..........ooo...ooooooo.........",
"        oooo.. ooooooooo        ",
" XOOOOOXooo..Xoooooo.ooooXXXXXXX",
" oooooXXoo...ooooooo..oooooooo.X",
" XXXXXXX... ooooooo....ooooooo.X",
" XXXXXXXXX..oooooo..........o..X",
" XXXXXXXXX.oooooo...X. X.X....XX",
" XXXXXXXXXoooooooo.XX. XXXXXXXXX",
" XXXXXXXXooooooooooXX. XXXXXXXXX",
" XXXXXXXooooo..oooooX. XXXXXXXXX",
" XXXXXXooooo..XXooooo. XXXXXXXXX",
"......ooooo.......ooo...........",
"     oooo...     oooo.          ",
" XXXoooo... XXXXoooo.. XXXXXXXXX",
" XXoooo..X. XXXoooo... XXXXXXXXX",
" Xoooo..XX. XXoooo..X. XXXXXXXXX",
" oooo..XXX. Xoooo..XX. XXXXXXXXX",
" Xooo..XXX. XXooo..XX. XXXXXXXXX",
" XXooo..XX. XXXooo..X. XXXXXXXXX",
" XXXoo..XX. XXXXoo..X. XXXXXXXXX",
" XXXX..XXX. XXXXX..XX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *runonce_xpm_48[] = {
"32 32 8 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"O	c #979797",
"+	c #00ff00",
"@	c #454545",
"#	c #ffffff",
"          .          .          ",
" XXo.XXXXX. XooooXXXXOO..OXXXXXX",
" Xo+o.XXXX. Xo++o@XXXO....OXXXXX",
" o+++o.XXX. Xo++o@XXO.....OOXXXX",
" .o+++o.XX. Xo++o@XXO......OXXXX",
" X.o+++o.X. Xo++o@XXO.....OOXXXX",
" XX.o+++o.. Xo++o@........OXXXXX",
" XXX.o+++o. Xo++o@.......OOXXXXX",
" XXXX.o+++o.Xo++o@.....OOOOXXXXX",
" XXXXX.o+++o.o++o@....OOOXXXXXXX",
"......o+++o@.o++o@.....O........",
"     o+++o@.Xo++o@......        ",
" XXXo+++o@.XOo++o@..O....XXXXXXX",
" XXo+++o@.XOOo++o@..OO........OX",
" Xo+++o@.XOO.o++o@.OOOO.......OX",
" o+++o@.XXOO.o++o@OOO.OOOOOO.OOX",
" Xo+o@.XXXO..o++o@OOX. XOXOOOOXX",
" XXo@.XXXX...oooo@OXX. XXXXXXXXX",
" XXX.XXXX.....@@@@.XX. XXXXXXXXX",
" XXXXXXX.....OO.....XO XXXXXXXXX",
" XXXXXX.....OOXX.....O XXXXXXXXX",
"...........OO...OO...O..........",
"     ....OOO     ....O          ",
" XXX....OOO XXXX....OO XXXXXXXXX",
" XX....OOX. XXX....OO. XXXXXXXXX",
" X....OOXX. XX....OOX. XX######X",
" ....OOXXX. X....OOXX. XX#OOOOoX",
" X...OOXXX. XX...OOXX. XX#O..@oX",
" XX...OOXX. XXX...OOX. XX#O..@oX",
" XXX..OOXX. XXXX..OOX. XX#@@@@oX",
" XXXXOOXXX. XXXXXOOXX. XXooooooX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *save_xpm_49[] = {
"32 32 5 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"O	c #ffeeb0",
"          .          .          ",
" XXXXXXXXX. XXXoooXXX. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
" XXXXXXXXX. ooooooooo. XXXXXXXXX",
" XXXXXXXXX. Xooooooo.. XXXXXXXXX",
" XXXXXXXXX. XXooooo.X. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
"...............ooo..............",
"        oooo    o.   .          ",
" XXXXXXoOOOOoXXXo.XXX. XXXXXXXXX",
" XXXXooOOOOOOooooooooooXXXXXXXXX",
" XXXXoOOOOOOOOOOOOOOOOo.XXXXXXXX",
" XXXXoOOOOOOOOOOOOOOOOo.XXXXXXXX",
" XXXXoOOOOooOOOOOoooooooooooXXXX",
" XXXXoOOOoOOoOOOoOOOOOOOOOOo.XXX",
" XXXXoOOOoOOOoooOOOOOOOOOOo.XXXX",
" XXXXoOOoOOOOOOOOOOOOOOOOOo.XXXX",
" XXXXoOOoOOOOOOOOOOOOOOOOo.XXXXX",
".....oOoOOOOOOOOOOOOOOOOOo......",
"     oOoOOOOOOOOOOOOOOOOo.      ",
" XXXXooOOOOOOOOOOOOOOOOOo.XXXXXX",
" XXXXooOOOOOOOOOOOOOOOOo.XXXXXXX",
" XXXXoOOOOOOOOOOOOOOOOOo.XXXXXXX",
" XXXXoOOOOOOOOOOOOOOOOo.XXXXXXXX",
" XXXXoooooooooooooooooo.XXXXXXXX",
" XXXXX..................XXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *saveas_xpm_50[] = {
"32 32 5 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"O	c #ffeeb0",
"          .          .          ",
" XXXXXXXooooooooooXXX. XXXXXXXXX",
" XXXXXXXoooooooooo.XX. XXXXXXXXX",
" XXXXXXXoooooooooo.XX. XXXXXXXXX",
" XXXXXXXX......ooo.XX. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
" XXXXXXXXX. ooooooooo. XXXXXXXXX",
" XXXXXXXXX. Xooooooo.. XXXXXXXXX",
" XXXXXXXXX. XXooooo.X. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
"...............ooo..............",
"        oooo    o.   .          ",
" XXXXXXoOOOOoXXXo.XXX. XXXXXXXXX",
" XXXXooOOOOOOooooooooooXXXXXXXXX",
" XXXXoOOOOOOOOOOOOOOOOo.XXXXXXXX",
" XXXXoOOOOOOOOOOOOOOOOo.XXXXXXXX",
" XXXXoOOOOooOOOOOoooooooooooXXXX",
" XXXXoOOOoOOoOOOoOOOOOOOOOOo.XXX",
" XXXXoOOOoOOOoooOOOOOOOOOOo.XXXX",
" XXXXoOOoOOOOOOOOOOOOOOOOOo.XXXX",
" XXXXoOOoOOOOOOOOOOOOOOOOo.XXXXX",
".....oOoOOOOOOOOOOOOOOOOOo......",
"     oOoOOOOOOOOOOOOOOOOo.      ",
" XXXXooOOOOOOOOOOOOOOOOOo.XXXXXX",
" XXXXooOOOOOOOOOOOOOOOOo.XXXXXXX",
" XXXXoOOOOOOOOOOOOOOOOOo.XXXXXXX",
" XXXXoOOOOOOOOOOOOOOOOo.XXXXXXXX",
" XXXXoooooooooooooooooo.XXXXXXXX",
" XXXXX..................XXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. ooXooXooX",
" XXXXXXXXX. XXXXXXXXX. ooXooXooX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *savedoc_xpm_51[] = {
"32 32 5 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"O	c #ffffff",
"          .          .          ",
" XXXXXXXXX. XXXoooXXX. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
" XXXXXXXXX. ooooooooo. XXXXXXXXX",
" XXXXXXXXX. Xooooooo.. XXXXXXXXX",
" XXXXXXXXX. XXooooo.X. XXXXXXXXX",
" XXXXXXXXX. XXXooo.XX. XXXXXXXXX",
"...............ooo..............",
"       OOO.O    o.   .          ",
" XXXXXXXXX.OXXXXo.XXX. XXXXXXXXX",
" XXXXXXXXXoooooooooXX. XXXXXXXXX",
" XXXXXXXXXoOOOOOOoOoX. XXXXXXXXX",
" XXXXXXXXXoOOOOOOoOOo. XXXXXXXXX",
" XXXXXXXXXoOOOOOOoOOOo XXXXXXXXX",
" XXXXXXXXXoOOOOOOoOOOOoXXXXXXXXX",
" XXXXXXXXXoOOOOOOoooooo.XXXXXXXX",
" XXXXXXXXXoOOOOOOO....o.XXXXXXXX",
" XXXXXXXXXoOOOOOOOOOOOo.XXXXXXXX",
"..........oOOOOOOOOOOOo.........",
"    OOOOOOoOOOOOOOOOOOo.OO      ",
" XXXXXXXXXoOOOOOOOOOOOo.XXXXXXXX",
" XXXXXXXXXoOOOOOOOOOOOo.XXXXXXXX",
" XXXXXXXXXoOOOOOOOOOOOo.XXXXXXXX",
" XXXXXXXXXoOOOOOOOOOOOo.XXXXXXXX",
" XXXXXXXXXoOOOOOOOOOOOo.XXXXXXXX",
" XXXXXXXXXoOOOOOOOOOOOo.XXXXXXXX",
" XXXXXXXXXooooooooooooo.XXXXXXXX",
" XXXXXXXXX..............XXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *select_xpm_52[] = {
"32 32 5 1",
" 	c #c4c4c4",
".	c #454545",
"X	c #eeeeee",
"o	c #747474",
"O	c #979797",
"                                ",
"                                ",
"                                ",
"                                ",
"                    ..........  ",
"                    .........X  ",
"                    ..ooooooOX  ",
"                    ..ooooooOX  ",
"                 .....ooooooOX  ",
"  ..........     .  ..ooooooOX  ",
"  .........X     .  ..ooooooOX  ",
"  ..ooooooOX     .  .OOOOOOOOX  ",
"  ..ooooooOX     .  XXXXXXXXXX  ",
"  ..ooooooOX......              ",
"  ..ooooooOX   .                ",
"  ..ooooooOX   .                ",
"  .OOOOOOOOX   .                ",
"  XXXXXXXXXX   .                ",
"               .                ",
"               .   .........X   ",
"               .   ........OX   ",
"               .   ..ooooooOX   ",
"               .   ..ooooooOX   ",
"               ......ooooooOX   ",
"                   ..ooooooOX   ",
"                   ..ooooooOX   ",
"                   .OOOOOOOOX   ",
"                   XXXXXXXXXX   ",
"                                ",
"                                ",
"                                ",
"                                ",
NULL};


/* XPM */
static char *selected_xpm_53[] = {
"32 32 7 1",
" 	c #979797",
".	c #000000",
"X	c #454545",
"o	c #ffffff",
"O	c #c4c4c4",
"+	c #eeeeee",
"@	c #747474",
"                                ",
"                                ",
"  ............................  ",
"  .X.X.X.X.X.X.X.X.X.X.X.X.X.o  ",
"  ..XXXXXXXXXXXXXXXXXXXXXXXO+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XX@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  ..X@@@@@@@@@@@@@@@@@@@@@@O+o  ",
"  .XOOOOOOOOOOOOOOOOOOOOOOOO+o  ",
"  .++++++++++++++++++++++++++o  ",
"  oooooooooooooooooooooooooooo  ",
"                                ",
"                                ",
NULL};


/* XPM */
static char *showcbar_xpm_54[] = {
"32 32 8 1",
" 	c #979797",
".	c #000000",
"X	c #eeeeee",
"o	c #747474",
"O	c #ff00ff",
"+	c #c4c4c4",
"@	c #454545",
"#	c #ffffff",
"                                ",
" .............................  ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .X ... ... ... ...     ... o.o ",
"OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO ",
"O.............................O ",
"O.XXXXXXXXXXXXXXXXXXXXXXXXXXX.O ",
"O.X++oo@@XXoo++@@           o.O ",
"O.X++oo@@XXoo++@@           o.O ",
"O.ooooooooooooooooooooooooooo.O ",
"O.............................O ",
"OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXooo.o ",
" .X                          .o ",
" .ooooooooooooooooooooo         ",
" ...................... @@@@@@@ ",
" .XXXXXXXXXXXXXXXXXXXXX @###### ",
" .X  .  .   .. . . ..   @#XXXX. ",
" .X . .  .  .  .  . .   @#Xoo@. ",
" .ooooooooooooooooooooo @#Xoo@. ",
" ...................... @#@@@@. ",
"  ooooooooooooooooooooo @...... ",
"                                ",
NULL};


/* XPM */
static char *showclip_xpm_55[] = {
"32 32 8 1",
" 	c #c4c4c4",
".	c #eeeeee",
"X	c #747474",
"o	c #454545",
"O	c #000000",
"+	c #979797",
"@	c #ffffff",
"#	c #974528",
"                                ",
"                                ",
"                                ",
"     .....................      ",
"     .XXXXXXXXXXXXXXXXXXXo      ",
"     .XoooooooooooooooooXoX     ",
"     .Xo               .XoXX    ",
"     .Xo      OOOX     .XoXX    ",
"     .Xo     OX+XOX    .XoXX    ",
"     .Xo     O+@+OX    .XoXX    ",
"     .Xo  OOOOO+OOOOOX .XoXX    ",
"     .Xo O###. +XX###OX.XoXX    ",
"     .Xo O#+@@. +XXo#OX.XoXX    ",
"     .Xo O#OOOOOOOOO#OX.XoXX    ",
"     .Xo O###########OX.XoXX    ",
"     .Xo O###########OX.XoXX    ",
"     .Xo O###########OX.XoXX    ",
"     .Xo O###########OX.XoXX    ",
"     .Xo O###########OX.XoXX    ",
"     .Xo O###########OX.XoXX    ",
"     .Xo O###########OX.XoXX    ",
"     .Xo O###########OX.XoXX    ",
"     .Xo O###########OX.XoXX    ",
"     .Xo XOOOOOOOOOOOXX.XoXX    ",
"     .Xo  XXXXXXXXXXXX .XoXX    ",
"     .X.................X@@@@@@ ",
"     .XXXXXXXXXXXXXXXXXXX@....O ",
"     oooooooooooooooooooo@.XXoO ",
"      XXXXXXXXXXXXXXXXXXX@.XXoO ",
"       XXXXXXXXXXXXXXXXXX@ooooO ",
"                         OOOOOO ",
"                                ",
NULL};


/* XPM */
static char *showcons_xpm_56[] = {
"32 32 8 1",
" 	c #979797",
".	c #000000",
"X	c #eeeeee",
"o	c #747474",
"O	c #c4c4c4",
"+	c #454545",
"@	c #ff00ff",
"#	c #ffffff",
"                                ",
" .............................  ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .X ... ... ... ...     ... o.o ",
" .ooooooooooooooooooooooooooo.o ",
" .............................o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .XOOoo++XXooOO++           o.o ",
" .XOOoo++XXooOO++           o.o ",
" .ooooooooooooooooooooooooooo.o ",
" .............................o ",
" .                        XXX.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXooo.o ",
" .X                          .o ",
"@@@@@@@@@@@@@@@@@@@@@@@         ",
"@.....................@ +++++++ ",
"@.XXXXXXXXXXXXXXXXXXXX@ +###### ",
"@.X  .  .   .. . . .. @ +#XXXX. ",
"@.X . .  .  .  .  . . @ +#Xoo+. ",
"@.oooooooooooooooooooo@ +#Xoo+. ",
"@.....................@ +#++++. ",
"@@@@@@@@@@@@@@@@@@@@@@@ +...... ",
"                                ",
NULL};


/* XPM */
static char *showtips_xpm_57[] = {
"32 32 9 1",
" 	c #979797",
".	c #000000",
"X	c #747474",
"o	c #ffffff",
"O	c #c4c4c4",
"+	c #747474",
"@	c #ffff00",
"#	c #454545",
"$	c #eeeeee",
"        .XX                     ",
"        ..XX                    ",
"        ..XX                    ",
"        .o.XX                   ",
"        .o.XX                   ",
"    .....oo.................    ",
"    .XXXooooXXXXXXXXXXXXXXX.    ",
"    .XooooooooooooooooooooO.X   ",
"    .Xooooooo .....+OoooooO.XX  ",
"    .Xoooooo .@@@@@.+OooooO.XX  ",
"    .Xooooo .@@@@@@@.+OoooO.XX  ",
"    .Xooooo.@@@...@@@.+oooO.XX  ",
"    .Xooooo.@@.++ .@@.+oooO.XX  ",
"    .Xooooo....+ .@@@.+oooO.XX  ",
"    .XoooooO+++ .@@@.+ oooO.XX  ",
"    .Xoooooooo .@@@.+ ooooO.XX  ",
"    .Xoooooooo.@@@.+ oooooO.XX  ",
"    .Xoooooooo.@@.+ ooooooO.XX  ",
"    .Xoooooooo.@@.+oooooooO.XX  ",
"    .Xoooooooo....+oooooooO.XX  ",
"    .XooooooooO++++oooooooO.XX  ",
"    .Xoooooooo....OoooooooO.XX  ",
"    .Xoooooooo.@@.+oooooooO.XX  ",
"    .Xoooooooo.@@.+oooooooO.XX  ",
"    .Xoooooooo....+ooooo####### ",
"    .XooooooooO++++ooooo#oooooo ",
"    .OOOOOOOOOOOOOOOOOOO#o$$$$. ",
"    ....................#o$XX#. ",
"    XXXXXXXXXXXXXXXXXXXX#o$XX#. ",
"     XXXXXXXXXXXXXXXXXXX#o####. ",
"                        #...... ",
"                                ",
NULL};


/* XPM */
static char *small_xpm_58[] = {
"32 32 8 1",
" 	c #979797",
".	c #000000",
"X	c #eeeeee",
"o	c #747474",
"O	c #c4c4c4",
"+	c #ff00ff",
"@	c #454545",
"#	c #ffffff",
"                                ",
" .............................  ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .X ... ... ... ...     ... o.o ",
" .ooooooooooooooooooooooooooo.o ",
" .............................o ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXX.o ",
" .XOOoo   .        .        o.o ",
" .XOOoo  .+o      o+.       o.o ",
" .oooo  .++.      .++.  ooooo.o ",
" ....  .+++o      o+++.  .....o ",
" .    .+++++.    .+++++.  XXX.o ",
" .     o.o++@    @++o.o   X o.o ",
" .        .@+@  @+@.      X o.o ",
" .          @@  @@        X o.o ",
" .                        X o.o ",
" .                        X o.o ",
" .          @@  @@        X o.o ",
" .        .@+@  @+@.      X o.o ",
" .     o.o++@    @++o.o   X o.o ",
" .    .+++++.    .+++++.  X o.o ",
" .XXX  .+++o      o+++.   ooo.o ",
" .X     .++.      .++.       .o ",
" .ooooo  .+o      o+.           ",
" .......  .        .    @@@@@@@ ",
" .XXXXXXX               @###### ",
" .X  .  .   .. . . ..   @#XXXX. ",
" .X . .  .  .  .  . .   @#Xoo@. ",
" .ooooooooooooooooooooo @#Xoo@. ",
" ...................... @#@@@@. ",
"  ooooooooooooooooooooo @...... ",
"                                ",
NULL};


/* XPM */
static char *stop_xpm_59[] = {
"32 32 7 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #ff0000",
"O	c #000000",
"+	c #ffffff",
"@	c #454545",
"          .          .          ",
" XXXX.ooooooo.XXXXXXX..OO.XXXXXX",
" XXX.o+++++++o.XXXXXX.OOOO.XXXXX",
" XX.o+ooooooo+o.XXXX.OOOOO..XXXX",
" X.o+ooooooooo+o.XXX.OOOOOO.XXXX",
" .o+ooooooooooo+o.XX.OOOOO..XXXX",
" o+ooo++ooo++ooo+o.OOOOOOO.XXXXX",
" o+ooo+++o+++@oo+oOOOOOOO..XXXXX",
" o+oooo+++++@ooo+oOOOOO....XXXXX",
" o+ooooo+++@oooo+oOOOO...XXXXXXX",
".o+oooo+++++oooo+oOOOOO.........",
" o+ooo+++@+++ooo+oOOOOOO        ",
" o+ooo++@oo++@oo+oOO.OOOOXXXXXXX",
" .o+ooo@oooo@oo+oOOO..OOOOOOOO.X",
" X.o+ooooooooo+oOOO....OOOOOOO.X",
" XX.o+ooooooo+oOOO..........O..X",
" XXX.o+++++++oOOO...X. X.X....XX",
" XXXX.oooooooOOOOO.XX. XXXXXXXXX",
" XXXXX...OOOOOOOOOOXX. XXXXXXXXX",
" XXXXXXXOOOOO..OOOOOX. XXXXXXXXX",
" XXXXXXOOOOO..XXOOOOO. XXXXXXXXX",
"......OOOOO.......OOO...........",
"     OOOO...     OOOO.          ",
" XXXOOOO... XXXXOOOO.. XXXXXXXXX",
" XXOOOO..X. XXXOOOO... XXXXXXXXX",
" XOOOO..XX. XXOOOO..X. XXXXXXXXX",
" OOOO..XXX. XOOOO..XX. XXXXXXXXX",
" XOOO..XXX. XXOOO..XX. XXXXXXXXX",
" XXOOO..XX. XXXOOO..X. XXXXXXXXX",
" XXXOO..XX. XXXXOO..X. XXXXXXXXX",
" XXXX..XXX. XXXXX..XX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *switch_xpm_60[] = {
"32 32 8 1",
" 	c #979797",
".	c #454545",
"X	c #ffffff",
"o	c #747474",
"O	c #eeeeee",
"+	c #000000",
"@	c #ffff00",
"#	c #c4c4c4",
"                                ",
" .............................X ",
" .ooooooooooooooooooooooooooooX ",
" .o                          OX ",
" .o    +++++++++o            OX ",
" .o    @@@@@@@@++o           OX ",
" .o    @@@@@@@@@++o          OX ",
" .o    ++++++@@@++o          OX ",
" .o    +++++++@@++oo         OX ",
" .o     oooo++@@++oo         OX ",
" .o      oooo+@@++oo         OX ",
" .o         o+++++oo         OX ",
" .o         o+#X#+oo         OX ",
" .o        o+OXXXO+++++++    OX ",
" .o        +#XXXXX#+@@@@@o   OX ",
" .o        +XXXXX+X+@@@@@oo  OX ",
" .o        +#XXX#+#++++++oo  OX ",
" .o        o+OX++O+++++++oo  OX ",
" .o         o+#X#+ooooooooo  OX ",
" .o          +++++ooooooooo  OX ",
" .o          +@@++oo         OX ",
" .o          +@@++oo         OX ",
" .o    ++++++@@@++oo         OX ",
" .o    @@@@@@@@@++oo         OX ",
" .o    @@@@@@@@+++oo         OX ",
" .o    ++++++++++ooo         OX ",
" .o    +++++++++ooo          OX ",
" .o     oooooooooo           OX ",
" .o      oooooooo            OX ",
" .OOOOOOOOOOOOOOOOOOOOOOOOOOOOX ",
" XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX ",
"                                ",
NULL};


/* XPM */
static char *trigger_xpm_61[] = {
"32 32 7 1",
" 	c #979797",
".	c #454545",
"X	c #747474",
"o	c #ffffff",
"O	c #eeeeee",
"+	c #000000",
"@	c #ffff00",
"                                ",
" .............................. ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXXXo ",
" .X                          Oo ",
" .X    +++++++++X            Oo ",
" .X    @@@@@@@@++X           Oo ",
" .X    @@@@@@@@@++X          Oo ",
" .X    ++++++@@@++X          Oo ",
" .X    +++++++@@++XX         Oo ",
" .X     XXXX++@@++XX         Oo ",
" .X      XXXX+@@++XX         Oo ",
" .X         X+@@++XX         Oo ",
" .X          +@@+++XX        Oo ",
" .X          +@@@++++++++    Oo ",
" .X          +@@@@@@@@@@@X   Oo ",
" .X          ++@@@@@@@@@@XX  Oo ",
" .X          X+++++++++++XX  Oo ",
" .X           X++++++++++XX  Oo ",
" .X            XXXXXXXXXXXX  Oo ",
" .X             XXXXXXXXXXX  Oo ",
" .X            +++           Oo ",
" .X            +@+X          Oo ",
" .X            +++XX         Oo ",
" .X             XXXX         Oo ",
" .X    +++ +++ +++XX         Oo ",
" .X    +@+X+@+X+@+X          Oo ",
" .X    +++X+++X+++XX         Oo ",
" .X     XXXXXXXXXXXX         Oo ",
" .X      XXXXXXXXXXX         Oo ",
" .OOOOOOOOOOOOOOOOOOOOOOOOOOOOo ",
" oooooooooooooooooooooooooooooo ",
"                                ",
NULL};


/* XPM */
static char *undelete_xpm_62[] = {
"32 32 8 1",
" 	c #979797",
".	c #000000",
"X	c #454545",
"o	c #ffffff",
"O	c #eeeeee",
"+	c #747474",
"@	c #c4c4c4",
"#	c #747474",
"                                ",
"               .                ",
"  ...........  .  ............  ",
"  .X.X.X.X.X. X.X .X.X.X.X.X.o  ",
"  ..XXXXXXXX  ...O +XXXXXXX@Oo  ",
"  .XX+++++++ .....O +++++++@Oo  ",
"  ..X++++++ .......O ++++++@Oo  ",
"  .XX+++++ .........  +++++@Oo  ",
"  ..X+++++  OO...OOOO +++++@Oo  ",
"  .XX++++++   ...O   ++++++@Oo  ",
"  ..X++++++++ ...O ++++++++@Oo  ",
"  .XX++++++++ ...O ++++++++@Oo  ",
"  ..X+++++++   OOO ++++++++@Oo  ",
"  .XX++++++          ++++++@Oo  ",
"  ..X++++  XX.....XX  +++++@Oo  ",
"  .XX+++ ..+  @@OO@ +X ++++@Oo  ",
"  ..X++ .XX++  @@OOoo . +++@Oo  ",
"  .XX++ .XXX++  @OOOo#.O+++@Oo  ",
"  ..X++ ...XX++ @O@@XX.O+++@Oo  ",
"  .XX++ .@oXX......X+X.O+++@Oo  ",
"  ..X++ #.oOO@@@  ++X.+O+++@Oo  ",
"  .XX+++ .oO+@@  +X+X.OO+++@Oo  ",
"  ..X+++ .@O.@@. +.+X.O +++@Oo  ",
"  .XX+++ #.o. @. +.X.+O++++@Oo  ",
"  ..X++++ .o .@. .XX.OO++++@Oo  ",
"  .XX++++ .oO.@. .XX.OO++++@Oo  ",
"  ..X++++ #.O+@. XX.+O ++++@Oo  ",
"  .X@@@@@@ . O@ ++X.+O @@@@@Oo  ",
"  .OOOOOOO ..O@ ++..OO OOOOOOo  ",
"  ooooooooo +.....X+O oooooooo  ",
"             ++++++OO           ",
"                                ",
NULL};


/* XPM */
static char *unselect_xpm_63[] = {
"32 32 5 1",
" 	c #c4c4c4",
".	c #ffffff",
"X	c #eeeeee",
"o	c #747474",
"O	c #979797",
"                                ",
"                                ",
"                                ",
"                                ",
"                    ..........  ",
"                    .XXXXXXXXo  ",
"                    .X      Oo  ",
"                    .X      Oo  ",
"                 ooo.X      Oo  ",
"  ..........     o  .X      Oo  ",
"  .XXXXXXXXo     o  .X      Oo  ",
"  .X      Oo     o  .OOOOOOOOo  ",
"  .X      Oo     o  oooooooooo  ",
"  .X      Oooooooo              ",
"  .X      Oo   o                ",
"  .X      Oo   o                ",
"  .OOOOOOOOo   o                ",
"  oooooooooo   o                ",
"               o                ",
"               o   ..........   ",
"               o   .XXXXXXXXo   ",
"               o   .X      Oo   ",
"               o   .X      Oo   ",
"               oooo.X      Oo   ",
"                   .X      Oo   ",
"                   .X      Oo   ",
"                   .OOOOOOOOo   ",
"                   oooooooooo   ",
"                                ",
"                                ",
"                                ",
"                                ",
NULL};


/* XPM */
static char *variable_xpm_64[] = {
"32 32 5 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"o	c #000000",
"O	c #979797",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXooXXXX",
" XXXXXXXXX. XXXXXXXXX. XXooo.XXX",
"........................oooo....",
"          .          . ooooo.   ",
" XXXXXXXXX.oXXXXXXXXX. X.ooo.XXX",
" XXoo.XXXXoooXXooooooo XXooo.XXX",
" Xoooo.XXooo..Xooooooo.XXooo.XXX",
" oo.ooo.ooo..XX .......XXooo.XXX",
" o.X.ooooo..XXXXXXXXX.OXXooo.XXX",
" X.XX.ooo.. XXXoooooooOXXooo.XXX",
" XXXXooooo. XoXooooooo.XXooo.XXX",
" XXXooo.ooo.oo.........XXooo.XXX",
" XXooo...oooo..XXXXXX. XXooo.XXX",
"..ooo.....oo.............ooo....",
"   o..    ...        . oooooooO ",
" XXX.XXXXX. XXXXXXXXX. ooooooo.X",
" XXXXXXXXX. XXXXXXXXX. X.......X",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. ooXooXooX",
" XXXXXXXXX. XXXXXXXXX. ooXooXooX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *while_xpm_65[] = {
"32 32 8 1",
" 	c #000000",
".	c #454545",
"X	c #ffffff",
"o	c #eeeeee",
"O	c #747474",
"+	c #c4c4c4",
"@	c #00ffff",
"#	c #979797",
"                                ",
"  . . . . . . . . . . . . . . .X",
" .............................oX",
"  .OOOOOOOOOOOOOOOOOOOOOOOOOO+oX",
" ..OOOOOOOOO       OOOOOOOOOO+oX",
"  .OOOOOOO  @@@@@@@  OOOOOOOO+oX",
" ..OOOOOO @@@@@@@@@@@ OOOOOOO+oX",
"  .OOOOO @@@@     @@@@ OOOOOO+oX",
" ..OOOO @@@  +++++  @@@ OOOOO+oX",
"  .OOO @@@ ++#   #++ @@@ OOOO+oX",
" ..OO @@@ ++#     #++ @@@ OOO+oX",
"  .OO @@ +++  OOO  #++ @@ OOO+oX",
" ..O @@@ +++  O##  O+++ @@ OO+oX",
"  .O @@ ++++#O##  O#+++ @@ OO+oX",
" ..O @@ ++++++#  O#++    @    oX",
"  .O @@ ++++++  O#++++ @@@@@ +oX",
" ..O @@ ++++++  O++++++ @@@ ++oX",
"  .O @@ ++++++  O++++++# @ +O+oX",
" ..O @@@ ++++++OO++++++## #OO+oX",
"  .OO @@ +++++  #+++++ ## #OO+oX",
" ..OO @@@ ++++  O++++ @ ##OOO+oX",
"  .OOO @@@ +++#OO+++ @@@ OOOO+oX",
" ..OOOO @@@  +++++  @@@ OOOOO+oX",
"  .OOOOO @@@@     @@@@ OOOOOO+oX",
" ..OOOOOO @@@@@@@@@@@ OOOOOOO+oX",
"  .OOOOOOO  @@@@@@@  OOOOOOOO+oX",
" ..OOOOOOOOO       OOOOOOOOOO+oX",
"  .OOOOOOOOOOOOOOOOOOOOOOOOOO+oX",
" ..OOOOOOOOOOOOOOOOOOOOOOOOOO+oX",
"  ++++++++++++++++++++++++++++oX",
" ooooooooooooooooooooooooooooooX",
"XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
NULL};


/* XPM */
static char *wspace_xpm_66[] = {
"32 32 3 1",
" 	c #eeeeee",
".	c #747474",
"X	c #c4c4c4",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
"................................",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
"................................",
"          .          .          ",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
" XXXXXXXXX. XXXXXXXXX. XXXXXXXXX",
NULL};


/* XPM */
static char *cantata_xpm_67[] = {
/* width height num_colors chars_per_pixel */
"    16    16        7            1",
/* colors */
". c #979797",
"# c #000000",
"a c #eeeeee",
"b c #747474",
"c c #c4c4c4",
"d c #454545",
"e c #ffffff",
/* pixels */
"................",
".aaaaaaaaaaaaaab",
".bbbbbbbbbbbbbbb",
".aaaaaaaaaaaaaab",
".acbdabcd.....bb",
".##############b",
".............abb",
".............abb",
".............abb",
".............abb",
".............abb",
".a.............b",
".###########dddd",
".a..#.#...#.daa#",
".bbbbbbbbbbbdab#",
".bbbbbbbbbbbd###",
NULL};


/* XPM */
static char *cdav_xpm_68[] = {
/* width height num_colors chars_per_pixel */
"     8     2        2            1",
/* colors */
". c #000000",
"# c #ffff00",
/* pixels */
"........",
"########",
NULL};


/* XPM */
static char *check_xpm_69[] = {
/* width height num_colors chars_per_pixel */
"    16    16        4            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
/* pixels */
".....#..........",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.abba",
".aaaa#aaaaa.bbaa",
".aaaa#aaaaabb#aa",
"##########bb####",
".aaaa#aaa#bbaaaa",
".aaaa#aaabb#aaaa",
".aaabbaabbb.aaaa",
".aabbbb#bb#.aaaa",
".aaabbbbbba.aaaa",
".....bbbb#......",
".aaaa#bbbaa.aaaa",
".aaaa#ab#aa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
NULL};


/* XPM */
static char *clear_xpm_70[] = {
/* width height num_colors chars_per_pixel */
"    16    16        4            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
/* pixels */
".....#..........",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aabb#aaaaa.baaa",
".aabbbaaaaabb#aa",
"####bbb###bb####",
".aaaabbbabb#aaaa",
".aaaa#bbbb#.aaaa",
".aaaa#abbba.aaaa",
".aaaa#bbbbb.aaaa",
".aaaabb#abbbaaaa",
"....bb#...bbb...",
".aabb#aaaaabbbaa",
".aaa##aaaaa.b#aa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.bbab",
NULL};


/* XPM */
static char *close_xpm_71[] = {
/* width height num_colors chars_per_pixel */
"    16    16        6            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
"c c #ffeeb0",
"d c #ffeeb0",
/* pixels */
".....#..........",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
"################",
".aaacccaaaa.aaaa",
".aacccccccccc#aa",
".aacccdcccccc#aa",
".aaccccccbccc#aa",
".aaccccbbbccc#aa",
"...ccccbb#ccc#..",
".aacccbb#bccc#aa",
".aacccccccccc#aa",
".aa###########aa",
".aaaa#aaaaa.aaaa",
NULL};


/* XPM */
static char *console_xpm_72[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #000000",
"a c #eeeeee",
"b c #747474",
"c c #c4c4c4",
"d c #747474",
"e c #454545",
"f c #ffffff",
/* pixels */
"................",
".aaaaaaaaaaaaaab",
".bbbbbbbbbbbbbbb",
".aaaaaaaaaaaaaab",
".acdeadce.....bb",
".##############b",
".............abb",
".............abb",
".............abb",
".............abb",
".............abb",
".a.............b",
".###########eeee",
".a..#.#...#.eaa#",
".bbbbbbbbbbbeab#",
".bbbbbbbbbbbe###",
NULL};


/* XPM */
static char *copy_xpm_73[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #000000",
"a c #eeeeee",
"b c #454545",
"c c #ffffff",
"d c #c4c4c4",
"e c #747474",
"f c #974528",
/* pixels */
"................",
".########.#####.",
".#bbb..##..bbba.",
".#beee####aeeea.",
".#beeee##aeeeea.",
".#beeee.deeeeea.",
".#beeee...eeeea.",
".#beee.eeceeeea.",
".#be.######.eea.",
".#be.fca.efaeea.",
".#be.ffffffaeea.",
".#be.ffffffaeea.",
".#be.ffffffaeea.",
".#be.ffffffaeea.",
".#aa.ffffffaaaa.",
".....aaaaaa.....",
NULL};


/* XPM */
static char *count_xpm_74[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #000000",
"# c #454545",
"a c #ffffff",
"b c #eeeeee",
"c c #747474",
"d c #c4c4c4",
"e c #00ffff",
"f c #979797",
/* pixels */
"................",
".##############b",
".#cccc....cccccb",
".#ccceeeeeeccccb",
".#ccee.dd.eecccb",
".#ceeddd.ddeeccb",
".#.e.ddddddde.cb",
".#.edddd.dd....b",
".#.eddd.cdddeedb",
".#.e.dd.c.ddffcb",
".#ceedcf.ddefccb",
".#ccee.dd.eecccb",
".#ccceeeeeeccccb",
".#cccc....cccccb",
".#cccccccccccccb",
".bbbbbbbbbbbbbbb",
NULL};


/* XPM */
static char *cut_xpm_75[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #747474",
"a c #000000",
"b c #eeeeee",
"c c #454545",
"d c #ffffff",
"e c #c4c4c4",
"f c #974528",
/* pixels */
"................",
".aaaaa.bba.aaaa.",
".acccc.aabbcccb.",
".ac####aab.###b.",
".ac##.a.c.####b.",
".ac##a..b.####b.",
".ac####...####b.",
".ac###.##d####b.",
".ac#.aaaaaa.##b.",
".ac#.fdb.#fb##b.",
".ac#.ffffffb##b.",
".ac#.ffffffb##b.",
".ac#.ffffffb##b.",
".ac#.ffffffb##b.",
".abb.ffffffbbbb.",
".....bbbbbb.....",
NULL};


/* XPM */
static char *delete_xpm_76[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #000000",
"a c #eeeeee",
"b c #454545",
"c c #ffffff",
"d c #c4c4c4",
"e c #747474",
"f c #747474",
/* pixels */
"................",
".########.#####.",
".#bbb..##..bbba.",
".#beee####aeeea.",
".#beeee##aeeeea.",
".#beeee.deeeeea.",
".#beeeee.eeeeea.",
".#bee.b##b.eeea.",
".#be#be.dac#eea.",
".#be##beddb#eea.",
".#befcad.ebeeea.",
".#be.d#d.#baeea.",
".#bee#.d.b#aeea.",
".#beefad.be.eea.",
".#aaa.#de#a.aaa.",
".......eeea.....",
NULL};


/* XPM */
static char *distrib_xpm_77[] = {
/* width height num_colors chars_per_pixel */
"    16    16        4            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
/* pixels */
".....#..........",
".aaaa#aaaaa.aaaa",
".abb##abbba.abb#",
".abb###bbb###bb#",
".a####aab##.a###",
"########b#######",
".aa#a#aabaa##aaa",
".abba#abbba.#bba",
".abb##abbba.abb#",
".abb##abbba.abb#",
".aa#a#b#aaa.aaaa",
"...#.b#.........",
".aa#b#aaaaa.aaaa",
".abb##abbba.aaaa",
".abb###bbba.aaaa",
".a####aa##a.bbab",
NULL};


/* XPM */
static char *dupe_xpm_78[] = {
/* width height num_colors chars_per_pixel */
"    16    16        7            1",
/* colors */
". c #979797",
"# c #000000",
"a c #454545",
"b c #ffffff",
"c c #c4c4c4",
"d c #eeeeee",
"e c #747474",
/* pixels */
"................",
".##############.",
".#aaaaaaaaaaaad.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#aeeee.eeeeeed.",
".bbbbee#.eebbbb.",
".d..a####a.b..ed",
".d..a####adb..ed",
".aaaa..#deeaaaad",
".eeeeee.eeeeeee.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#ddddddddddddd.",
"................",
NULL};


/* XPM */
static char *exit_xpm_79[] = {
/* width height num_colors chars_per_pixel */
"    16    16        6            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
"c c #ff0000",
"d c #ffffff",
/* pixels */
".....#..........",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#ccccb.aaaa",
".aaaacccccdbaaaa",
"####cccccccdb###",
".aacccdccddcdbaa",
".aaccccdddccdbaa",
".aaccccddcccdbaa",
".aacccddcdccdbaa",
".aabdcdccc#cc#aa",
"....bdcccccc#...",
".aaaabddddc#aaaa",
".aaaa#bbbb#.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.bbab",
NULL};


/* XPM */
static char *expr_xpm_80[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #454545",
"a c #ffffff",
"b c #747474",
"c c #eeeeee",
"d c #000000",
"e c #c4c4c4",
"f c #ffff00",
/* pixels */
"................",
".bbbbbbbbbbbbbba",
".b.............a",
".b.............a",
".b.............a",
".b.............a",
".b....beeb.....a",
".b.fffeaaefff..a",
".b.dddeaaedddb.a",
".b..bbbeebbbbb.a",
".b.....bbb.....a",
".b.............a",
".b.............a",
".b.............a",
".b.............a",
".aaaaaaaaaaaaaaa",
NULL};


/* XPM */
static char *helpbugs_xpm_81[] = {
/* width height num_colors chars_per_pixel */
"    16    16        5            1",
/* colors */
". c #979797",
"# c #747474",
"a c #000000",
"b c #ffff00",
"c c #ff0000",
/* pixels */
"................",
"................",
"................",
".......aaa......",
"......abbba.....",
"......ba#ab#....",
"......##aba.....",
".......aba......",
".......ab#.a.aa.",
"....a...##.aca#.",
"..aaca.ab#.aaca.",
"..ccc..aa#.#ca..",
"..aca.......a...",
"................",
"................",
"............aa.a",
NULL};


/* XPM */
static char *helpcant_xpm_82[] = {
/* width height num_colors chars_per_pixel */
"    16    16        7            1",
/* colors */
". c #979797",
"# c #000000",
"a c #eeeeee",
"b c #747474",
"c c #c4c4c4",
"d c #454545",
"e c #ffff00",
/* pixels */
"................",
".aaaaaaaaaaaaaab",
".bbbbbbbbbbbbbbb",
".aaaaaaaaaaaaaab",
".acbda#ee#acb.bb",
".#####e##e#a###b",
".....##b#e#a.abb",
"......a#e#a..abb",
"......ae#a...abb",
"......a##a...abb",
"......a##a...abb",
".a....ae#a...b.b",
".#####abba#####b",
".a..#.#...#..#bb",
".bbbbbbbbbbaaaaa",
".bbbbbbbbbba##.#",
NULL};


/* XPM */
static char *helplic_xpm_83[] = {
/* width height num_colors chars_per_pixel */
"    16    16        5            1",
/* colors */
". c #979797",
"# c #454545",
"a c #747474",
"b c #000000",
"c c #ffff00",
/* pixels */
"................",
"...#............",
"................",
"...#...bbb......",
"...#..bcccb.....",
"...#..cbabca....",
"...##.aabcb..#..",
".......bcb.#.##.",
"..###..bca.#.#..",
".#.#.#..aa..##..",
"..#.#..bca...##.",
"..#.#..bba.#.##.",
".#.#.#.......#..",
"..###...........",
"................",
"............bb.b",
NULL};


/* XPM */
static char *hidecbar_xpm_84[] = {
/* width height num_colors chars_per_pixel */
"    16    16        7            1",
/* colors */
". c #979797",
"# c #000000",
"a c #eeeeee",
"b c #747474",
"c c #ff00ff",
"d c #454545",
"e c #ffffff",
/* pixels */
"................",
".aaaaaaaaaaaaaab",
"ccccc##cc#bccccc",
"caaaa.###b.aaaac",
"ca.....##.....bc",
"c####.#b##.####c",
".....bb..#b..abb",
".............abb",
".............abb",
".............abb",
".............abb",
".a.............b",
".###########dddd",
".a..#.#...#.daa#",
".bbbbbbbbbbbdab#",
".bbbbbbbbbbbd###",
NULL};


/* XPM */
static char *hideclip_xpm_85[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #c4c4c4",
"# c #eeeeee",
"a c #747474",
"b c #454545",
"c c #000000",
"d c #ffffff",
"e c #974528",
"f c #979797",
/* pixels */
"................",
"................",
"...aaaaaaaaaa...",
"...a........aa..",
"...a...aaa..aa..",
"...a.cccccc.aa..",
"...a.ed#faeaaa..",
"...a.eeeeeeaaa..",
"...a.eeeeeeaaa..",
"...a.eeeeeeaaa..",
"...a.eeeeeeaaa..",
"...a.eeeeeeaaa..",
"...a.aaaaaa.aa..",
"...aaaaaaaaaa##c",
"...aaaaaaaaaa#ac",
".............ccc",
NULL};


/* XPM */
static char *hidecons_xpm_86[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #000000",
"a c #eeeeee",
"b c #747474",
"c c #c4c4c4",
"d c #454545",
"e c #ff00ff",
"f c #ffffff",
/* pixels */
"................",
".aaaaaaaaaaaaaab",
".bbbbbbbbbbbbbbb",
".aaaaaaaaaaaaaab",
".acbdabcd.....bb",
".##############b",
".............abb",
".............abb",
".............abb",
".............abb",
".............abb",
".a..b..#.......b",
"e..b#b##b..edddd",
"e...b##b...edaa#",
"e...###b...edab#",
"eee##eb#beeed###",
NULL};


/* XPM */
static char *hidetips_xpm_87[] = {
/* width height num_colors chars_per_pixel */
"    16    16        9            1",
/* colors */
". c #979797",
"# c #747474",
"a c #000000",
"b c #ffffff",
"c c #c4c4c4",
"d c #747474",
"e c #ffff00",
"f c #454545",
"g c #eeeeee",
/* pixels */
"................",
"................",
"................",
"................",
"................",
"................",
"................",
"................",
"................",
"................",
"................",
"................",
"............ffff",
"............fgga",
"............fg#a",
"............faaa",
NULL};


/* XPM */
static char *ifthen_xpm_88[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #454545",
"a c #ffffff",
"b c #747474",
"c c #eeeeee",
"d c #000000",
"e c #ffff00",
"f c #c4c4c4",
/* pixels */
"................",
".bbbbbbbbbbbbbba",
".b.....bdddd...a",
".b.....eeeeeb..a",
".b.....eddddb..a",
".b.....edbbbb..a",
".b....bffb.....a",
".b.eeefaafb....a",
".b.dddfaffb....a",
".b..bbbffbb....a",
".b.....edb.....a",
".b.....eeddd...a",
".b.....deeeeb..a",
".b.....bddddb..a",
".b......bbbbb..a",
".aaaaaaaaaaaaaaa",
NULL};


/* XPM */
static char *info_xpm_89[] = {
/* width height num_colors chars_per_pixel */
"    16    16        4            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
/* pixels */
".....#..........",
".aaaa#aaaaa.aaaa",
".aaaa#abbaa.aaaa",
".aaaa#abb#a.aaaa",
".aaaa#abb#a.aaaa",
"################",
".aaaa#bbb#a.aaaa",
".aaaa##bb#a.aaaa",
".aaaa#abb#a.aaaa",
".aaaa#abb#a.aaaa",
".aaaa#abb#a.aaaa",
".....#.bb#a.....",
".aaaa#bbbb#.aaaa",
".aaaa#bbbb#.aaaa",
".aaaa#a####.aaaa",
".aaaa#aaaaa.bbab",
NULL};


/* XPM */
static char *large_xpm_90[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #000000",
"a c #eeeeee",
"b c #747474",
"c c #c4c4c4",
"d c #454545",
"e c #ff00ff",
"f c #ffffff",
/* pixels */
"................",
".aaaaaaaaaaaaaab",
".bbbbbbbbbbbbbbb",
".aaaaaaaaaaaaaab",
".acdd.....#e..bb",
".##.eee.#ee#.##b",
"....#e...#e..abb",
"..........#..abb",
".............abb",
"....b#....e..abb",
"....be#..ee..abb",
".a..ebb..#ed...b",
".#.d.......d.ddd",
".a..#.#...#.daa#",
".bbbbbbbbbbbdab#",
".bbbbbbbbbbbd###",
NULL};


/* XPM */
static char *merge_xpm_91[] = {
/* width height num_colors chars_per_pixel */
"    16    16        7            1",
/* colors */
". c #979797",
"# c #454545",
"a c #ffffff",
"b c #747474",
"c c #eeeeee",
"d c #000000",
"e c #ffff00",
/* pixels */
"................",
".bbbbbbbbbbbbbba",
".b..ddddb......a",
".b..eeeedb.....a",
".b..dddedb.....a",
".b...bbedb.....a",
".b.....eddb....a",
".b.....eeeeee..a",
".b.....eeddddb.a",
".b.....eddbbbb.a",
".b.....edbb....a",
".b..dddedb.....a",
".b..eeeedb.....a",
".b..ddddbb.....a",
".b...bbbb......a",
".aaaaaaaaaaaaaaa",
NULL};


/* XPM */
static char *new_xpm_92[] = {
/* width height num_colors chars_per_pixel */
"    16    16        3            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
/* pixels */
".....#..........",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
"################",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".....#..........",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
NULL};


/* XPM */
static char *open_xpm_93[] = {
/* width height num_colors chars_per_pixel */
"    16    16        5            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #000000",
"b c #c4c4c4",
"c c #ffeeb0",
/* pixels */
".....#..a.......",
".bbbb#bbabb.bbbb",
".bbbb#baaab.bbbb",
".bbbb#aaaaa.bbbb",
".bbbb#bba#b.bbbb",
"########a#######",
".bbbccab##b.bbbb",
".bbccccccccabbbb",
".bbccacccaaaaabb",
".bbccccacccccabb",
".bbcacccccccc#bb",
"...ccccccccca...",
".bbacccccccc#bbb",
".bbccccccccabbbb",
".bb#########bbbb",
".bbbb#bbbbb.aaba",
NULL};


/* XPM */
static char *paste_xpm_94[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #000000",
"a c #454545",
"b c #ffffff",
"c c #eeeeee",
"d c #747474",
"e c #c4c4c4",
"f c #974528",
/* pixels */
"................",
".######..######.",
".#aaaa.##.aaaac.",
".#addd####.dddc.",
".#add.c##ccdddc.",
".#adddd##.ddddc.",
".#addd..c.ddddc.",
".#addd.dd.ddddc.",
".#ad.######.ddc.",
".#ad.fbc.dfcddc.",
".#ad.ffffffcddc.",
".#ad.ffffffcddc.",
".#ad.ffffffcddc.",
".#ad.ffffffcddc.",
".#cc.ffffffcccc.",
".....cccccc.....",
NULL};


/* XPM */
static char *prefs_xpm_95[] = {
/* width height num_colors chars_per_pixel */
"    16    16        7            1",
/* colors */
". c #979797",
"# c #000000",
"a c #454545",
"b c #eeeeee",
"c c #747474",
"d c #c4c4c4",
"e c #ffffff",
/* pixels */
"................",
"................",
"..aaa...........",
"..acd...........",
"..ddd.bbbbbbbbb.",
"................",
"..###...........",
"..acd...........",
"..acd.aaaaaaaaa.",
"..bbb...........",
"................",
"..bbb...........",
"..b.a...........",
"..aaa.bbbbbbbbb.",
"................",
"............##.#",
NULL};


/* XPM */
static char *proc_xpm_96[] = {
/* width height num_colors chars_per_pixel */
"    16    16        7            1",
/* colors */
". c #000000",
"# c #454545",
"a c #ffffff",
"b c #eeeeee",
"c c #747474",
"d c #c4c4c4",
"e c #00ffff",
/* pixels */
"................",
".##############b",
".#ceeeeeeeeee.cb",
".#ee.........e.b",
".#e.ddddddddde.b",
".#e.ddddddaade.b",
".#e.aaad##ccde.b",
".#e.ac.##dddde.b",
".#e.ddddddddde.b",
".#e.dddd#ac.de.b",
".#e.ddddd...de.b",
".#e.ddddddddde.b",
".#e.ddddddddde.b",
".#.eeeeeeeeeeecb",
".#c..........ccb",
".bbbbbbbbbbbbbbb",
NULL};


/* XPM */
static char *redraw_xpm_97[] = {
/* width height num_colors chars_per_pixel */
"    16    16        5            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
"c c #ffeeb0",
/* pixels */
".....#..........",
".aaaa#cccccccaaa",
".aaaabbbbbbbb#aa",
".aaaaccccccc#aaa",
".aaabbbbbbbb#aaa",
"####bbbbbbbb####",
".aaabbbbbbbbaaaa",
".aaab######baaaa",
".aaaab####b#aaaa",
".aaaa#abb#aaaaaa",
".aaaa#abb#aaaaaa",
".....#.bb#......",
".aaaa#bbbba.aaaa",
".aaaa#bbbba.aaaa",
".aaaa#abb#a.aaaa",
".aaaa#aa#aa.aaaa",
NULL};


/* XPM */
static char *reset_xpm_98[] = {
/* width height num_colors chars_per_pixel */
"    16    16        4            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
/* pixels */
".....#..........",
".aaaa#aabaa.aaaa",
".abba#bbbbbbbaaa",
".abb##bbbbbbbbaa",
".aa#a#aab####b#a",
"#############b##",
".aaaa#aaaaa.ab#a",
".aaaa#aaaaa.ab#a",
".aaaa#aaaaa.ab#a",
".aaaa#aaaaa.ab#a",
".aaaa#aaaaa.ab#a",
".....#.......b#.",
".abbbbbbbbbbbb#a",
".abbbbbbbbbbb#aa",
".aaa#########aaa",
".aaaa#aaaaa.aaaa",
NULL};


/* XPM */
static char *run_xpm_99[] = {
/* width height num_colors chars_per_pixel */
"    16    16        4            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
/* pixels */
".....#..........",
".aaaa#aaaaabb#aa",
".aaaa#aaaa#bbbaa",
".aaaa#abbbbbb#aa",
".aaaa#bbbbbb##aa",
"#####bb#bbbb####",
".aaabb#bbb#bbaaa",
".aaa##bbbb##bbb#",
".aaaa#bbb#a.###a",
".aaaabbbbba.aaaa",
".aaabb#abbb.aaaa",
"...bb#...bb.....",
".abb##aabb#.aaaa",
".bb#a#abb#a.aaaa",
".ab#a#aab#a.aaaa",
".aa#a#aaa#a.aaaa",
NULL};


/* XPM */
static char *runconti_xpm_100[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #454545",
"c c #979797",
"d c #000000",
"e c #00ff00",
"f c #ffffff",
/* pixels */
".....#..........",
".aada#aaaaa##caa",
".aadd#aaaac###aa",
".aeeeed#b####caa",
".deddb#ed###ccaa",
"#eddb##deb######",
".edb##cdebc##aaa",
".debcc#edbcc###c",
".beeddeebca.ccca",
".abdeedb##a.aaaa",
".aaabbba###.aaaa",
"...##c...##.....",
".a##c#aa##c.aaaa",
".##ca#a##ca.accd",
".a#ca#aa#ca.ac#d",
".aaca#aaaca.addd",
NULL};


/* XPM */
static char *running_xpm_101[] = {
/* width height num_colors chars_per_pixel */
"    16    16        5            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
"c c #00ff00",
/* pixels */
".....#..........",
".ccccccccaabb#aa",
".aaaa#aaaa#bbbaa",
".aaaa#abbbbbb#aa",
".bbbb#bbbbbb##aa",
"#####bb#bbbb####",
".cccbb#bbb#bbaaa",
".aaa##bbbb##bbb#",
".aaaa#bbb#a.###a",
".aaaabbbbba.aaaa",
".aaabb#abbb.aaaa",
"...bb#...bb.....",
".abb##aabb#.aaaa",
".bb#a#abb#a.aaaa",
".ab#a#aab#a.aaaa",
".aa#a#aaa#a.aaaa",
NULL};


/* XPM */
static char *runonce_xpm_102[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
"c c #979797",
"d c #00ff00",
"e c #454545",
"f c #ffffff",
/* pixels */
".....#..........",
".bbaa#adbaa##caa",
".bdba#adbac###aa",
".abdb#adb####caa",
".aabdbadb###ccaa",
"###bdb#db#######",
".abdb#cdb#c##aaa",
".bdb#c#db#cc###c",
".bb#ac#dbca.ccca",
".a#aa##ee#a.aaaa",
".aaa##ca###.aaaa",
"...##c...##.....",
".a##c#aa##c.aaaa",
".##ca#a##ca.accb",
".a#ca#aa#ca.ac#b",
".aaca#aaaca.abbb",
NULL};


/* XPM */
static char *save_xpm_103[] = {
/* width height num_colors chars_per_pixel */
"    16    16        5            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
"c c #ffeeb0",
/* pixels */
".....#..........",
".aaaa#aab#a.aaaa",
".aaaa#aab#a.aaaa",
".aaaa#bbbbb.aaaa",
".aaaa#abbba.aaaa",
"########b#######",
".aaaccbabaa.aaaa",
".aaccccccccbaaaa",
".aaccbcccbbbbbaa",
".aaccccbcccccbaa",
".aacbcccccccc#aa",
"...cccccccccb...",
".aabcccccccc#aaa",
".aaccccccccbaaaa",
".aa#########aaaa",
".aaaa#aaaaa.aaaa",
NULL};


/* XPM */
static char *saveas_xpm_104[] = {
/* width height num_colors chars_per_pixel */
"    16    16        5            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
"c c #ffeeb0",
/* pixels */
".....#..........",
".aaabbbbb#a.aaaa",
".aaaa###b#a.aaaa",
".aaaa#bbbbb.aaaa",
".aaaa#abbba.aaaa",
"########b#######",
".aaaccbabaa.aaaa",
".aaccccccccbaaaa",
".aaccbcccbbbbbaa",
".aaccccbcccccbaa",
".aacbcccccccc#aa",
"...cccccccccb...",
".aabcccccccc#aaa",
".aaccccccccbaaaa",
".aa#########aaaa",
".aaaa#aaaaa.bbab",
NULL};


/* XPM */
static char *savedoc_xpm_105[] = {
/* width height num_colors chars_per_pixel */
"    16    16        5            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
"c c #ffffff",
/* pixels */
".....#..........",
".aaaa#aab#a.aaaa",
".aaaa#aab#a.aaaa",
".aaaa#bbbbb.aaaa",
".aaaa#abbba.aaaa",
"########b#######",
".aaaa#aabaa.aaaa",
".aaaabcccca.aaaa",
".aaaabccccc.aaaa",
".aaaabcccbbbaaaa",
".aaaabcccccbaaaa",
"..cccbcccccbc...",
".aaaabcccccbaaaa",
".aaaabcccccbaaaa",
".aaaabcccccbaaaa",
".aaaa#######aaaa",
NULL};


/* XPM */
static char *select_xpm_106[] = {
/* width height num_colors chars_per_pixel */
"    16    16        5            1",
/* colors */
". c #c4c4c4",
"# c #454545",
"a c #eeeeee",
"b c #747474",
"c c #979797",
/* pixels */
"................",
"................",
"..........#####.",
"..........#bbbc.",
".........##bbbc.",
".#####....#bbbc.",
".#bbbc....aaaaa.",
".#bbbc..........",
".#cccc..........",
"................",
"..........####a.",
"..........#bbba.",
"..........#bbba.",
"..........cccca.",
"................",
"................",
NULL};


/* XPM */
static char *selected_xpm_107[] = {
/* width height num_colors chars_per_pixel */
"    16    16        7            1",
/* colors */
". c #979797",
"# c #000000",
"a c #454545",
"b c #ffffff",
"c c #c4c4c4",
"d c #eeeeee",
"e c #747474",
/* pixels */
"................",
".##############.",
".#aaaaaaaaaaaad.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#aeeeeeeeeeeed.",
".#ddddddddddddd.",
"................",
NULL};


/* XPM */
static char *showcbar_xpm_108[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #000000",
"a c #eeeeee",
"b c #747474",
"c c #ff00ff",
"d c #c4c4c4",
"e c #454545",
"f c #ffffff",
/* pixels */
"................",
".aaaaaaaaaaaaaab",
"cccccccccccccccc",
"caaaaaaaaaaaaaac",
"cadbeabde.....bc",
"c##############c",
".............abb",
".............abb",
".............abb",
".............abb",
".............abb",
".a.............b",
".###########eeee",
".a..#.#...#.eaa#",
".bbbbbbbbbbbeab#",
".bbbbbbbbbbbe###",
NULL};


/* XPM */
static char *showclip_xpm_109[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #c4c4c4",
"# c #eeeeee",
"a c #747474",
"b c #454545",
"c c #000000",
"d c #979797",
"e c #ffffff",
"f c #974528",
/* pixels */
"................",
"................",
"...aaaaaaaaaa...",
"...a........aa..",
"...a...aaa..aa..",
"...a.cccccc.aa..",
"...a.fe#dafaaa..",
"...a.ffffffaaa..",
"...a.ffffffaaa..",
"...a.ffffffaaa..",
"...a.ffffffaaa..",
"...a.ffffffaaa..",
"...a.aaaaaa.aa..",
"...aaaaaaaaaa##c",
"...aaaaaaaaaa#ac",
".............ccc",
NULL};


/* XPM */
static char *showcons_xpm_110[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #000000",
"a c #eeeeee",
"b c #747474",
"c c #c4c4c4",
"d c #454545",
"e c #ff00ff",
"f c #ffffff",
/* pixels */
"................",
".aaaaaaaaaaaaaab",
".bbbbbbbbbbbbbbb",
".aaaaaaaaaaaaaab",
".acbdabcd.....bb",
".##############b",
".............abb",
".............abb",
".............abb",
".............abb",
".............abb",
".a.............b",
"e##########edddd",
"ea..#.#...#edaa#",
"ebbbbbbbbbbedab#",
"eeeeeeeeeeeed###",
NULL};


/* XPM */
static char *showtips_xpm_111[] = {
/* width height num_colors chars_per_pixel */
"    16    16        9            1",
/* colors */
". c #979797",
"# c #000000",
"a c #747474",
"b c #ffffff",
"c c #c4c4c4",
"d c #747474",
"e c #ffff00",
"f c #454545",
"g c #eeeeee",
/* pixels */
"....#a..........",
"....#a..........",
"....##a.........",
"..#abbaaaaaaaa..",
"..#bbbb###cbbca.",
"..#bbb#eee#cbca.",
"..#bbbe#d#edbca.",
"..#bbbdd#e#.bca.",
"..#bbbb#e#.bbca.",
"..#bbbb#edbbbca.",
"..#bbbbcddbbbca.",
"..#bbbb#edbbbca.",
"..#bbbb##dbbffff",
"..#cccccccccfgg#",
"..aaaaaaaaaafga#",
"............f###",
NULL};


/* XPM */
static char *small_xpm_112[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #000000",
"a c #eeeeee",
"b c #747474",
"c c #c4c4c4",
"d c #ff00ff",
"e c #454545",
"f c #ffffff",
/* pixels */
"................",
".aaaaaaaaaaaaaab",
".bbbbbbbbbbbbbbb",
".aaaaaaaaaaaaaab",
".acb.d...b#...bb",
".##.dd...bd#.##b",
"....#de..dbb.abb",
"......e.e....abb",
".............abb",
".....#d.ee...abb",
"...#dd#..ddd.abb",
".a..#d...#d....b",
".###.#......eeee",
".a..#.#...#.eaa#",
".bbbbbbbbbbbeab#",
".bbbbbbbbbbbe###",
NULL};


/* XPM */
static char *stop_xpm_113[] = {
/* width height num_colors chars_per_pixel */
"    16    16        7            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #ff0000",
"c c #000000",
"d c #ffffff",
"e c #454545",
/* pixels */
".....#..........",
".a#dddd#aaacc#aa",
".#dbbbbd#a#cccaa",
".dbdbbdbd#ccc#aa",
".dbbddebdccc##aa",
"#dbbddbbdccc####",
".dbdebdbdc#ccaaa",
".#dbbbbdcc##ccc#",
".a#ddddcc#a.###a",
".aa##ccccca.aaaa",
".aaacc#accc.aaaa",
"...cc#...cc.....",
".acc##aacc#.aaaa",
".cc#a#acc#a.aaaa",
".ac#a#aac#a.aaaa",
".aa#a#aaa#a.aaaa",
NULL};


/* XPM */
static char *switch_xpm_114[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #454545",
"a c #ffffff",
"b c #747474",
"c c #eeeeee",
"d c #000000",
"e c #ffff00",
"f c #c4c4c4",
/* pixels */
"................",
".bbbbbbbbbbbbbba",
".b..ddddb......a",
".b..eeeedb.....a",
".b..dddedb.....a",
".b...bbedb.....a",
".b....bffb.....a",
".b....faafeee..a",
".b....faffdddb.a",
".b....bffbbbbb.a",
".b.....edb.....a",
".b..dddedb.....a",
".b..eeeedb.....a",
".b..ddddbb.....a",
".b...bbbb......a",
".aaaaaaaaaaaaaaa",
NULL};


/* XPM */
static char *trigger_xpm_115[] = {
/* width height num_colors chars_per_pixel */
"    16    16        7            1",
/* colors */
". c #979797",
"# c #454545",
"a c #747474",
"b c #ffffff",
"c c #eeeeee",
"d c #000000",
"e c #ffff00",
/* pixels */
"................",
".aaaaaaaaaaaaaab",
".a..dddda......b",
".a..eeeeda.....b",
".a..dddeda.....b",
".a...aaeda.....b",
".a.....edda....b",
".a.....eeeeee..b",
".a.....dddddda.b",
".a......aaaaaa.b",
".a......d......b",
".a......da.....b",
".a..d.d.da.....b",
".a..dadada.....b",
".a...aaaaa.....b",
".bbbbbbbbbbbbbbb",
NULL};


/* XPM */
static char *undelete_xpm_116[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #979797",
"# c #000000",
"a c #454545",
"b c #ffffff",
"c c #eeeeee",
"d c #747474",
"e c #c4c4c4",
"f c #747474",
/* pixels */
"................",
".######..######.",
".#aaaa.##.aaaac.",
".#addd####.dddc.",
".#add.c##ccdddc.",
".#adddd##.ddddc.",
".#addd..c.ddddc.",
".#add.a##a.dddc.",
".#ad#ad.ecb#ddc.",
".#ad##adeea#ddc.",
".#adfbce.dadddc.",
".#ad.e#e.#acddc.",
".#add#.e.a#cddc.",
".#addfce.ad.ddc.",
".#ccc.#ed#c.ccc.",
".......dddc.....",
NULL};


/* XPM */
static char *unselect_xpm_117[] = {
/* width height num_colors chars_per_pixel */
"    16    16        5            1",
/* colors */
". c #c4c4c4",
"# c #ffffff",
"a c #eeeeee",
"b c #747474",
"c c #979797",
/* pixels */
"................",
"................",
"..........#####.",
"..........#...c.",
".........b#...c.",
".#aaaa....#...c.",
".#...c....bbbbb.",
".#...c..........",
".#cccc..........",
"................",
"..........aaaab.",
"..........a...b.",
"..........a...b.",
"..........ccccb.",
"................",
"................",
NULL};


/* XPM */
static char *variable_xpm_118[] = {
/* width height num_colors chars_per_pixel */
"    16    16        5            1",
/* colors */
". c #eeeeee",
"# c #747474",
"a c #c4c4c4",
"b c #000000",
"c c #979797",
/* pixels */
".....#..........",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.abaa",
"############bb##",
".aaaa#aaaaa.#b#a",
".bb#ab#abbb#ab#a",
".##bb#aaaaacab#a",
".aabb#aabbb#ab#a",
".ab##bb#aaa.ab#a",
"..#..##.....bbbc",
".aaaa#aaaaa.####",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.aaaa",
".aaaa#aaaaa.bbab",
NULL};


/* XPM */
static char *while_xpm_119[] = {
/* width height num_colors chars_per_pixel */
"    16    16        8            1",
/* colors */
". c #000000",
"# c #454545",
"a c #ffffff",
"b c #eeeeee",
"c c #747474",
"d c #c4c4c4",
"e c #00ffff",
"f c #979797",
/* pixels */
"................",
".##############b",
".#cccc....cccccb",
".#ccceeeeeeccccb",
".#ccee.dd.eecccb",
".#ceedf..fdeeccb",
".#.e.d.cf.dde.cb",
".#.edddf.fd....b",
".#.eddd.cdddeedb",
".#.e.dddcdddffcb",
".#ceedd.cddefccb",
".#ccee.dd.eecccb",
".#ccceeeeeeccccb",
".#cccc....cccccb",
".#cccccccccccccb",
".bbbbbbbbbbbbbbb",
NULL};


/* XPM */
static char *wspace_xpm_120[] = {
/* width height num_colors chars_per_pixel */
"16 16 3 1",
/* colors */
" 	c #c4c4c4",
".	c #979797",
"X	c #eeeeee",
/* pixels */
"    .X    .X    ",
"    .X    .X    ",
"    .X    .X    ",
"    .X    .X    ",
"................",
"XXXX.XXXXX.XXXXX",
"    .X    .X    ",
"    .X    .X    ",
"    .X    .X    ",
"    .X    .X    ",
"................",
"XXXX.XXXXX.XXXXX",
"    .X    .X    ",
"    .X    .X    ",
"    .X    .X    ",
"    .X    .X    ",
NULL};


/* XPM */
static char *error_xpm_121[] = {
"32 32 4 1",
" 	s None	c None",
".	c #000000",
"X	c #454545",
"o	c #ff0000",
"         .X  .....  X.          ",
"         X.XoooooooX.X          ",
"      X. oX.XoooooX.Xo .X       ",
"     .XooooX.XoooX.XooooX.      ",
"    .XooooooX.XoX.XooooooX.     ",
"   .XoooooX.ooooooo.XoooooX.    ",
"  XXoooooo...ooooo...ooooooXX   ",
"  .oooooooo.XoooooX.oooooooo.X  ",
" XXoooooooooooooooooooooooooX.  ",
" .ooooooooooo....Xooooooooooo.X ",
"XXoooooooooooo.X X.XoooooooooX. ",
"Xoooooooooooooo.X  XXooooooooo.X",
".ooooooooooooooo.X  .ooooooooo.X",
".oooooooo.ooooooo.X XXoooooooo..",
".oooooooo..ooooooo.X .oooooooo..",
".oooooooo.X.ooooooo.X.oooooooo..",
".oooooooo. X.ooooooo..oooooooo..",
".ooooooooXX X.ooooooo.oooooooo..",
".ooooooooo.  X.ooooooooooooooo..",
"XoooooooooXX  X.oooooooooooooo..",
"XXoooooooooX.X X.ooooooooooooX.X",
" .oooooooooooX....ooooooooooo..X",
" XXoooooooooooooooooooooooooX.. ",
"  .ooooooooooX...Xoooooooooo..X ",
"  XXoooooooX.......XoooooooX..  ",
"   .XoooooX...XoX...XoooooX..X  ",
"    .XoooX.XoooooooX.XoooX..X   ",
"     .XoooooooooooooooooX..X    ",
"      ..XoooooooooooooX...X     ",
"       X..XoooooooooX....X      ",
"         X.............X        ",
"           XX.......XX          ",
NULL};


/* XPM */
static char *info_xpm_122[] = {
"32 32 6 1",
" 	s None	c None",
".	c #454545",
"X	c #000000",
"o	c #747474",
"O	c #979797",
"+	c #00ffff",
"            .XXXXX..            ",
"           .oO+++Oo..           ",
"          Xo+++++++oX.          ",
"          XO+++++++OXX          ",
"          Xo+++++++oXX          ",
"          ..oO+++Oo.X.          ",
"           ..XXXXX.X.           ",
"            ..XXXXX.            ",
"                                ",
"        XXXXXXXXXXXXX.          ",
"        X+++++++++++XX          ",
"        X+++.X+++X.+XX          ",
"        XX+.X.+++.X.            ",
"          .X.+++++.X.           ",
"         .X.+X.+.X+.X.          ",
"         X.+XXX+XXX+.X          ",
"           +.X.+.X.+            ",
"          X+++++++++X.          ",
"          X+++++++++XX          ",
"          X+++++++++XX          ",
"          X+++++++++XX          ",
"          X+++++++++XX          ",
"          X+++++++++XX          ",
"       XXXX+++++++++XXXX.       ",
"       X+++++++++++++++XX       ",
"       X+++.o+++++o.+++XX       ",
"       X+++.X.ooo.X.+++XX       ",
"       X++++.XXXXX.++++XX       ",
"       X+++++o.X.o+++++XX       ",
"       X+++++++++++++++XX       ",
"       XXXXXXXXXXXXXXXXXX       ",
"       .XXXXXXXXXXXXXXXXX       ",
NULL};


/* XPM */
static char *distron_xpm_123[] = {
"32 32 7 1",
" 	c #ffffff",
"X	c #eeeeee",
"o	c #c4c4c4",
"+	c #979797",
".	c #747474",
"@	c #454545",
"O	c #000000",
"          .          .          ",
"Xooooooooo.Xooooooooo.Xooooooooo",
"Xooooooooo.Xooooooooo.Xooooooooo",
"XooOOOOOoo.XooOOOOOoo.XooOOOOOoo",
"XooOOOOO.o.XooOOOOO.o.XooOOOOO.o",
"XooOOOOOOOOOOOOOOOOOOOOOOOOOOO.o",
"XooOOOOO......OOOOO......OOOOO.o",
"XooOOOOO.o.XooOOOOO.o.XooOOOOO.o",
"Xooo.O...o.Xooo.O..O..Xooo.....o",
"XooooO.ooo.XooooO.o.O.Xooooooooo",
".....O..........O....O..........",
"XXXXXO.XXX.XXXXXO.XXX.O.XXXXXXXX",
"XooooO.ooo.XooooO.ooo..O.ooooooo",
"XooooO.ooo.XooooO.ooo.X.O.oooooo",
"XooOOOOOoo.XooOOOOOoo.Xo.OOOOOoo",
"XooOOOOO.o.XooOOOOO.o.XooOOOOO.o",
"XooOOOOO.o.XooOOOOO.o.XooOOOOO.o",
"XooOOOOO.o.XooOOOOO.o.XooOOOOO.o",
"XooOOOOO.o.XooOOOOO.o.XooOOOOO.o",
"Xooo.O...o.XoO......o.Xooo.....o",
"XooooO.ooo.XO..oooooo.Xooooooooo",
".....O.....O....................",
"XXXXXO.XXXO..XXXXXXXX.XXXXXXXXXX",
"XooooO.ooO..ooooooooo.Xooooooooo",
"XooooO.oO..Xooooooooo.Xooooooooo",
"XooOOOOO...XooOOOOOoo.Xoo      o",
"XooOOOOO.o.XooOOOOO.o.Xoo ++++Oo",
"XooOOOOOOOOOOOOOOOO.o.Xoo +..@Oo",
"XooOOOOO......OOOOO.o.Xoo +..@Oo",
"XooOOOOO.o.XooOOOOO.o.Xoo +@@@Oo",
"Xooo.....o.Xooo.....o.XooOOOOOOo",
"Xooooooooo.Xooooooooo.Xooooooooo",
NULL};


/* XPM */
static char *distroff_xpm_124[] = {
"32 32 7 1",
" 	c white",
".	c #747474",
"X	c #eeeeee",
"o	c #c4c4c4",
"O	c black",
"+	c #979797",
"@	c #454545",
"          .          .          ",
"Xooooooooo.Xooooooooo.Xooooooooo",
"Xooooooooo.Xooooooooo.Xooooooooo",
"XooOOOOOoo.XooOoOoOoo.XooOoOoOoo",
"XooOOOOO.o.XoooOoOo.o.XoooOoOo.o",
"XooOOOOO.O.XOoOoOoOoO.XOoOoOoOoo",
"XooOOOOO.o..o.oOoOo.o..o.oOoOo.o",
"XooOOOOO.o.XooOoOoOoo.XooOoOoOoo",
"Xooo.....o.Xooo.o.oO+.Xooo.o.o.o",
"XooooO.ooo.XooooOoo+o+Xooooooooo",
"....................+O+.........",
"XXXXXX.XXX.XXXXXX.XXX+o+XXXXXXXX",
"XooooOoooo.XooooOoooo.+O+ooooooo",
"Xooooo.ooo.Xooooo.ooo.X+o+oooooo",
"XooOoOoOoo.XooOoOoOoo.Xo+OoOoOoo",
"XoooOoOo.o.XoooOoOo.o.XoooOoOo.o",
"XooOoOoOoo.XooOoOoOoo.XooOoOoOoo",
"XoooOoOo.o.XoooOoOo.o.XoooOoOo.o",
"XooOoOoOoo.XooOoOoOoo.XooOoOoOoo",
"Xooo.o.o.o.XoOo.o.o.o.Xooo.o.o.o",
"XooooOoooo.Xoo.oooooo.Xooooooooo",
"...........O....................",
"XXXXXX.XXX.X.XXXXXXXX.XXXXXXXXXX",
"XooooOoooO..ooooooooo.Xooooooooo",
"Xooooo.ooo.Xooooooooo.Xooooooooo",
"XooOoOoOo..XooOoOoOoo.Xoo      o",
"XoooOoOo.o.XoooOoOo.o.Xoo ++++Oo",
"XooOoOoOoO.XOoOoOoOoo.Xoo +..@Oo",
"XoooOoOo.o..o.oOoOo.o.Xoo +..@Oo",
"XooOoOoOoo.XooOoOoOoo.Xoo +@@@Oo",
"Xooo.o.o.o.Xooo.o.o.o.XooOOOOOOo",
"Xooooooooo.Xooooooooo.Xooooooooo",
NULL};


/* XPM */
static char *distroff_xpm_125[] = {
"16 16 5 1",
" 	c #eeeeee",
".	c #979797",
"X	c #c4c4c4",
"o	c #000000",
"O	c #747474",
"     .    .     ",
" XXXX. XXX. XXXX",
" Xooo. oXo. oXoX",
" Xooo.oXoX.oXoXX",
" Xooo. oXo. oXoX",
"..........o.....",
"   o .  o .     ",
" XoXo. oXo. oXoX",
" XXoX. XoX. XoXX",
" XoXo. oXo. oXoX",
"................",
"   o o    .     ",
" XoXo. oXo. ...X",
" XXoX. XoX. .OoX",
" XoXo. oXo. oooX",
" XXXX. XXX. XXXX",
NULL};


/* XPM */
static char *distron_xpm_126[] = {
"16 16 5 1",
" 	c #eeeeee",
".	c #979797",
"X	c #c4c4c4",
"o	c #000000",
"O	c #747474",
"     .    .     ",
" XXXX. XXX. XXXX",
" Xooo. ooo. oooX",
" XoooooooooooooX",
" Xooo. ooo. oooX",
"...o.. .o.o.....",
"   o .  o .o    ",
" Xooo. ooo. oooX",
" Xooo. ooo. oooX",
" Xooo. ooo. oooX",
"...o..o.........",
"   o o    .     ",
" Xooo. ooo. ...X",
" Xooo. ooo. .OoX",
" Xooo. ooo. oooX",
" XXXX. XXX. XXXX",
NULL};



/*-----------------------------------------------------------
| 
|  Routine Name: xvlang_cache_pixmaps
| 
|       Purpose: Caches all pixmaps for the xvlang library
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname xvlang
|          Date: July 1, 1997
| Modifications: 
| 
------------------------------------------------------------*/
void xvlang_cache_pixmaps(void)
{

    static int initialized = FALSE;

    /* Only need to initialize pixmaps once... */
    if (initialized == TRUE)
	    return;

    initialized = TRUE;

    /*
     * and now, a call to xvw_cache_pixmap()
     * for each pixmap in the pixmaps/ directory...
     */
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/control/count.xpm",
                     count_xpm_0);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/control/expr.xpm",
                     expr_xpm_1);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/control/ifthen.xpm",
                     ifthen_xpm_2);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/control/merge.xpm",
                     merge_xpm_3);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/control/switch.xpm",
                     switch_xpm_4);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/control/trigger.xpm",
                     trigger_xpm_5);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/control/while.xpm",
                     while_xpm_6);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/control/procedure.xpm",
                     procedure_xpm_7);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/control/procedure_open.xpm",
                     procedure_open_xpm_8);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/control/procedure_close.xpm",
                     procedure_close_xpm_9);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/glyph/pane_close.xpm",
                     pane_close_xpm_10);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/glyph/pane_open.xpm",
                     pane_open_xpm_11);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/glyph/remote.xpm",
                     remote_xpm_12);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/cantata.xpm",
                     cantata_xpm_13);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/cdav.xpm",
                     cdav_xpm_14);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/check.xpm",
                     check_xpm_15);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/clear.xpm",
                     clear_xpm_16);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/close.xpm",
                     close_xpm_17);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/console.xpm",
                     console_xpm_18);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/copy.xpm",
                     copy_xpm_19);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/count.xpm",
                     count_xpm_20);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/cut.xpm",
                     cut_xpm_21);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/delete.xpm",
                     delete_xpm_22);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/distrib.xpm",
                     distrib_xpm_23);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/dupe.xpm",
                     dupe_xpm_24);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/exit.xpm",
                     exit_xpm_25);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/expr.xpm",
                     expr_xpm_26);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/helpbugs.xpm",
                     helpbugs_xpm_27);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/helpcant.xpm",
                     helpcant_xpm_28);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/helplic.xpm",
                     helplic_xpm_29);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/hidecbar.xpm",
                     hidecbar_xpm_30);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/hideclip.xpm",
                     hideclip_xpm_31);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/hidecons.xpm",
                     hidecons_xpm_32);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/hidetips.xpm",
                     hidetips_xpm_33);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/ifthen.xpm",
                     ifthen_xpm_34);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/info.xpm",
                     info_xpm_35);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/large.xpm",
                     large_xpm_36);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/merge.xpm",
                     merge_xpm_37);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/new.xpm",
                     new_xpm_38);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/open.xpm",
                     open_xpm_39);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/paste.xpm",
                     paste_xpm_40);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/prefs.xpm",
                     prefs_xpm_41);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/proc.xpm",
                     proc_xpm_42);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/redraw.xpm",
                     redraw_xpm_43);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/reset.xpm",
                     reset_xpm_44);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/run.xpm",
                     run_xpm_45);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/runconti.xpm",
                     runconti_xpm_46);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/running.xpm",
                     running_xpm_47);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/runonce.xpm",
                     runonce_xpm_48);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/save.xpm",
                     save_xpm_49);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/saveas.xpm",
                     saveas_xpm_50);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/savedoc.xpm",
                     savedoc_xpm_51);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/select.xpm",
                     select_xpm_52);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/selected.xpm",
                     selected_xpm_53);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/showcbar.xpm",
                     showcbar_xpm_54);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/showclip.xpm",
                     showclip_xpm_55);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/showcons.xpm",
                     showcons_xpm_56);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/showtips.xpm",
                     showtips_xpm_57);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/small.xpm",
                     small_xpm_58);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/stop.xpm",
                     stop_xpm_59);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/switch.xpm",
                     switch_xpm_60);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/trigger.xpm",
                     trigger_xpm_61);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/undelete.xpm",
                     undelete_xpm_62);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/unselect.xpm",
                     unselect_xpm_63);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/variable.xpm",
                     variable_xpm_64);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/while.xpm",
                     while_xpm_65);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/wspace.xpm",
                     wspace_xpm_66);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/cantata.xpm",
                     cantata_xpm_67);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/cdav.xpm",
                     cdav_xpm_68);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/check.xpm",
                     check_xpm_69);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/clear.xpm",
                     clear_xpm_70);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/close.xpm",
                     close_xpm_71);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/console.xpm",
                     console_xpm_72);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/copy.xpm",
                     copy_xpm_73);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/count.xpm",
                     count_xpm_74);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/cut.xpm",
                     cut_xpm_75);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/delete.xpm",
                     delete_xpm_76);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/distrib.xpm",
                     distrib_xpm_77);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/dupe.xpm",
                     dupe_xpm_78);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/exit.xpm",
                     exit_xpm_79);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/expr.xpm",
                     expr_xpm_80);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/helpbugs.xpm",
                     helpbugs_xpm_81);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/helpcant.xpm",
                     helpcant_xpm_82);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/helplic.xpm",
                     helplic_xpm_83);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/hidecbar.xpm",
                     hidecbar_xpm_84);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/hideclip.xpm",
                     hideclip_xpm_85);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/hidecons.xpm",
                     hidecons_xpm_86);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/hidetips.xpm",
                     hidetips_xpm_87);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/ifthen.xpm",
                     ifthen_xpm_88);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/info.xpm",
                     info_xpm_89);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/large.xpm",
                     large_xpm_90);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/merge.xpm",
                     merge_xpm_91);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/new.xpm",
                     new_xpm_92);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/open.xpm",
                     open_xpm_93);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/paste.xpm",
                     paste_xpm_94);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/prefs.xpm",
                     prefs_xpm_95);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/proc.xpm",
                     proc_xpm_96);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/redraw.xpm",
                     redraw_xpm_97);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/reset.xpm",
                     reset_xpm_98);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/run.xpm",
                     run_xpm_99);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/runconti.xpm",
                     runconti_xpm_100);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/running.xpm",
                     running_xpm_101);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/runonce.xpm",
                     runonce_xpm_102);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/save.xpm",
                     save_xpm_103);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/saveas.xpm",
                     saveas_xpm_104);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/savedoc.xpm",
                     savedoc_xpm_105);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/select.xpm",
                     select_xpm_106);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/selected.xpm",
                     selected_xpm_107);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/showcbar.xpm",
                     showcbar_xpm_108);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/showclip.xpm",
                     showclip_xpm_109);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/showcons.xpm",
                     showcons_xpm_110);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/showtips.xpm",
                     showtips_xpm_111);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/small.xpm",
                     small_xpm_112);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/stop.xpm",
                     stop_xpm_113);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/switch.xpm",
                     switch_xpm_114);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/trigger.xpm",
                     trigger_xpm_115);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/undelete.xpm",
                     undelete_xpm_116);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/unselect.xpm",
                     unselect_xpm_117);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/variable.xpm",
                     variable_xpm_118);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/while.xpm",
                     while_xpm_119);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/wspace.xpm",
                     wspace_xpm_120);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/glyph/error.xpm",
                     error_xpm_121);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/glyph/info.xpm",
                     info_xpm_122);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/distron.xpm",
                     distron_xpm_123);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/large/distroff.xpm",
                     distroff_xpm_124);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/distroff.xpm",
                     distroff_xpm_125);
    xvw_cache_pixmap("$DESIGN/objects/library/xvlang/pixmaps/commandbar/small/distron.xpm",
                     distron_xpm_126);

}


