 /*
  * Khoros: $Id: pixmaps.c,v 1.3.2.6 1997/06/08 15:13:19 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: pixmaps.c,v 1.3.2.6 1997/06/08 15:13:19 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "internals.h"

/* XPM */
static char *quit_xpm_0[] = {
"32 32 8 1",
" 	s None	c None",
".	c #000000",
"X	c #454545",
"o	c #ff0000",
"O	c #ffffff",
"+	c #c4c4c4",
"@	c #979797",
"#	c #747474",
"         .............X         ",
"        .ooooooooooooo.X        ",
"       .ooOOOOOOOOOOOoo.X       ",
"      .ooO+ooooooooo+Ooo.X      ",
"     .ooO+ooooooooooo+Ooo.X     ",
"    .ooO+ooooooooooooo+Ooo.X    ",
"   .ooO+ooooooooooooooo+Ooo.X   ",
"  .ooO+oooooo++OO++ooooo+Ooo.X  ",
" .ooO+oooooo+OOOOOO+ooooo+Ooo.X ",
".ooO+oooooo+OOOOOOOO+ooooo+Ooo.X",
".oO+ooooooo@OOO@@OOO++ooooo+Oo..",
".oOooooooooOOO@#o#OOO@ooooooOo..",
".oOooooooooOOO@oooOOO@ooooooOo..",
".oOoooooooo#@@#ooOOO+@ooooooOo..",
".oOoooooooooooooOOOO@#ooooooOo..",
".oOooooooooooooOOOO@#oooooooOo..",
".oOooooooooooo+OOO@#ooooooooOo..",
".oOoooooooooooOOO@#oooooooooOo..",
".oOoooooooooooOOO@ooooooooooOo..",
".oOoooooooooooOOO@ooooooooooOo..",
".oO+ooooooooooo@@#ooooooooo+Oo..",
".ooO+ooooooooooooooooooooo+Ooo..",
"X.ooO+oooooooo+O+oooooooo+Ooo..X",
" X.ooO+oooooooOOO@oooooo+Ooo..X ",
"  X.ooO+oooooo+O+#ooooo+Ooo..X  ",
"   X.ooO+oooooo@#ooooo+Ooo..X   ",
"    X.ooO+ooooooooooo+Ooo..X    ",
"     X.ooO+ooooooooo+Ooo..X     ",
"      X.ooOOOOOOOOOOOoo..X      ",
"       X.ooooooooooooo..X       ",
"        X..............X        ",
"         X............X         ",
NULL};


/* XPM */
static char *multi_xpm_1[] = {
"32 32 6 1",
" 	s None	c None",
".	c #000000",
"X	c #454545",
"o	c #ff7400",
"O	c #747474",
"+	c #979797",
"               .X               ",
"              .o.X              ",
"             .ooo.X             ",
"            .ooooo.X            ",
"           .ooooooo.X           ",
"          .ooooooOXo.X          ",
"         .ooooooX.ooo.X         ",
"        .ooooooX.Ooooo.X        ",
"       .oo+.OoX.Xoooooo.X       ",
"      .ooo...O..oooooooo.X      ",
"     .ooooo....Xooooooooo.X     ",
"    .ooooooo..Xooooooooooo.X    ",
"   .ooooooooo.OoooOXooooooo.X   ",
"  .ooooooooooooooX.ooooooooo.X  ",
" .ooooooooooooooX.Ooooooooooo.X ",
".oooooooooo+.OoX.Xoooooooooooo.X",
"X.ooooooooo...O..oooooooooooo..X",
" X.ooooooooo....Xooooooooooo..X ",
"  X.ooooooooo..Xooooooooooo..X  ",
"   X.ooooooooo.OoooOXooooo..X   ",
"    X.ooooooooooooX.ooooo..X    ",
"     X.ooooooooooX.Ooooo..X     ",
"      X.oooo+.OoX.Xoooo..X      ",
"       X.ooo...O..oooo..X       ",
"        X.ooo....Xooo..X        ",
"         X.ooo..Xooo..X         ",
"          X.ooo.Ooo..X          ",
"           X.ooooo..X           ",
"            X.ooo..X            ",
"             X.o..X             ",
"              X..X              ",
"               XX               ",
NULL};


/* XPM */
static char *prompt_xpm_2[] = {
"32 32 5 1",
" 	s None	c None",
".	c #000000",
"X	c #454545",
"o	c #ff7400",
"O	c #747474",
"               .X               ",
"              .o.X              ",
"             .ooo.X             ",
"            .ooooo.X            ",
"           .ooooooo.X           ",
"          .ooooooooo.X          ",
"         .ooooooooooo.X         ",
"        .ooooOX..XOooo.X        ",
"       .ooooO......Oooo.X       ",
"      .ooooO........Oooo.X      ",
"     .oooooX...XX...XOooo.X     ",
"    .oooooo...XOoO...Ooooo.X    ",
"   .ooooooo...Xooo...Xooooo.X   ",
"  .ooooooooOXXOoo...XXoooooo.X  ",
" .oooooooooooooo....XOooooooo.X ",
".oooooooooooooo....XOooooooooo.X",
"X.ooooooooooooX...XOooooooooo..X",
" X.ooooooooooo...XOooooooooo..X ",
"  X.oooooooooo...Xooooooooo..X  ",
"   X.ooooooooo...Xoooooooo..X   ",
"    X.oooooooooXXOooooooo..X    ",
"     X.ooooooooooooooooo..X     ",
"      X.ooooooX.Xoooooo..X      ",
"       X.ooooo...Xoooo..X       ",
"        X.ooooX.XOooo..X        ",
"         X.ooooXOooo..X         ",
"          X.ooooooo..X          ",
"           X.ooooo..X           ",
"            X.ooo..X            ",
"             X.o..X             ",
"              X..X              ",
"               XX               ",
NULL};


/* XPM */
static char *save_xpm_3[] = {
"32 32 7 1",
" 	s None	c None",
".	c #000000",
"X	c #c4c4c4",
"o	c #ffeeb0",
"O	c #454545",
"+	c #979797",
"@	c #747474",
"     ........                   ",
"    .XoooooX..                  ",
"   .XoooooooX..                 ",
"...XoooooooooX..........        ",
".oooooooooooooooooooooo.O       ",
".oooooooooooooooooooooo.O       ",
".ooooooo...ooooooo.............O",
".oooooo+.o+.ooooo.Xoooooooooo+.O",
".oooooo.+oo......Xooooooooooo.O ",
".ooooo+.oooooooooooooooooooo+.O ",
".ooooo.+oooooooooooooooooooo.O  ",
".oooo+.ooooo+O..O@ooooooooo+.O  ",
".oooo.+oooo+......@oooooooo.O   ",
".ooo+.oooo+........@oooooo+.O   ",
".ooo.+ooooO...OO...O@ooooo.O    ",
".oo+.ooooo...O@o@...@oooo+.O    ",
".oo.+ooooo...OooX...Ooooo.O     ",
".o+.oooooo+OO+oX...O@ooo+.O     ",
".o.+ooooooooooX....OXooo.O      ",
".+.ooooooooooX....O@ooo+.O      ",
"..+ooooooooooO...O@oooo.O       ",
"...........  ...OO  ....O       ",
" OOOOOOOOOO  ...O  OOOOO        ",
"             ...O               ",
"              OOO               ",
"                                ",
"             O.O                ",
"             ...O               ",
"             O.OO               ",
"              OO                ",
"                                ",
"                                ",
NULL};


/* XPM */
static char *choose_xpm_4[] = {
"32 32 4 1",
" 	s None	c None",
".	c #000000",
"X	c #454545",
"o	c #ff7400",
"               .X               ",
"              .o.X              ",
"             .ooo.X             ",
"            .ooooo.X        XX  ",
"           .ooooooo.X     X.X   ",
"          .ooooooooo.X   ..X    ",
"         .ooooooooooo.  ..X     ",
"        .oooooooooooooo...      ",
"       .oooooooooooooo...X      ",
"      .oooooooooooooo...X       ",
"     .oooooooooooooo...Xo X     ",
"    .ooooooooooooooX..Xooo.X    ",
"   .ooooooooooooooX..XXoooo.X   ",
"  .ooooooooooooooX...Xoooooo.X  ",
" .ooooooooo.oooooX..XXooooooo.X ",
".ooooooooo...oooX...Xooooooooo.X",
"X.ooooooo.....oX...XXoooooooo..X",
" X.ooooooo.....X...Xoooooooo..X ",
"  X.ooooooo.......XXooooooo..X  ",
"   X.ooooooo......Xooooooo..X   ",
"    X.ooooooo....XXoooooo..X    ",
"     X.ooooooo...Xoooooo..X     ",
"      X.ooooooo.XXooooo..X      ",
"       X.oooooooXooooo..X       ",
"        X.ooooooooooo..X        ",
"         X.ooooooooo..X         ",
"          X.ooooooo..X          ",
"           X.ooooo..X           ",
"            X.ooo..X            ",
"             X.o..X             ",
"              X..X              ",
"               XX               ",
NULL};


/* XPM */
static char *query_xpm_5[] = {
"32 32 8 1",
" 	s None	c None",
".	c #000000",
"X	c #454545",
"o	c #ff7400",
"O	c #747474",
"+	c #eeeeee",
"@	c #979797",
"#	c #c4c4c4",
"               .X               ",
"              .o.X              ",
"             .ooo.X             ",
"            .ooooo.X            ",
"           .ooooooo.X           ",
"          .ooooooooo.X          ",
"         .ooooooooooo.X         ",
"        .ooooooooooooo.X        ",
"       .ooooooooooooooo.X       ",
"                                ",
"     .....................      ",
"     .XXXXXXXXXXXXXXXXXXX. X    ",
"   . .XOOOOOOOOOOOOOOOOO+. .X   ",
"  .o .XO@.@.@@@@@@@@@@@#+. o.X  ",
" .oo .XO@@.@@@@@@@@@@@@#+. oo.X ",
".ooo .XO@@.@@@@@@@@@@@@#+. ooo.X",
"X.oo .XO@@.@@@@@@@@@@@@#+. oo..X",
" X.o .XO@@.@@@@@@@@@@@@#+. o..X ",
"  X. .XO@.@.@@@@@@@@@@@#+. ..X  ",
"   X .X#################+. .X   ",
"     .+++++++++++++++++++. X    ",
"     .....................      ",
"                                ",
"       X.ooooooooooooo..X       ",
"        X.ooooooooooo..X        ",
"         X.ooooooooo..X         ",
"          X.ooooooo..X          ",
"           X.ooooo..X           ",
"            X.ooo..X            ",
"             X.o..X             ",
"              X..X              ",
"               XX               ",
NULL};


/* XPM */
static char *lightning_xpm_6[] = {
/*  pixmap
 * width height ncolors chars_per_pixel */
"16 16 4 1",
/**/
" 	s None	c None",
".	c #ffffff",
"X	c #000000",
"o	c #454545",
/* pixels */
"       ......   ",
"      .XXXXXo   ",
"     .XXXXXo    ",
"     .XXXXo     ",
"    .XXXXo      ",
"    .XXXoooo    ",
"   .XXXXXXXo    ",
"  .XXXXXXXo     ",
"  ....XXXo      ",
"    .XXXo       ",
"   .XXXo        ",
"   .XXo         ",
"  .XXo          ",
"  .Xo           ",
" .Xo            ",
" .o             ",
NULL};



/*-----------------------------------------------------------
| 
|  Routine Name: xvutils_cache_pixmaps
| 
|       Purpose: Caches all pixmaps for the xvutils library
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname xvutils
|          Date: July 1, 1997
| Modifications: 
| 
------------------------------------------------------------*/
void xvutils_cache_pixmaps(void)
{

    static int initialized = FALSE;

    /* Only need to initialize pixmaps once... */
    if (initialized == TRUE)
	    return;

    initialized = TRUE;

    /*
     * and now, a call to xvw_cache_pixmap()
     * for each pixmap in the pixmaps/ directory...
     */
    xvw_cache_pixmap("$DESIGN/objects/library/xvutils/pixmaps/quit.xpm",
                     quit_xpm_0);
    xvw_cache_pixmap("$DESIGN/objects/library/xvutils/pixmaps/multi.xpm",
                     multi_xpm_1);
    xvw_cache_pixmap("$DESIGN/objects/library/xvutils/pixmaps/prompt.xpm",
                     prompt_xpm_2);
    xvw_cache_pixmap("$DESIGN/objects/library/xvutils/pixmaps/save.xpm",
                     save_xpm_3);
    xvw_cache_pixmap("$DESIGN/objects/library/xvutils/pixmaps/choose.xpm",
                     choose_xpm_4);
    xvw_cache_pixmap("$DESIGN/objects/library/xvutils/pixmaps/query.xpm",
                     query_xpm_5);
    xvw_cache_pixmap("$DESIGN/objects/library/xvutils/pixmaps/lightning.xpm",
                     lightning_xpm_6);

}


