/*
  * Khoros: $Id: xvlist.h,v 1.6 1997/01/20 05:36:40 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */
/* See $DESIGN/repos/copyright/Copyright for terms and conditions. */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Include file for xvlist routines
   >>>>
   >>>>    Written By: Neil Bowers
   >>>>
   >>>>          Date: 16-oct-93
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvlist_h_
#define _xvlist_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

typedef struct _xvlist_context
{
	char	      **strings;	/*-- list item strings --*/
	int		nstrings;	/*-- number of list items --*/
	int		selected;	/*-- selected list item --*/
	void	      (*callback) PROTO((struct _xvlist_context *,
						char *,int));
} xvlist_context;
typedef void (*xvlist_callback)	PROTO((xvlist_context *,char *,int));


	/*-------------------------------------*
	|	global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|	macros
	---------------------------------------*/


	/*-------------------------------------*
	|	routine definitions
	---------------------------------------*/

xvlist_context *create_xvlist_context	PROTO((char *, char **, int,
						xvlist_callback));
int		update_xvlist_context	PROTO((xvlist_context *,char **,int));

int		install_xvlist_context	PROTO((xvlist_context *));

#endif /* _xvlist_h_ */
/* Don't add after this point */
