/*
 * Khoros: $Id: do_library.c,v 1.5.2.3 1997/05/24 19:07:27 mirage Exp $
 */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_library.c,v 1.5.2.3 1997/05/24 19:07:27 mirage Exp $";
#endif


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>         Functionality routines for pane library
   >>>> 
   >>>>  Private: 
   >>>>         library_create_library
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "craftsman.h"

/*-----------------------------------------------------------
| Routine Name:	library_create_library
| 
| Purpose:	Do routine which is called when
|		pane action button create_library is used
| 
| Input:	library_info - ptr to PaneInfo struct for library pane
| 
| Output:	None
| Written By:	
| Date:		Jun 01, 1993
------------------------------------------------------------*/
/* ARGSUSED */
void
library_create_library(
   template1_library * library_info)
{
   unsigned long lang;

   switch (library_info->lang_val)
   {
      case 1: /* C */
         lang = KCMS_LANG_C;
         break;
      case 2: /* C++ */
         lang = KCMS_LANG_CPLUSPLUS;
         break;
      case 3: /* Fortran */
         lang = KCMS_LANG_FORTRAN;
         break;
      default: /* shouldn't happen */
         lang = KCMS_LANG_NONE;
         break;
   }

   create_object(KCMS_LIBRARY, gui_info->template1->bname, lang, FALSE);
}
