/*
 * Khoros: $Id: do_pane.c,v 1.5.2.1 1997/04/29 22:43:24 mirage Exp $
 */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_pane.c,v 1.5.2.1 1997/04/29 22:43:24 mirage Exp $";
#endif


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>         Functionality routines for pane pane
   >>>> 
   >>>>  Private: 
   >>>>         pane_create_pane
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "craftsman.h"

/*-----------------------------------------------------------
| Routine Name:	pane_create_pane
| 
| Purpose:	Do routine which is called when
|		pane action button create_pane is used
| 
| Input:	pane_info - ptr to PaneInfo struct for pane pane
| 
| Output:	None
| Written By:	Neil Bowers
| Date:		Jun 01, 1993
------------------------------------------------------------*/
void
pane_create_pane(
   template1_pane * pane_info)
{
   create_object(KCMS_PANE, NULL, KCMS_NOLANG, pane_info->incantata_val - 1);
}
