/* 
 * Khoros: $Id: do_xvroutine.c,v 1.6.2.1 1997/04/29 22:43:27 mirage Exp $
 */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_xvroutine.c,v 1.6.2.1 1997/04/29 22:43:27 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>         Functionality routines for pane xvroutine
   >>>> 
   >>>>  Private: 
   >>>>         xvroutine_create_xvroutine
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "craftsman.h"		/* Khoros copyright */

/*-----------------------------------------------------------
| Routine Name:	xvroutine_create_xvroutine
| 
| Purpose:	Do routine which is called when
|		pane action button create_xvroutine is used
| 
| Input:	xvroutine_info - ptr to PaneInfo struct for xvroutine pane
| 
| Output:	None
| Written By:	Neil Bowers
| Date:		Jun 01, 1993
------------------------------------------------------------*/
void
xvroutine_create_xvroutine(
   template1_xvroutine * xvroutine_info)
{
   create_object(KCMS_XVROUTINE, gui_info->template1->bname,
	(unsigned long) ((xvroutine_info->lang_val == 1) ? KCMS_NOLANG :
			 KCMS_LANG_CPLUSPLUS),
	 xvroutine_info->incantata_val - 1);
}
