/*
  * Khoros: $Id: do_file.c,v 1.5 1997/01/20 06:49:31 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_file.c,v 1.5 1997/01/20 06:49:31 mirage Exp $";
#endif


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	Functionality routines for pane file
   >>>> 
   >>>>  Private: 
   >>>> 	file_input_file
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#include "xprism.h"


/*-----------------------------------------------------------
| 
|  Routine Name: file_input_file
| 
|       Purpose: Do routine which is called when
|                  input selection input_file is used
| 
|         Input: file_info - ptr to PaneInfo struct for file pane
| 
|        Output: None
|    Written By: 
|          Date: Nov 01, 1993
| Modifications: 
| 
------------------------------------------------------------*/
void file_input_file(
     Plot_file *file_info)
{
	input_file(file_info->input_file);
}
