 /*
  * Khoros: $Id: gimpfacet.h,v 1.11.2.2 1997/05/31 18:52:59 mirage Exp $
  */

/*
 * Copyright (C) 1996,1997 , The Regents of the University of California.
 * All rights reserved.  See $GEOMETRY/repos/license/LBL_Copyright.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for gimpfacet
   >>>> 
   >>>>    Written By: Steve Kubica
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _gimpfacet_h_
#define _gimpfacet_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <geometry.h>

/* -include_includes */
#include <geometry/geometry.h>
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  input facet file (required infile)
 */
char	*i_file;	/* input facet file FILENAME */
int	 i_flag;	/* input facet file FLAG */

/*
 *  output geometry object (required outfile)
 */
char	*o_file;	/* output geometry object FILENAME */
int	 o_flag;	/* output geometry object FLAG */

/*
 *  object name (optional string)
 */
char	*name_string;	/* object name STRING */
int	 name_flag;   	/* object name FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void gimpfacet_get_args PROTO((kaddr));
void gimpfacet_usage_additions PROTO((void));
void gimpfacet_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
