/*
 * Khoros: $Id: matrix.h,v 1.6.2.1 1997/04/24 22:19:12 mirage Exp $
 */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Contains the toplevel includes and defines
   >>>>		       for the toolbox "MATRIX".
   >>>>
   >>>>    Written By: #author-name#
   >>>>
   >>>>          Date: 
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _matrix_h_
#define _matrix_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

/* other toolbox includes go here */

#include <dataserv.h>

/* toplevel include for each library in this toolbox go below here */
/* LIBRARY INCLUDES: do not delete this line */

#if ( Usef2c || Useg77 )
#include <f2c.h>
#endif

#include <blas/blas.h>
#include <dlapack/dlapack.h>
#include <zlapack/zlapack.h>
#include <kmatrix/kmatrix.h>

	/*-------------------------------------*
	|       #defines
	---------------------------------------*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/


#endif /* _matrix_h_ */
/* Don't add after this point */
