 /*
  * Khoros: $Id: msvd.h,v 1.14.2.2 1997/05/31 19:40:11 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for msvd
   >>>> 
   >>>>    Written By: Scott Wilson
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _msvd_h_
#define _msvd_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <matrix.h>

/* -include_includes */
#include <kmatrix/kmatrix.h>
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  Input matrix (required infile)
 */
char	*i_file;	/* Input matrix FILENAME */
int	 i_flag;	/* Input matrix FLAG */

/*
 *  Output matrix U (required outfile)
 */
char	*o1_file;	/* Output matrix U FILENAME */
int	 o1_flag;	/* Output matrix U FLAG */

/*
 *  Output matrix S (required outfile)
 */
char	*o2_file;	/* Output matrix S FILENAME */
int	 o2_flag;	/* Output matrix S FLAG */

/*
 *  Output matrix V (required outfile)
 */
char	*o3_file;	/* Output matrix V FILENAME */
int	 o3_flag;	/* Output matrix V FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void msvd_get_args PROTO((kaddr));
void msvd_usage_additions PROTO((void));
void msvd_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
