 /*
  * Khoros: $Id: kgeom_update.h,v 1.1.2.2 1997/05/31 19:34:06 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kgeom_update
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kgeom_update_h_
#define _kgeom_update_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <migration.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  Geometry data in old format (required infile)
 */
char	*i_file;	/* Geometry data in old format FILENAME */
int	 i_flag;	/* Geometry data in old format FLAG */

/*
 *  Geometry data in new format (required outfile)
 */
char	*o_file;	/* Geometry data in new format FILENAME */
int	 o_flag;	/* Geometry data in new format FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kgeom_update_get_args PROTO((kaddr));
void kgeom_update_usage_additions PROTO((void));
void kgeom_update_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
int transfer_attributes PROTO((kobject, kgeom_object *));
int transfer_primitives PROTO((kobject, kgeom_object *));
/* -include_routines_end */

#endif
