eval 'exec perl -S $0 ${1+"$@"}'
                if $runnning_under_some_shell;

#========================================================================
# Program Name: kfixdeps - 
# Purpose:	long description goes here
#
# RCS ID:	Khoros: $Id: kfixdeps.pl,v 1.1 1997/04/23 18:44:45 mirage Exp $
#========================================================================

# Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
# All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.


# -khoros_perl_init

$notfound = 1;
foreach $toolbox_file (sort split(/:/, $ENV{'KHOROS_TOOLBOX'}))
{
   push(@files, $toolbox_file);
   push(@lineno, 0);
}
die "The HOME environment variable must be set.\n" if ( !defined $ENV{'HOME'});
$HOME = $ENV{'HOME'};
if ( @files == 0 )
{
   push(@files, "$HOME/.Toolboxes");
   push(@lineno, 0);
}
while (@files > 0)
{
   $toolbox_file = pop @files;
   $start_char   = pop @lineno;
   open(TBS,"<$toolbox_file") || do
   {
      warn "Can not open $toolbox_file.  Please check to make sure your\n";
      die  "referenced Toolboxes file(s) exist.\n";
   };
   seek(TBS, $start_char, 0);

   while (<TBS>)
   {
      chop($_);
      if (/^#include\s+([^\s]*)/)
      {
	 push(@files, "$toolbox_file", "$1");
	 push(@lineno, tell TBS, 0);
	 last;
      }
      next if /^\s*#/;
      @line = m/^([^:]+):([^\;]+)\;?(.*)$/;

      if ($line[1] =~ /kfile:/ || $tbpath =~ /kexec:/)
      {
         print "$line[0] is a remote toolbox.  It is not added to list\n";
         print "because remote toolboxes not supported at this time.\n";
      }
      else
      {
         push(@INC, "$line[1]/repos/perl") if $line[0] eq "SRCMACH";

         if ($line[0] eq "SUPPORT")
         {
            if ( $notfound )
            {
               $support_path = $line[1];
               undef $notfound;
            }
            else
            {
               warn "The SUPPORT toolbox is defined twice.  Please check\n";
	       warn "your environment toolboxes file(s) and make sure that\n";
	       warn "all toolboxes are only defined once.\n";
	       $support_path = $line[1];
            }
         }
      }
   }
   close TBS;
}

if ( $notfound )
{
   print "The SUPPORT toolbox is not defined in any of the files pointed to\n";
   die   "by the environment toolboxes file(s).\n";
}

# -khoros_perl_init_end

@INC = ("$support_path/repos/perl", @INC);
require "khoros.pl";
require "kutils.pl";

$whatis = '';
@clui_args  = (
        'tb',     'toolbox',      'name of toolbox'
);

# initialize Khoros perl lib
&khoros'initialize("MIGRATION",$whatis,@clui_args);

&khoros'parse_args(@ARGV);                   # parse the command-line

# ------------------------------------------------------------------------
# Put your code here
# ------------------------------------------------------------------------
# kfixdeps assumes your toolbox.def and toolbox.h file are consistent
# ------------------------------------------------------------------------
      $toolbox = $khoros'argval{'tb'};
      if ($toolbox eq "bootstrap") {
         die "bootstrap can't depend on another toolbox!\n";
      }
      print "checking for dependencies in toolbox $toolbox\n";
      $tbpath = `kecho -tb $toolbox -echo path`;
      chop $tbpath;
      open (FILE, $tbpath . "/repos/config/imake_config/toolbox.def")
         || die "Can't open toolbox imake configuration file: $!\n";
      while (<FILE>) {
         if ( /^#include ([A-Z]+)_INCLUDE$/ ) {
            $dep = $1;
            $dep =~ tr/A-Z/a-z/;
            $deps .= "\n" . $dep;
         }
      }
      $dbm = $tbpath . "/repos/db/cms";
      print `kdbmupdate -dbm $dbm -key DEPENDENCIES -printval`;
      if ( $? ) {
         print `kdbmupdate -dbm $dbm -key DEPENDENCIES -update "$deps"`;
         if ( ! $? ) {
            print "DEPENDENCIES key added to toolbox cms database\n";
         }
      }
      else {
         print "DEPENDENCIES key exists; no action taken\n";
      }
