eval 'exec perl -S $0 ${1+"$@"}'
                if $runnning_under_some_shell;

#========================================================================
# Program Name: migrate_render - migrate Rendermonster workspaces to Render workspaces
# Purpose:	migrate workspaces the contain references to the ole
#               RenderMonster/rmonster to Render/render.
#
# RCS ID:	Khoros: $Id: migrate_render.pl,v 1.1 1997/05/27 20:48:42 mirage Exp $
#========================================================================

# Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
# All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.

#
#  Handle usage
#
$usage=<<EofUsage;
-------------------------------------------------------------------------
  migrate_render - migrate a RenderMonster workspace to a Render workspace.

       migrate_render <filename>

       -U : display this message
-------------------------------------------------------------------------
EofUsage
 
$whatis   = 'Migrate RenderMonster workspaces to Render workspaces';

if ($#ARGV < 0) {
    die "$usage";
} else {
    $filename = shift(@ARGV);
}

if ($filename eq "-U") {
    die "$usage";
}

open (INFILE, "$filename") || die "Cannot open workspace file $filename: $!\n";
open (TMPFILE, ">$filename.$$") || die "Cannot open temporary file: $!\n";

while ( <INFILE> ) {
     chop();
     $tmpline = $_;
     if ( $tmpline =~ /(.*)RenderMonster(.*)/ ) {
	 $tmpline =~ s/RenderMonster/Render/g;
     }
     if ( $tmpline =~ /(.*)rmonster(.*)/ ) {
	 $tmpline =~ s/rmonster/render/g;
     }
     print (TMPFILE "$tmpline");
}

system ("/bin/mv $filename $filename.bak");
system ("/bin/mv $filename.$$ $filename");

