 /*
  * Khoros: $Id$
  */

/*
 * Copyright (C) 1993-1997 Junior Barrera, Roberto Lotufo.
 * All rights reserved.  See $MMACH/repos/license/License.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for vdiskstr
   >>>> 
   >>>>    Written By: Ulisses Braga
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: May 12, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _vdiskstr_h_
#define _vdiskstr_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <mmach.h>

/* -include_includes */
#include <lmmach/lmmach.h>
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  output resulting struc file definition (required outfile)
 */
char	*o_file;	/* output resulting struc file definition FILENAME */
int	 o_flag;	/* output resulting struc file definition FLAG */

/*
 *  diameter of the disk to be created (required integer)
 */
int	 d_int; 	/* diameter of the disk to be created INT */
int	 d_flag;	/* diameter of the disk to be created FLAG */

/*
 *  2D/3D dimension (required logical)
 */
int	 dim_logic;	/* 2D/3D dimension LOGIC */
int	 dim_flag;  	/* 2D/3D dimension FLAG */

/*
 *  disk type (required logical)
 */
int	 p_logic;	/* disk type LOGIC */
int	 p_flag;  	/* disk type FLAG */

/*
 *  value to be added to nonplanar elements (required integer)
 */
int	 off_int; 	/* value to be added to nonplanar elements INT */
int	 off_flag;	/* value to be added to nonplanar elements FLAG */

/*
 * lets user choose which kind of disk is to be created (Required string toggle)
 *	euclidean (choose euclidean  metric)
 *	city-block (choose city-block metric)
 *	chessboard (choose chessboard metric),
 */
char	*t_toggle;		/* lets user choose which kind of disk is to be created STRING TOGGLE */
int	 t_flag;		/* lets user choose which kind of disk is to be created FLAG */

/*
 *  trigger input (optional infile)
 */
char	*trigger_file;	/* trigger input FILENAME */
int	 trigger_flag;	/* trigger input FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void vdiskstr_get_args PROTO((kaddr));
void vdiskstr_usage_additions PROTO((void));
void vdiskstr_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
