/* Khoros: $Id: vipl.h,v 1.7 1997/01/20 07:30:14 mirage Exp $ */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */
/* See $TOOLS/repos/copyright/Copyright for terms and conditions. */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions and prototypes for library vipl
   >>>>
   >>>>       Toolbox: $TOOLBOX
   >>>>
   >>>>    Written By: Your name goes here!
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _vipl_vipl_h_
#define _vipl_vipl_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

#include <vutils/vutils.h>
#include <verror/verror.h>


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/



	/* Ghostwriter Prototypes:  Do Not Erase This Comment */

int lvcltrans PROTO((xvimage *, int, int , float, int , int , xvimage *));






int lvquant PROTO((xvimage *, int, int , xvimage **, int , xvimage **, int , int , int ));

int lvsdef PROTO((xvimage *, float, int, int , int ));

int lvgef PROTO((xvimage *, float, int, int , int ));

int lvdrf PROTO((xvimage *, float, float , int, int , int , int ));

int llrfclass	PROTO((xvimage *, xvimage *, xvimage *, xvimage *,
		       xvimage **, int));
 
int llrftrain	PROTO((xvimage *, xvimage *, xvimage *, xvimage *,
		       xvimage **, float, float, int, int, int,
		       float, kfile *));
 
int lvbandsp1	PROTO((xvimage *, xvimage **, char *, int));
 
int lvcast	PROTO((xvimage **, int, int));
 
int lvclose	PROTO((unsigned char *, unsigned char *, int, int, int, int));
 
int lvconvert	PROTO((xvimage *, int, int, int, float, float, int));
 
int lvcost	PROTO((xvimage *, xvimage *, int, int));
 
int lvdetilt	PROTO((xvimage *, xvimage *, int, int));
 
int lvdistance	PROTO((xvimage *));
 
int lvfht	PROTO((xvimage *, int));
 
int lvfractal	PROTO((xvimage *, int, int, int));
 
int lvgamth	PROTO((xvimage *, int, int, int, int, int, int, int, int,
		       int, int, int, int, int, int));
 
int lvgbox	PROTO((unsigned char *, unsigned short, unsigned short,
		       float, float, float, float, unsigned char,
		       unsigned char, float, float, float, float,
		       float, float));
 
int lvgcirc	PROTO((xvimage **, int, int, int, float, float, float,
		       float, float));
 
int lvgettilt	PROTO((xvimage *, xvimage *, int, double *, double *,
		       double *));
int lvfindtilt	PROTO((xvimage *, double *, double *, double *));
int lvmafdtilt	PROTO((xvimage *, xvimage *, double *, double *, double *));
 
int lvgfractal	PROTO((xvimage **, int, float, float, int, int, int));
 
int lvgpwl	PROTO((xvimage **, int, int, int, float, float, float,
		       float, float, float, float, float, float, float,
		       float, int));
 
int lvgrow	PROTO((xvimage *));
 
int lviso2	PROTO((xvimage *, xvimage **, xvimage **, int, int, int,
		       float, float, float, float, float, int, int, int,
		       int **init_cluster, int , xvimage *, kfile *));

int lvlabel	PROTO((xvimage *, xvimage *, xvimage *, int, int, int, int,
		       xvimage *, float, int, int, float, int, kfile *));

int lvmarr	PROTO((xvimage **, int, int, float));
 
int lvmediaxis	PROTO((xvimage *, int));
 
int lvmindis	PROTO((xvimage *, xvimage *, int));

int lvmos2band	PROTO((xvimage *, xvimage **, int, int, int, int, int,
		       int, int, int, int));
 
int lvpml	PROTO((xvimage *, xvimage *, xvimage *, kfile *, int,
		       int, int, int));
 
int lvqerr	PROTO((xvimage *, xvimage *, xvimage *, int, double *));

int lvsamp PROTO((xvimage *, xvimage **, int, int , int , int , int ));

int lvshape	PROTO((int, xvimage *, int, int, int, xvimage **, int,
		       xvimage **, int, xvimage **, int, char *, kfile *,
		       int, int, int));
 
int lvslope	PROTO((xvimage *, int, int, int, int, float, xvimage **,
		       xvimage **));
 
int lvspatial	PROTO((xvimage *, int, int, int, int, int, int, int, int));
 
int lvsurf	PROTO((xvimage *, xvimage **, xvimage **));
 
int lvtilt	PROTO((xvimage *, xvimage *, int, float, float));
 
int lvwmdd	PROTO((xvimage *, xvimage *, xvimage *, int, float, int));

int lvhxray PROTO((xvimage *, int, int , int ));

int lvhmed PROTO((xvimage *, int, int ));

int lvspeckle PROTO((xvimage *, int));

int lvenhance PROTO((xvimage *, int, int , float, float ));

#endif /* _vipl_vipl_h_ */
/* Don't add after this point */
