/* Khoros: $Id: vutils.h,v 1.5 1997/01/20 07:30:18 mirage Exp $ */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */
/* See $TOOLS/repos/copyright/Copyright for terms and conditions. */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions and prototypes for library vutils
   >>>>
   >>>>       Toolbox: $TOOLBOX
   >>>>
   >>>>    Written By: Your name goes here!
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _vutils_vutils_h_
#define _vutils_vutils_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

#include <kdatafmt/kdatafmt.h>

	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define DSP_VECTOR  0


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

/*
 *  The xvimage structure in 2.0 is typedef'ed to be viff.  Therefore retro
 *  needs to define the xvimage structure to be a typedef of viff.
 */
typedef viff xvimage;

	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/
xvimage **create_images_list PROTO((unsigned int));

xvimage *copyimage PROTO((xvimage *));
xvimage *readheader PROTO((int));
xvimage *readimage PROTO((char *));
xvimage *createimage PROTO((unsigned long, unsigned long, unsigned long,
			    unsigned long, unsigned long, char *, unsigned long,
			    unsigned long, unsigned long, unsigned long,
			    unsigned long, unsigned long));


char **dload_vector PROTO((xvimage *, int *, int *, int));
char **load_vector PROTO((xvimage *, int, int *, int *));

char *unload_vector PROTO((char **, int, int, int, int, int, int));

int viff_rowsize PROTO((int data_storage_type, int width));
int dunload_vector PROTO((char **, xvimage *, unsigned long, int, int, int ));
int imagesize PROTO((xvimage *, int *, int *, int *, int *, int *, int *));
int writeimage PROTO((char *, xvimage *));
int freeimage PROTO((xvimage *));
int gpwl PROTO((float *, int, int, float, float, float, float, float, float,
                float, float, float, float, float));
int vget_type PROTO((int *, char *));
int copyimagedata PROTO((xvimage *, xvimage **, int));
int copylocationdata PROTO((xvimage *, xvimage **, int));
int copymapdata PROTO((xvimage *, xvimage **, int));
int create_comment PROTO((char *, char *, char *));

void copyheader PROTO((xvimage *, xvimage *));

	/* Ghostwriter Prototypes:  Do Not Erase This Comment */

#endif /* _vutils_vutils_h_ */
/* Don't add after this point */
