/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:	Private include file for library `vipl'.
   >>>>			This is (should be) included by all source
   >>>>			files comprising the library.  This file includes
   >>>>			the public include file for the library:
   >>>>				<vipl/vipl.h>
   >>>>
   >>>>       Toolbox: $RETRO
   >>>>
   >>>>    Written By: Your name goes here!
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */
/* See $TOOLS/repos/copyright/Copyright for terms and conditions. */

/* Khoros: $Id: internals.h,v 1.5 1997/01/20 07:43:21 mirage Exp $ */

#ifndef _vipl_internals_h_
#define _vipl_internals_h_



	/*-------------------------------------*
	|	#includes
	\--------------------------------------*/

#include <retro.h>


	/*-------------------------------------*
	|	#defines
	\--------------------------------------*/


	/*-------------------------------------*
	|	typedefs
	\--------------------------------------*/


	/*-------------------------------------*
	|	global variable declarations
	\--------------------------------------*/


	/*-------------------------------------*
	|	macros
	\--------------------------------------*/


	/*-------------------------------------*
	|	routine definitions
	\--------------------------------------*/

void expfilter  PROTO((float, int, int, int, unsigned char *, unsigned char *));
void gradadp    PROTO((int, int, int, int, unsigned char *, unsigned char *,
		       unsigned char *));
void threshold  PROTO((unsigned char *, unsigned char *, int, int, int, int,
		       int, int));
void gef        PROTO((unsigned char *, unsigned char *, unsigned char *, int,
		       int, int, float));
void gefextr    PROTO((unsigned char *, unsigned char *, unsigned char *, int,
		       int));

void sdeff      PROTO((unsigned char *, unsigned char *, unsigned char *, 
		       unsigned char *, unsigned char *, int, int, int, float));

void sdefextr   PROTO((unsigned char *, unsigned char *, unsigned char *, 
		       unsigned char *, unsigned char *, int, int, float));
#endif /* _vipl_internals_h_ */
/* Don't add after this point */
