 /*
  * Khoros: $Id: kdbmcat.h,v 1.14.2.2 1997/05/31 20:00:18 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kdbmcat
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kdbmcat_h_
#define _kdbmcat_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <support.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  name of toolbox (optional string)
 */
char	*tb_string;	/* name of toolbox STRING */
int	 tb_flag;   	/* name of toolbox FLAG */

/*
 *  name of object (optional string)
 */
char	*oname_string;	/* name of object STRING */
int	 oname_flag;   	/* name of object FLAG */

/*
 *  select the manpage dbm (optional flag)
 */
int	 manpage_flag;  	/* select the manpage dbm FLAG */

/*
 *  display the cms database (optional flag)
 */
int	 cms_flag;  	/* display the cms database FLAG */

/*
 *  display the functions database (optional flag)
 */
int	 functions_flag;  	/* display the functions database FLAG */

/*
 *  path to dbm file (optional string)
 */
char	*dbm_string;	/* path to dbm file STRING */
int	 dbm_flag;   	/* path to dbm file FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kdbmcat_get_args PROTO((kaddr));
void kdbmcat_usage_additions PROTO((void));
void kdbmcat_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
