 /*
  * Khoros: $Id: kdiffobj.h,v 1.14.2.2 1997/05/31 20:00:48 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kdiffobj
   >>>> 
   >>>>    Written By: Mark Young
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kdiffobj_h_
#define _kdiffobj_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <support.h>

/* -include_includes */
#include "kcms/kcms.h"
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  Program or Library Object Name (required string)
 */
char	*oname_string;	/* Program or Library Object Name STRING */
int	 oname_flag;   	/* Program or Library Object Name FLAG */

/*----- optional MI group ----*/
/*
 *  First toolbox with object to compare (optional string)
 */
char	*tb1_string;	/* First toolbox with object to compare STRING */
int	 tb1_flag;   	/* First toolbox with object to compare FLAG */

/*
 *  Second toolbox with object from (optional string)
 */
char	*tb2_string;	/* Second toolbox with object from STRING */
int	 tb2_flag;   	/* Second toolbox with object from FLAG */

/*-- optional MI group end ---*/

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kdiffobj_get_args PROTO((kaddr));
void kdiffobj_usage_additions PROTO((void));
void kdiffobj_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
int generate_diffobj PROTO((char *, char *, char *));
/* -include_routines_end */

#endif
