 /*
  * Khoros: $Id: usage.c,v 1.14.2.2 1997/05/31 20:01:54 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: usage.c,v 1.14.2.2 1997/05/31 20:01:54 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "kgenwhatis.h"
/*-----------------------------------------------------------
| 
|  Routine Name: kgenwhatis_get_args
| 
|       Purpose: Gets command line args for kgenwhatis
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname kgenwhatis
|          Date: July 1, 1997
| Modifications: 
| 
------------------------------------------------------------*/
void kgenwhatis_get_args(
    kaddr opane)
{

	static char *sync_error_mesg = "Generated code for kgenwhatis is out of sync with arguments specified in kgenwhatis's *.pane file; please rerun ghostwriter on kgenwhatis.";

	kform *pane = (kform *) opane;


	/*
	 * allocate the kgenwhatis structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((size_t)1, sizeof (clui_info_struct));

	if (!(kclui_get_string(pane, "tb",
			  &(clui_info->tb_string),
			  &(clui_info->tb_flag))))
	{
	    kerror(NULL, "kgenwhatis_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



/*
 * internal representation of clui UIS file
 */
char *clui_uis[] = {

  "-F 4.3 1 0 52x1+0+0 +0+0 'Cantata' cantata",
  "-M 1 1 52x1+0+0 +1+0 'kgenwhatis:  generates lists of library routines w/ short descs' subform",
  "-P 1 0 52x1+0+1 +17+0 ' ' pane",
  "-D 1 0 9x1+0+0 'Options' _gui_options",
  "-H 1 6x1+0+0 'License' 'license' $BOOTSTRAP/repos/license/License license",
  "-E",
  "-R 1 0 1 5x1+35+0 'Run' 'execute kgenwhatis' $SUPPORTBIN/kgenwhatis",
  "-H 1 5x1+41+0 'Help' 'help page for kgenwhatis' $SUPPORT/objects/kroutine/kgenwhatis/help/kgenwhatis.hlp help",
  "-Q 1 0 5x1+47+0 'Close'",
  "-s 1 0 0 1 0 51x1+1+2 ' ' 'Toolbox  Name ' 'toolbox name' tb",
  "-E",
  "-E",
  "-E",
};

size_t clui_line_lookup[] = {
  1,2,3,4,5,6,7,8,9,10,11,12,13,};

size_t clui_file_lookup[] = {
  0,0,0,0,0,0,0,0,0,0,0,0,0,};
/*
 * array of uis filenames and line numbers for error messaging
 */
char *clui_filenames[] = {
  "$SUPPORT/objects/kroutine/kgenwhatis/uis/kgenwhatis.pane",
};

/*
 * UIS struct for clui
 */
uis_struct clui_uis_spec = {
	clui_uis,
	13,
	clui_file_lookup,
	clui_line_lookup,
	clui_filenames,
	1,
	512};


