 /*
  * Khoros: $Id: kgrepobj.h,v 1.14.2.2 1997/05/31 20:02:11 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kgrepobj
   >>>> 
   >>>>    Written By: Mark Young
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kgrepobj_h_
#define _kgrepobj_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <support.h>

/* -include_includes */
#include "kcms/kcms.h"
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*----- required ME group ----*/
/*
 *  Specific function to search for (optional string)
 */
char	*function_string;	/* Specific function to search for STRING */
int	 function_flag;   	/* Specific function to search for FLAG */

/*
 *  String expression to search for (optional string)
 */
char	*string_string;	/* String expression to search for STRING */
int	 string_flag;   	/* String expression to search for FLAG */

/*
 *  Specific routine to search for (optional string)
 */
char	*routine_string;	/* Specific routine to search for STRING */
int	 routine_flag;   	/* Specific routine to search for FLAG */

/*-- required ME group end ---*/

/*
 *  Toolbox to search (optional string)
 */
char	*tb_string;	/* Toolbox to search STRING */
int	 tb_flag;   	/* Toolbox to search FLAG */

/*
 *  Object to search (optional string)
 */
char	*oname_string;	/* Object to search STRING */
int	 oname_flag;   	/* Object to search FLAG */

/*
 *  Software object type (optional string)
 */
char	*type_string;	/* Software object type STRING */
int	 type_flag;   	/* Software object type FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kgrepobj_get_args PROTO((kaddr));
void kgrepobj_usage_additions PROTO((void));
void kgrepobj_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
void search_object PROTO((kobject, char *));
/* -include_routines_end */

#endif
