/*
 * Khoros: $Id: kobject.h,v 1.5 1997/01/20 03:48:28 mirage Exp $
 */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Khoros Object Declarations
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Oct 27, 1992 18:40
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kutils_kobject_h_
#define _kutils_kobject_h_


	/*-------------------------------------*
	|       #include 
	---------------------------------------*/

	/*-------------------------------------*
	|       #defines 
	---------------------------------------*/

/*
#define KOBJ_DATA      (1L << 1)
#define KOBJ_TRANSPORT (1L << 2)
#define KOBJ_CMSTB     (1L << 3)
#define KOBJ_CMSOBJ    (1L << 4)
#define KOBJ_CMSFILE   (1L << 5)
 */
#define KOBJ_DATA      1
#define KOBJ_TRANSPORT 2
#define KOBJ_CMSTB     3
#define KOBJ_CMSOBJ    4
#define KOBJ_CMSFILE   5

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

typedef struct _kobject *kobject;

/*
 *  Declare a xvobject to be a struct _xvobject.  The declaration for
 *  this structure is actually in the file:
 *
 *		$DESIGN/objects/library/xvwidgets/src/internals.h
 */
typedef struct _xvobject *xvobject;


	/*-------------------------------------*
	|       macros
	---------------------------------------*/

	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

#endif /* _kutils_kobject_h_ */
/* Don't add after this point */
