
 /*
  * Khoros: $Id: aix.h,v 1.5 1997/01/20 03:49:15 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:
   >>>>
   >>>>    Written By: Mark Young & John Salas
   >>>>
   >>>>          Date: Jul 16, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _machine_aix_h_
#define _machine_aix_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

#include <sys/types.h>
#include <sys/m_types.h>


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KVFORK_DEF 1
#define KTEMPNAM_DEF 1

#define KLOG2_DEF
#define KEXP2_DEF
#define KEXP10_DEF

/*
 *  Tranports currently supported by Khoros under the (aix)
 *  architecture
 */
#define KFILE_DEF
#define KSOCKET_DEF
#define KPIPE_DEF
#define KSHM_DEF
#define KMMAP_DEF
#define KSTREAM_DEF

/*
 *  X11 extensions currently supported by Khoros under the (aix)
 *  architecture
 */


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/


#endif /* _machine_aix_h_ */
/* Don't add after this point */
