
 /*
  * Khoros: $Id: dynix.h,v 1.5 1997/01/20 03:49:36 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Support for Sequent/Dynix/Ptx
   >>>>
   >>>>    Written By: Avygdor Moise
   >>>>
   >>>>          Date: Aug 11, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _machine_dynix_h_
#define _machine_dynix_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KTEMPNAM_DEF 1
#define KVFORK_DEF 0

/*
 *  Tranports currently supported by Khoros under Dynix
 *  architecture
 */
#define KFILE_DEF
#define KSOCKET_DEF
#define KPIPE_DEF
#define KSHM_DEF
#define KSTREAM_DEF

/*
 * Math functions not available under Dynix
 */

#define KTRUNC_DEF
#define KCBRT_DEF
#define KASINH_DEF
#define KACOSH_DEF
#define KATANH_DEF
#define KEXPM1_DEF
#define KEXP2_DEF
#define KEXP10_DEF
#define KLOG1P_DEF
#define KLOG2_DEF
#define KRANDOM_DEF
#define KSRANDOM_DEF

/*
 *  X11 extensions currently supported by Khoros under the (svr3)
 *  architecture
 */
/*  #define KMITSHM_DEF */ /* code compiles but there are no libraries... avy */


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/


#endif /* _machine_dynix_h_ */
/* Don't add after this point */
