
 /*
  * Khoros: $Id: linux.h,v 1.5 1997/01/20 03:50:07 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:
   >>>>
   >>>>    Written By: (please port)
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _machine_linux_h_
#define _machine_linux_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KTEMPNAM_DEF 1
#define KVFORK_DEF 0

/*
 *  Tranports currently supported by Khoros under the (linux)
 *  architecture
 */
#define KFILE_DEF
#define KSOCKET_DEF
#define KPIPE_DEF
#define KSHM_DEF
#define KSTREAM_DEF

/*
 * Define which math functions are not defined so that local
 * definitions can be included.
 */
#define KLOG2_DEF
#define KEXP2_DEF
#define KEXP10_DEF
#define KTRUNC_DEF
#define KGAMMA_DEF
/* linux libm cbrt doesn't like negative numbers for some reason */
#define KCBRT_DEF

/*
 *  X11 extensions currently supported by Khoros under the (linux)
 *  architecture
 */

/*
	This was not working as of Yggdrasil Linux 1.1.0 with XFree3.0 (X11R6)
        and gcc 2.5.8.

        Scott Wilson, KRI  19 Apr 1995
   
#define KMITSHM_DEF
*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/


#endif /* _machine_linux_h_ */
/* Don't add after this point */
