
 /*
  * Khoros: $Id: osf.h,v 1.5 1997/01/20 03:50:24 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:
   >>>>
   >>>>    Written By: Mark Young & John Salas
   >>>>
   >>>>          Date: Jul 16, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _machine_osf_h_
#define _machine_osf_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KVFORK_DEF 1
#define KTEMPNAM_DEF 1

/*
 * Define which math functions are not defined so that local
 * definitions can be included.
 */
#define KTRUNC_DEF

/*
 *  Tranports currently supported by Khoros under the (osf)
 *  architecture
 */
#define KFILE_DEF
#define KSOCKET_DEF
#define KPIPE_DEF
#define KSHM_DEF
#define KSTREAM_DEF
#define KMMAP_DEF

/*
 *  X11 extensions currently supported by Khoros under the (osf)
 *  architecture
 */
#ifndef __PARAGON__
#define KMITSHM_DEF
#endif

#ifdef __PARAGON__
/*
 * Added by John Evans
 */
#define KLOG2_DEF
#endif

#define KEXP2_DEF
#define KEXP10_DEF


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/


#endif /* _machine_osf_h_ */
/* Don't add after this point */
