
 /*
  * Khoros: $Id: sunos.h,v 1.6 1997/01/20 03:50:34 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:
   >>>>
   >>>>    Written By: Tom Sauer  
   >>>>
   >>>>          Date: Jul 16, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _machine_sunos_h_
#define _machine_sunos_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KVFORK_DEF 1
#define KTEMPNAM_DEF 1

/*
 *  Tranports currently supported by Khoros under the (sunos)
 *  architecture
 */
#define KFILE_DEF
#define KSOCKET_DEF
#define KPIPE_DEF
#define KSHM_DEF
#define KSTREAM_DEF
#define KMMAP_DEF

/*
 * Define which math functions are not defined so that local
 * definitions can be included.
 */
#define KTRUNC_DEF

/*
 *  X11 extensions currently supported by Khoros under the (sunos)
 *  architecture
 */
#define KMITSHM_DEF

#ifndef _SSIZE_T
#define _SSIZE_T 
typedef int ssize_t;
#endif

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/


#endif /* _machine_sunos_h_ */
/* Don't add after this point */
