 /*
  * Khoros: $Id: kgenmanual.h,v 1.15.2.2 1997/05/31 20:53:14 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kgenmanual
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kgenmanual_h_
#define _kgenmanual_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <bootstrap.h>

/* -include_includes */
#include <kcms/kcms.h>
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/*-----------------------------------------------------------------------
|	The following symbol specifies the default section level to
|	use with text generated for the .function pseudo macro
-----------------------------------------------------------------------*/

#define DEFAULT_SECTION_LEVEL		3
#define DEFAULT_MAN1_SECTION_LEVEL	"2"
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  toolbox name (required string)
 */
char	*tb_string;	/* toolbox name STRING */
int	 tb_flag;   	/* toolbox name FLAG */

/*
 *  Input Filename (required infile)
 */
char	*i_file;	/* Input Filename FILENAME */
int	 i_flag;	/* Input Filename FLAG */

/*
 *  Output Filename (required outfile)
 */
char	*o_file;	/* Output Filename FILENAME */
int	 o_flag;	/* Output Filename FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kgenmanual_get_args PROTO((kaddr));
void kgenmanual_usage_additions PROTO((void));
void kgenmanual_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/*-- run_kgenmanual.c ------------------------------------------------*/
kbool run_kgenmanual	     PROTO((kstring, kstring));
kbool expand_string	     PROTO((kstring, kstring, kfile *));

/*-- utilities.c -----------------------------------------------------*/

kbool output_string          PROTO((kfile *, kstring, int));
kbool output_header	     PROTO((kfile *, header_info *, kstring, int));
int   generate_man1          PROTO((kobject, kfile *, kstring));
kobject get_object PROTO((kstring, kstring));
kbool generate_prototype     (kfile *, header_info *, kstring, int);
/* -include_routines_end */

#endif
