/*
 * Khoros: $Id: databaseP.h,v 1.5 1997/01/20 04:06:17 mirage Exp $
 */
 
 
/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */
 

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: DBM related definitions
   >>>>
   >>>>    Written By: Steve Jorgensen, Neil Bowers
   >>>>
   >>>>          Date: Tue Aug 24
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kcms_databaseP_h_
#define _kcms_databaseP_h_

	/*-------------------------------------*
	|       #include 
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines 
	---------------------------------------*/

	/*-- dbm keys currently in public include file keys.h --*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/
char *	kcms_db_get_key			PROTO((kdbm *, kstring));
void	kcms_db_update_string		PROTO((kdbm *, kstring, kstring));
void	kcms_db_update_string_list	PROTO((kdbm *, klist *, kstring));
void	kcms_db_update_fobj		PROTO((kdbm *, kobject, kstring));
void	kcms_db_update_int		PROTO((kdbm *, int, kstring));
void	kcms_db_update_logical		PROTO((kdbm *, int, kstring));
void    kcms_db_remove_key              PROTO((kdbm *, kstring));

#endif /* _kcms_databaseP_h_ */
/* Don't add after this point */
