#! /bin/sh

#
#  Khoros: $Id: fortran.sh,v 1.5 1997/01/20 04:44:09 mirage Exp $
#

# Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
# All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.

#************************************************************
#
#  Routine Name: lvadd - library routine for vadd
#
#       Purpose: This should be a complete description that anyone
#                could understand;  it should have acceptable grammar
#                and correct spelling.
#
#         Input: argument1 - explanation
#                argument2 - explanation
#                argument3 - explanation
#
#        Output: argument4 - explanation
#                argument5 - explanation
#       Returns: True (1) on success, False (0) otherwise
#
#      Comments: Explanation of algorithm if applicable
#        Status: Public Routine (or) Private Routine
#    Written By:
#          Date: 
#      Verified:
#  Side Effects:
# Modifications:
#
#************************************************************/


#  >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
#  >>>>                                                       <<<<
#  >>>>	    file name: fortran.sh                             <<<<
#  >>>>                                                       <<<<
#  >>>>   description:  This file is installed as a program   <<<<
#  >>>>          by make when fortran is not installed on     <<<<
#  >>>>          the machine.  So, if a system does not have  <<<<
#  >>>>		 fortran and a program depend on fortran      <<<<
#  >>>>		 this program will be exectued.		      <<<<
#  >>>>                                                       <<<<
#  >>>> modifications:					      <<<<
#  >>>>                                                       <<<<
#  >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< 

name=`basename $0`

cat  << _EOF_ 1>&2

$name:
	This program depends on your system having fortran.
	Please consult your system manager about installing fortran,
	and then recompile the Khoros system.

_EOF_

exit 0
