#   ------------------------------------------------------------
#   This file should be sourced (source .khoros_env.sh) or included
#   in your .profile or .bashrc or .zshrc.
#   ------------------------------------------------------------
#
# This file contains default values for environment
# variables used by KHOROS.
#
#
if [ "$USER" = "" ]; then
   if [ "$LOGNAME" = "" ]; then
      USER=nobody
   else
      USER=$LOGNAME
   fi
   export USER
fi

PATH=$PATH:BINDIR
export PATH

if [ "$KHOROS_LOG" = "" ]; then
   KHOROS_LOG=$HOME/khoros.cmdlog
   export KHOROS_LOG
fi
if [ "$KHOROS_MAIL" = "" ]; then
   KHOROS_MAIL=$USER
   export KHOROS_MAIL
fi
if [ "$KHOROS_NAME" = "" ]; then
   KHOROS_NAME=$USER
   export KHOROS_NAME
fi
if [ "$KHOROS_NOTIFY" = "" ]; then
   KHOROS_NOTIFY=KSTANDARD
   export KHOROS_NOTIFY
fi
if [ "$KHOROS_ANSFILE" = "" ]; then
   KHOROS_ANSFILE=$HOME/khoros.ans
   export KHOROS_ANSFILE
fi
if [ "$TMPDIR" = "" ]; then
   TMPDIR=KHOROSTMPDIR
   export TMPDIR
fi

# 
#   Uncomment this if you would like data objects to accumulate 
#   history when operated on by datamanip operators.
#
#if [ ! $?KHOROS_HISTORY ]; then
#   KHOROS_HISTORY=1
#   export KHOROS_HISTORY		
#fi
