/*
  * Khoros: $Id: kdatamanip.h,v 1.9.2.2 1997/04/21 22:11:08 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:
   >>>>
   >>>>    Written By: ghostwriter
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kdatamanip_kdatamanip_h_
#define _kdatamanip_kdatamanip_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

#include "kdatamanip/kstats.h"
#include "kdatamanip/korient.h"

	/*-------------------------------------*
	|       #defines
	---------------------------------------*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

/*
 * a utility used by both lroutines and drivers JW Oct 15, 1993 07:27
 */
int  kdm_get_type	PROTO((char *));


	/* Ghostwriter Prototypes:  Do Not Erase This Comment */

int lktranspose PROTO((kobject, int *, kobject));

int lkelevation PROTO((kobject, double, double, double, double, int, int, int,
                       char *, kobject));

int lklabel PROTO((void));

int lklocxform PROTO((kobject, double, double, double, double, double, double, double, double, double, kobject));

int lkkmeans PROTO((kobject,kobject,int,int,int,int,kobject,kobject,kobject,kobject,kfile *));

int lkgenloc PROTO((double, double, double, double, double, double,
                    int, int, int, int, int, kobject));

int lksampline PROTO((kobject in_obj, 	double wc1,double hc1,double dc1,double tc1,double ec1,         double wc2,double hc2,double dc2,double tc2,double ec2,         int n, int nc, kobject out_obj));
int lktexture PROTO((kobject,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,kobject));

int lkwiener PROTO((kobject in_obj, kobject psf_obj, double wiener, kobject out_obj));

int lkinverse PROTO((kobject, kobject, double, kobject));

int lklinearop PROTO((kobject,kobject,int,double,double,int *,int,int *,int *,int,kobject));

int lkarith1 PROTO((kobject, char *, kobject));

int lkarith2  PROTO((kobject, kobject, double, double, int, char *, int, kobject));

int lkbessel PROTO((kobject, int, int, kobject));

int lkbitwise PROTO((kobject, kobject, long, char *, kobject));

int lkblend PROTO((kobject, kobject, kobject, kobject, double, kobject));

int lkclip  PROTO((kobject, kobject, kobject, double, double, double, double, int, int, int, int, int, kobject));

int lkcmplx PROTO((kobject, char *, kobject));

int lkcompare  PROTO((kobject, kobject, double, char *, double, double, double,  kobject));

int lkextract PROTO((kobject, int, int, int, int, int, int, int, int, int, int, int, kobject));

int lkfft PROTO((kobject,int,int,int,int,int,int,int,int,int,kobject));

int lkflip PROTO((kobject, int, long *, kobject));

int lkgate PROTO((kobject, kobject, kobject, double, int, int, kobject));

int lkgconst PROTO((int, int, int, int, int, double, double, int, kobject));

int lkgnoise PROTO((int, int, int, int, int, char *, int, double, double, kobject));

int lkgsin PROTO((int, int, int, int, int, int, double *,  double, double, double, double, double, double, double, double, double, double, int, kobject));

int lkhisto PROTO((kobject,kobject,int,int,int,int,int,double,double,int,int,int,int,kobject,kobject));

int lkhistops PROTO((kobject,char *,int,int,int,int,int,int,kobject));

int lkimpulse PROTO((int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,double,double,double,double,int,kobject));

int lklogexp PROTO((kobject, double, int, int, kobject));

int lknoise PROTO((kobject, char *, int, double, double, kobject));

int lknormal PROTO((kobject, double, double, int, double, double, int, int, int, int, int, int, char *, kobject));

int lkorient PROTO((kobject, int *, kobject));

int lkpad PROTO((kobject, int, int, int, int, int, int, int, int, int, int, double, double, int, int, kobject));

int lkprdata PROTO((kobject, kfile *, int, int, int, int, int, int, int, int, int, int, char *));

int lkreal2cmplx PROTO((kobject, kobject, double, double, kobject));

int lkreplace PROTO((kobject, kobject, double, double, int, double, int, double, kobject));

int lkresample PROTO((kobject, double, double, double, double, double, int, int, int, int, int, int, int, kobject));

int lkshot PROTO((kobject, double, double, double,  kobject));

int lkstats  PROTO((kobject, kobject, kobject, unsigned long, unsigned long , unsigned long, kfile *, int));

int lkwtfilter PROTO((int, int, int, kobject));

int lkmsquish PROTO((kobject, int, int, kobject));


#endif /* _kdatamanip_kdatamanip_h_ */
/* Don't add after this point */
