 /*
  * Khoros: $Id: kcomment.h,v 1.14.2.3 1997/05/31 18:45:34 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kcomment
   >>>> 
   >>>>    Written By: Steven Kubica
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kcomment_h_
#define _kcomment_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <datamanip.h>

/* -include_includes */
#define KCOMMENT_BUFFER_SIZE 	4096
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  Input Data Object (required infile)
 */
char	*i_file;	/* Input Data Object FILENAME */
int	 i_flag;	/* Input Data Object FLAG */

/*
 *  Comment String (optional string)
 */
char	*s_string;	/* Comment String STRING */
int	 s_flag;   	/* Comment String FLAG */

/*
 *  Resulting Output Data Object (optional outfile)
 */
char	*o_file;	/* Resulting Output Data Object FILENAME */
int	 o_flag;	/* Resulting Output Data Object FLAG */

/*----- optional ME group ----*/
/*
 *  Edit Existing Comment (optional logical)
 */
int	 ed_logic;	/* Edit Existing Comment LOGIC */
int	 ed_flag;  	/* Edit Existing Comment FLAG */

/*
 *  Replace Comment with String (optional flag)
 */
int	 re_flag;  	/* Replace Comment with String FLAG */

/*
 *  Prepend String to Comment (optional flag)
 */
int	 pr_flag;  	/* Prepend String to Comment FLAG */

/*
 *  Append Comment to String (optional flag)
 */
int	 app_flag;  	/* Append Comment to String FLAG */

/*-- optional ME group end ---*/

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kcomment_get_args PROTO((kaddr));
void kcomment_usage_additions PROTO((void));
void kcomment_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
