 /*
  * Khoros: $Id: dataserv.h,v 1.8.2.1 1997/03/11 17:07:12 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */



/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: This file contains the #includes that
   >>>>		       are required by all programs within dataserv
   >>>>
   >>>>    Written By: Jeremy Worley & Steven Kubica
   >>>>
   >>>>          Date: May 13, 1994
   >>>>
   >>>> Modifications: 
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */
   
#ifndef _dataserv_h_
#define _dataserv_h_

/* LINTLIBRARY */

        /*-------------------------------------*
        |       #include 
        ---------------------------------------*/

/* other toolbox includes go here */

#include <bootstrap.h>

/* toplevel include for each library in this toolbox go below here */
/* LIBRARY INCLUDES: do not delete this line */

#include <kgeom/kgeom.h>
#include <kdataccess/kdataccess.h>
#include <kdataman/kdataman.h>
#include <kappserv/kappserv.h>
#include <kapputils/kapputils.h>
#include <koldgeom/koldgeom.h>


       /*-------------------------------------*
        |       #defines
        ---------------------------------------*/

/*
 * Data Services supported formats.
 */
#define KGDBM_DEF
#define KVIFF_DEF
#define KXWD_DEF
#define KPNM_DEF
#define KXPM_DEF
#define KAVS_DEF
#define KXBM_DEF
#define KEWF_DEF
#define KRAST_DEF
#define KASCII_DEF
#define KEPS_DEF
#define KARF_DEF

        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/


        /*-------------------------------------*
        |       macros
        ---------------------------------------*/


        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

#endif /* _dataserv_h_ */
/* Don't add after the endif */
