/*
  * Khoros: $Id: kmodel.h,v 1.5 1997/01/20 04:49:35 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Polymorphic Model Utilites
   >>>>
   >>>>    Written By: Steve Kubica and Jeremy Worley
   >>>>
   >>>>          Date: May 03, 1994 11:19
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kappserv_kmodel_h_
#define _kappserv_kmodel_h_


	/*-------------------------------------*
	|       #include 
	---------------------------------------*/

	/*-------------------------------------*
	|       #defines 
	---------------------------------------*/

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/

	/*-------------------------------------*
	|       macros
	---------------------------------------*/

	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

/*  
 *   These routines are not intended for public use!
 * 
 *   	They are included here becuase they are used by 
 *   	public macros in the other application services. 
 */


/* mapping.c */
int kaps_mapping_mode  PROTO((kobject));

/* model_data.c */
int kaps_create_segment   PROTO((kobject, char *));
int kaps_destroy_mask     PROTO((kobject));
int kaps_destroy_location PROTO((kobject));
int kaps_destroy_time     PROTO((kobject));


/* model_data.c */
int   kaps_copy_segment_data       PROTO((kobject, char *, kobject));
int   kaps_copy_object             PROTO((kobject, kobject, int, int));
int   kaps_initialize_segment      PROTO((kobject, char *, double, double));

#endif /* _kappserv_kmodel_h_ */
/* Don't add after this point */
