 /*
  * Khoros: $Id: kgdbm_dump.h,v 1.13.2.2 1997/05/31 18:21:20 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kgdbm_dump
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kgdbm_dump_h_
#define _kgdbm_dump_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <dataserv.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  Input data base to print information for (required infile)
 */
char	*i_file;	/* Input data base to print information for FILENAME */
int	 i_flag;	/* Input data base to print information for FLAG */

/*
 *  Number of Points to Print (optional integer)
 */
int	 n_int; 	/* Number of Points to Print INT */
int	 n_flag;	/* Number of Points to Print FLAG */

/*
 *  Print All Data (optional flag)
 */
int	 all_flag;  	/* Print All Data FLAG */

/*
 *  Key to be printed, otherwise all keys are dumped (optional string)
 */
char	*key_string;	/* Key to be printed, otherwise all keys are dumped STRING */
int	 key_flag;   	/* Key to be printed, otherwise all keys are dumped FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kgdbm_dump_get_args PROTO((kaddr));
void kgdbm_dump_usage_additions PROTO((void));
void kgdbm_dump_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
