/*
  * Khoros: $Id: InputOnly.h,v 1.2 1997/01/20 05:10:06 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Attributes of Input Only Widget
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_InputOnly_h_
#define _kwidgets_InputOnly_h_

        /*-------------------------------------*
        |       #defines
        ---------------------------------------*/


/*------------------------------------------------------------------------
| Attribute:    XVW_BUSY
| Description:   
| Type:          
| Default:       
| Legal Values:  
| Resource:	N/A
------------------------------------------------------------------------*/
#define XVW_BUSY	"busy"

/*
 *  Define the Class name, by which people should be externally referencing
 *  the InputOnly Object by.
 */
#define InputOnlyWidgetClass	xvwInputOnlyWidgetClass

        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit WidgetClass Declaration InputOnlyWidgetClass
 */
extern   WidgetClass     InputOnlyWidgetClass;


        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

/*
 *  Khoros Function Definition for InputOnly Only
 */
int      xvw_check_inputonly  PROTO((xvobject));
xvobject xvw_create_inputonly PROTO((xvobject, char *));


#endif /* _kwidgets_InputOnly_h_ */
/* Do not add after this line */
