/*
  * Khoros: $Id: ManagerPixelGeom.h,v 1.2 1997/01/20 05:10:20 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Defines for the Manager Widget
   >>>>
   >>>>     Written By: Mark Young & Danielle Argiro & John Salas
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_ManagerPixelGeom_h_
#define _kwidgets_ManagerPixelGeom_h_

        /*-------------------------------------*
        |       #defines
        ---------------------------------------*/

/*------------------------------------------------------------------------
| Attribute:    XVW_MINIMUM_WIDTH
| Description:	Minimum height of the object in pixels.
| Type:		int
| Default:	1
| Legal Values: value > 0
| Resource:     minimumWidth
------------------------------------------------------------------------*/
#define XVW_MINIMUM_WIDTH               "minimumWidth"

/*------------------------------------------------------------------------
| Attribute:    XVW_MINIMUM_HEIGHT
| Description:	Minimum height of the object in pixels.
| Type:		int
| Default:	1
| Legal Values: value > 0
| Resource:     minimumHeight
------------------------------------------------------------------------*/
#define XVW_MINIMUM_HEIGHT              "minimumHeight"

/*------------------------------------------------------------------------
| Attribute:    XVW_MAXIMUM_WIDTH
| Description:  Maximum width of the object in pixels.
| Type:		int
| Default:	undefined  ~0L ?
| Legal Values: value > 0
| Resource:     maximumWidth
------------------------------------------------------------------------*/
#define XVW_MAXIMUM_WIDTH               "maximumWidth"

/*------------------------------------------------------------------------
| Attribute:    XVW_MAXIMUM_HEIGHT
| Description:  Maximum width of the object in pixels.
| Type:		int
| Default:	undefined  ~0L ?
| Legal Values: value > 0
| Resource:     maximumHeight
------------------------------------------------------------------------*/
#define XVW_MAXIMUM_HEIGHT              "maximumHeight"

#endif /* _kwidgets_ManagerPixelGeom_h_ */
/* Do not add after this line */
