/*
  * Khoros: $Id: PixmapP.h,v 1.4 1997/01/20 05:10:29 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       pixmap annotation.
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_PixmapP_h_
#define _kwidgets_PixmapP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <kwidgets/ManagerObjP.h>
#include <kwidgets/Pixmap.h>


    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwPixmapGadgetClassPart
{
    XtPointer  extension;
} XvwPixmapGadgetClassPart;

typedef struct _XvwPixmapGadgetClassRec
{
    RectObjClassPart          rect_class;
    XvwManagerGadgetClassPart manager_class;
    XvwPixmapGadgetClassPart  pixmap_class;
} XvwPixmapGadgetClassRec;


typedef struct
{
   Pixmap	  pixmap;
   Pixmap	  mask;

   GC		  gc;
   Position	  xorigin;
   Position	  yorigin;
   Dimension	  width;
   Dimension      height;
} XvwPixmapPart;


typedef struct _XvwPixmapGadgetRec
{
    ObjectPart	   	object;
    RectObjPart     	rectobj;
    XvwManagerObjPart	manager;
    XvwPixmapPart  	pixmap;
} XvwPixmapGadgetRec;


typedef struct  _XvwPixmapGadgetClassRec     *XvwPixmapGadgetClass;
typedef struct  _XvwPixmapGadgetRec          *XvwPixmapGadget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwPixmapGadget
 */
extern XvwPixmapGadgetClassRec xvwPixmapGadgetClassRec;


#endif /* _kwidgets_PixmapP_h_ */
/* Don't add after this point */
