 /*
  * Khoros: $Id: xvdisp.h,v 1.5 1997/01/20 05:10:52 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                          <<<<
   >>>>       Purpose: Attributes for Displaying Subforms/Panes  <<<<
   >>>>                                                          <<<<
   >>>>    Written By: Danielle Argiro                           <<<<
   >>>>                                                          <<<<
   >>>>          Date: Aug 4, 1995                               <<<<
   >>>>                                                          <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvforms_xvdisp_h_
#define _xvforms_xvdisp_h_


/*------------------------------------------------------------------------
| Attribute:    XVF_DISPLAY_SUBFORM
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/DisplaySubform.sec
| Type:         int
| Valid Items:  Subforms
| Legal Values: TRUE/FALSE
------------------------------------------------------------------------*/
#define XVF_DISPLAY_SUBFORM KVF_DISPLAY_SUBFORM

/*------------------------------------------------------------------------
| Attribute:    XVF_DISPLAY_PANE
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/DisplayPane.sec
| Type:       	int
| Valid Items:	Panes
| Legal Values: TRUE/FALSE
------------------------------------------------------------------------*/
#define XVF_DISPLAY_PANE KVF_DISPLAY_PANE

#endif /* _xvforms_xvdisp_h_ */
/* Don't add after this line */

