 /*
  * Khoros: $Id: xvlogic.h,v 1.5 1997/01/20 05:10:58 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                          <<<<
   >>>>       Purpose: Attributes for Logical selections         <<<<
   >>>>                                                          <<<<
   >>>>    Written By: Danielle Argiro                           <<<<
   >>>>                                                          <<<<
   >>>>          Date: Aug 4, 1995                               <<<<
   >>>>                                                          <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvforms_xvlogic_h_
#define _xvforms_xvlogic_h_

/*------------------------------------------------------------------------
| Attribute:    XVF_LOGIC_0LABEL
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/Logic0Label.sec
| Type:         char *
| Valid Items:  Logicals 
| Legal Values: Any string
------------------------------------------------------------------------*/
#define XVF_LOGIC_0LABEL  KVF_LOGIC_0LABEL

/*------------------------------------------------------------------------
| Attribute:    XVF_LOGIC_1LABEL
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/Logic1Label.sec
| Type:         char *
| Valid Items:  Logicals
| Legal Values: Any string
------------------------------------------------------------------------*/
#define XVF_LOGIC_1LABEL  KVF_LOGIC_1LABEL

/*------------------------------------------------------------------------
| Attribute:    XVF_LOGIC_DEF
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/LogicDef.sec
| Type:         int 
| Valid Items:  Logicals
| Legal Values: 0 or 1
------------------------------------------------------------------------*/
#define XVF_LOGIC_DEF  KVF_LOGIC_DEF

/*------------------------------------------------------------------------
| Attribute:    XVF_LOGIC_VAL
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/LogicVal.sec
| Type:         int
| Valid Items:  Logicals
| Legal Values: 0 or 1
------------------------------------------------------------------------*/
#define XVF_LOGIC_VAL  KVF_LOGIC_VAL

#endif /* _xvforms_xvfile_h_ */
/* Don't add after this line */

