 /*
  * Khoros: $Id: xvmisc.h,v 1.5 1997/01/20 05:10:59 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                          <<<<
   >>>>       Purpose: Miscellaneous Attributes                  <<<<
   >>>>                                                          <<<<
   >>>>    Written By: Danielle Argiro                           <<<<
   >>>>                                                          <<<<
   >>>>          Date: Aug 4, 1995                               <<<<
   >>>>                                                          <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvforms_xvmisc_h_
#define _xvforms_xvmisc_h_

/*
 *  At this time, this attribute is for private use by cantata
 */
#define XVF_EXECTYPE  KVF_EXECTYPE

/*------------------------------------------------------------------------
| Attribute:    XVF_HELPPATH
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/HelpPath.sec
| Type:		char *
| Valid Items:	Help buttons
| Legal Values:	valid path to help page
------------------------------------------------------------------------*/
#define XVF_HELPPATH  KVF_HELPPATH

/*------------------------------------------------------------------------
| Attribute:    XVF_ROUTINE
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/Routine.sec
| Type:       	char *
| Valid Items:	Routine buttons
| Legal Values: name of program to execute
------------------------------------------------------------------------*/
#define XVF_ROUTINE  KVF_ROUTINE

#endif /* _xvforms_xvmisc_h_ */
/* Don't add after this line */

