 /*
  * Khoros: $Id: xvprint.h,v 1.5 1997/01/20 05:11:00 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                          <<<<
   >>>>       Purpose: Attributes for Printing UIS's             <<<<
   >>>>                                                          <<<<
   >>>>    Written By: Danielle Argiro                           <<<<
   >>>>                                                          <<<<
   >>>>          Date: Aug 4, 1995                               <<<<
   >>>>                                                          <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvforms_xvprint_h_
#define _xvforms_xvprint_h_


/*------------------------------------------------------------------------
| Attribute:    XVF_PRINT_PANE
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/PrintPane.sec
| Type:       	char *
| Valid Items:	Panes
| Legal Values: Name of file to which to print UIS describing pane
------------------------------------------------------------------------*/
#define XVF_PRINT_PANE  KVF_PRINT_PANE

/*------------------------------------------------------------------------
| Attribute:    XVF_PRINT_SUBFORM
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/PrintSubform.sec
| Type:		char *
| Valid Items:	Subforms
| Legal Values: Name of file to which to print UIS describing subform
------------------------------------------------------------------------*/
#define XVF_PRINT_SUBFORM  KVF_PRINT_SUBFORM

/*------------------------------------------------------------------------
| Attribute:    XVF_PRINT_UIS
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/PrintUIS.sec
| Type:         char *
| Valid Items:  Forms
| Legal Values: Name of file to which to print UIS describing entire GUI
------------------------------------------------------------------------*/
#define XVF_PRINT_UIS  KVF_PRINT_UIS

/*
 *  these are private attributes used internally
 */
#define XVF_PANE_FILE     KVF_PANE_FILE
#define XVF_SUBFORM_FILE  KVF_SUBFORM_FILE
#define XVF_UIS_LOCATION  KVF_UIS_LOCATION


#endif /* _xvforms_xvprint_h_ */
/* Don't add after this line */

