/*
  * Khoros: $Id: CircleP.h,v 1.6 1997/01/20 05:11:25 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       circle annotation.
   >>>>
   >>>>    Written By: John Salas & Mark Young & Steve Kubica
   >>>>
   >>>>          Date: Aug 05, 1992 14:02
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvisual_CircleP_h_
#define _xvisual_CircleP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <xvisual/GraphicsP.h>
#include <xvisual/Circle.h>

    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwCircleGadgetClassPart
{
    XtPointer  extension;
} XvwCircleGadgetClassPart;


typedef struct _XvwCircleGadgetClassRec
{
    RectObjClassPart		rect_class;
    XvwManagerGadgetClassPart   manager_class;
    XvwGraphicsGadgetClassPart  graphics_class;
    XvwCircleGadgetClassPart    circle_class;
} XvwCircleGadgetClassRec;

typedef struct
{
  Coord     center;
  double    radius;
} XvwCirclePart;


typedef struct _XvwCircleGadgetRec
{
    ObjectPart		object;
    RectObjPart  	rectobj;
    XvwManagerObjPart	manager;
    XvwGraphicsPart	graphics;
    XvwCirclePart	circle;
} XvwCircleGadgetRec;

typedef struct  _XvwCircleGadgetClassRec  *XvwCircleGadgetClass;
typedef struct  _XvwCircleGadgetRec       *XvwCircleGadget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwCircleGadget
 */
extern XvwCircleGadgetClassRec xvwCircleGadgetClassRec;


#endif /* _xvisual_CircleP_h_ */
/* Don't add after this point */
