/*
  * Khoros: $Id: GraphicsAttach.h,v 1.5 1997/01/20 05:11:36 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: #defines for attach graphics attribute 
   >>>>
   >>>>    Written By: Danielle Argiro, Steve Kubica
   >>>>
   >>>>          Date: Aug 20, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvisual_Attach_h_
#define _xvisual_Attach_h_

	/*-------------------------------------*
	|       #defines 
	---------------------------------------*/

/*
 *  this is a "private" attribute 
 */
#define XVW_GRAPHICS_UPDATEDC             "graphicsUpdatedc"

/*------------------------------------------------------------------------
| Attribute:    XVW_GRAPHICS_ATTACH
|
| Description:  This attribute indicates the object from which another object
|               will acquire its world coordinate view.  See section C.4,
|               "Attaching the World View", for a complete explanation of the 
|		.symbol index XVW_GRAPHICS_ATTACH
|		attribute.
|
| Type:         xvobject
| Default:      NULL
| Legal Values: The object itself, the object's parent, or NULL
| Resource:     N/A
------------------------------------------------------------------------*/
#define XVW_GRAPHICS_ATTACH         "graphicsAttach"

#endif /* _xvisual_GraphicsGen_h_ */
/* Don't add after this point */
