/*
  * Khoros: $Id: ImageIconP.h,v 1.5 1997/01/20 05:11:48 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the image imageicon
   >>>>		       widget.
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Nov 17, 1993
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvisual_ImageIconP_h_
#define _xvisual_ImageIconP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <xvisual/ImageP.h>
#include <xvisual/ImageIcon.h>


    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwImageIconWidgetClass
{
    XtPointer  extension;
} XvwImageIconWidgetClassPart;


typedef struct _XvwImageIconWidgetClassRec
{
    CoreClassPart		core_class;
    CompositeClassPart		composite_class;
    ConstraintClassPart		constraint_class;
    XvwManagerWidgetClassPart	manager_class;
    XvwGraphicsWidgetClassPart	graphics_class;
    XvwColorWidgetClassPart	color_class;
    XvwImageWidgetClassPart	image_class;
    XvwImageIconWidgetClassPart	imageicon_class;
} XvwImageIconWidgetClassRec;

typedef struct _XvwImageIconPart
{
    Dimension	size;
} XvwImageIconPart;

typedef struct _XvwImageIconWidgetRec
{
    CorePart		core;
    CompositePart	composite;
    ConstraintPart	constraint;
    XvwManagerPart	manager;
    XvwGraphicsPart	graphics;
    XvwColorPart	color;
    XvwImagePart	image;
    XvwImageIconPart	imageicon;
} XvwImageIconWidgetRec;


typedef struct  _XvwImageIconWidgetClassRec     *XvwImageIconWidgetClass;
typedef struct  _XvwImageIconWidgetRec          *XvwImageIconWidget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwImageIconWidget
 */
extern  XvwImageIconWidgetClassRec xvwImageIconWidgetClassRec;


#endif /* _xvisual_ImageIconP_h_ */
/* Don't add after this point */
