/*
  * Khoros: $Id: LineP.h,v 1.5 1997/01/20 05:11:54 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       line annotation.
   >>>>
   >>>>    Written By: John Salas and Mark Young
   >>>>
   >>>>          Date: Aug 05, 1992 14:24
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvisual_LineP_h_
#define _xvisual_LineP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <xvisual/GraphicsP.h>
#include <xvisual/Line.h>


    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwLineGadgetClassPart
{
    XtPointer  extension;
} XvwLineGadgetClassPart;

typedef struct _XvwLineGadgetClassRec
{
    RectObjClassPart        rect_class;
    XvwManagerGadgetClassPart  manager_class;
    XvwGraphicsGadgetClassPart graphics_class;
    XvwLineGadgetClassPart     line_class;
} XvwLineGadgetClassRec;


typedef struct
{
    Coord   begin, end;
} XvwLinePart;


typedef struct _XvwLineGadgetRec
{
    ObjectPart	   	object;
    RectObjPart     	rectobj;
    XvwManagerObjPart	manager;
    XvwGraphicsPart	graphics;
    XvwLinePart  	line;
} XvwLineGadgetRec;


typedef struct  _XvwLineGadgetClassRec     *XvwLineGadgetClass;
typedef struct  _XvwLineGadgetRec          *XvwLineGadget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwLineGadget
 */
extern XvwLineGadgetClassRec xvwLineGadgetClassRec;


#endif /* _xvisual_LineP_h_ */
/* Don't add after this point */
