/*
  * Khoros: $Id: StringValueP.h,v 1.5 1997/01/20 05:12:26 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       numerical string annotation.
   >>>>
   >>>>    Written By: John Salas and Mark Young
   >>>>
   >>>>          Date: Aug 06, 1992 10:24
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvisual_StringValueP_h_
#define _xvisual_StringValueP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <xvisual/StringP.h>
#include <xvisual/StringValue.h>

    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwStringValueGadgetClassPart
{
    XtPointer  extension;
} XvwStringValueGadgetClassPart;

typedef struct _XvwStringValueGadgetClassRec
{
    RectObjClassPart           rect_class;
    XvwManagerGadgetClassPart     manager_class;
    XvwGraphicsGadgetClassPart    graphics_class;
    XvwStringGadgetClassPart      string_class;
    XvwStringValueGadgetClassPart stringvalue_class;
} XvwStringValueGadgetClassRec;

typedef struct
{
    double   value;
    String   format;
} XvwStringValuePart;


typedef struct _XvwStringValueGadgetRec
{
    ObjectPart	   	object;
    RectObjPart     	rectobj;
    XvwManagerObjPart	manager;
    XvwGraphicsPart	graphics;
    XvwStringPart  	string;
    XvwStringValuePart  stringvalue;
} XvwStringValueGadgetRec;


typedef struct  _XvwStringValueGadgetClassRec      *XvwStringValueGadgetClass;
typedef struct  _XvwStringValueGadgetRec           *XvwStringValueGadget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwStringValueGadget
 */
extern XvwStringValueGadgetClassRec xvwStringValueGadgetClassRec;


#endif /* _xvisual_StringValueP_h_ */
/* Don't add after this point */
