 /*
  * Khoros: $Id: Conditional.h,v 1.7 1997/01/20 05:12:58 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions for Khoros Conditional Widget
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 01, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvlang_Conditional_h_
#define _xvlang_Conditional_h_

        /*-------------------------------------*
        |       #defines
        ---------------------------------------*/


/*------------------------------------------------------------------------
| Attribute:     XVW_CONDITIONAL_TYPE
| Description:   Not available at this time.
| Type:          int
| Default:       N/A
| Legal Values:  N/A
| Resource:	 N/A
------------------------------------------------------------------------*/
#define XVW_CONDITIONAL_TYPE	"conditionalType"

#define KCONDITIONAL_TYPE_UNKNOWN	0
#define KCONDITIONAL_TYPE_IF_ELSE	1
#define KCONDITIONAL_TYPE_SWITCH	2
#define KCONDITIONAL_TYPE_TRIGGER	3
#define KCONDITIONAL_TYPE_MERGE		4
#define KCONDITIONAL_TYPE_BREAK		5
#define KCONDITIONAL_TYPE_CONTINUE	6
#define KCONDITIONAL_TYPE_EXPRESSION	7

/*
 *  Define the Class name, by which people should be externally referencing
 *  the Conditional Object by.
 */
#define ConditionalWidgetClass	xvwConditionalWidgetClass

        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit WidgetClass Declaration ConditionalWidgetClass
 */
extern   WidgetClass     ConditionalWidgetClass;


        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

/*
 *  Khoros Function Definition for Conditional Object
 */
xvobject xvw_create_conditional PROTO((xvobject, char *));


#endif /* _xvlang_Conditional_h_ */
/* Do not add after this line */
