 /*
  * Khoros: $Id: ConditionalP.h,v 1.8 1997/01/20 05:12:59 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for Conditional object
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Jul 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvlang_ConditionalP_h_
#define _xvlang_ConditionalP_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

#include <xvlang/Conditional.h>
#include <xvlang/GlyphP.h>


        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

typedef struct _XvwConditionalWidgetClassPart
{
     XtPointer  extension;
} XvwConditionalWidgetClassPart;

typedef struct _XvwConditionalWidgetClassRec
{
   CoreClassPart		 core_class;
   CompositeClassPart		 composite_class;
   ConstraintClassPart		 constraint_class;
   XvwManagerWidgetClassPart	 manager_class;
   XvwNodeWidgetClassPart	 node_class;
   XvwGlyphWidgetClassPart	 glyph_class;
   XvwConditionalWidgetClassPart conditional_class;
} XvwConditionalWidgetClassRec;

extern  XvwConditionalWidgetClassRec xvwConditionalWidgetClassRec;

typedef struct
{
	int type;
} XvwConditionalPart;


typedef struct _XvwConditionalWidgetRec
{
  CorePart		core;
  CompositePart		composite;
  ConstraintPart	constraint;
  XvwManagerPart	manager;
  XvwNodePart		node;
  XvwGlyphPart		glyph;
  XvwConditionalPart	conditional;

} XvwConditionalWidgetRec;

typedef struct {int empty;} XvwConditionalConstraintsPart;

typedef struct _XvwConditionalWidgetConstraintsRec {
    XvwManagerConstraintsPart	  manager;
    XvwNodeConstraintsPart	  node;
    XvwGlyphConstraintsPart	  glyph;
    XvwConditionalConstraintsPart conditional;
} XvwConditionalWidgetConstraintsRec, *XvwConditionalWidgetConstraints;

typedef struct  _XvwConditionalWidgetClassRec  *XvwConditionalWidgetClass;
typedef struct  _XvwConditionalWidgetRec       *XvwConditionalWidget;


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwConditionalWidget
 */
extern XvwConditionalWidgetClassRec xvwConditionalWidgetClassRec;


#endif /* _xvlang_ConditionalP_h_ */
/* Do not add after this line */
