 /*
  * Khoros: $Id: FinderListP.h,v 1.9 1997/01/20 05:13:03 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for FinderList object
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Jul 02, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvlang_FinderListP_h_
#define _xvlang_FinderListP_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

#include <xvlang/FinderList.h>
#include <kwidgets/ManagerP.h>


        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

typedef struct _XvwFinderListWidgetClassPart
{
     XtPointer  extension;
} XvwFinderListWidgetClassPart;

typedef struct _XvwFinderListWidgetClassRec
{
   CoreClassPart		 core_class;
   CompositeClassPart		 composite_class;
   ConstraintClassPart		 constraint_class;
   XvwManagerWidgetClassPart	 manager_class;
   XvwFinderListWidgetClassPart finderlist_class;
} XvwFinderListWidgetClassRec;

extern  XvwFinderListWidgetClassRec xvwFinderListWidgetClassRec;

typedef struct
{
   XtCallbackList select_callback;
   XtCallbackList create_callback;

   char     *expression;
   xvobject finder_list;
   xvw_program_info selected;

} XvwFinderListPart;


typedef struct _XvwFinderListWidgetRec
{
  CorePart		core;
  CompositePart		composite;
  ConstraintPart	constraint;
  XvwManagerPart	manager;
  XvwFinderListPart	finderlist;

} XvwFinderListWidgetRec;

typedef struct {int empty;} XvwFinderListConstraintsPart;

typedef struct _XvwFinderListWidgetConstraintsRec {
    XvwManagerConstraintsPart	  manager;
    XvwFinderListConstraintsPart finderlist;
} XvwFinderListWidgetConstraintsRec, *XvwFinderListWidgetConstraints;

typedef struct  _XvwFinderListWidgetClassRec  *XvwFinderListWidgetClass;
typedef struct  _XvwFinderListWidgetRec       *XvwFinderListWidget;


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwFinderListWidget
 */
extern XvwFinderListWidgetClassRec xvwFinderListWidgetClassRec;


#endif /* _xvlang_FinderListP_h_ */
/* Do not add after this line */
