 /*
  * Khoros: $Id: ToolboxMenuP.h,v 1.9 1997/01/20 05:13:19 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for ToolboxMenu object
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Jul 02, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvlang_ToolboxMenuP_h_
#define _xvlang_ToolboxMenuP_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

#include <xvlang/ToolboxMenu.h>
#include <kwidgets/RowColP.h>


        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

typedef struct _XvwToolboxMenuWidgetClassPart
{
     XtPointer  extension;
} XvwToolboxMenuWidgetClassPart;

typedef struct _XvwToolboxMenuWidgetClassRec
{
   CoreClassPart		 core_class;
   CompositeClassPart		 composite_class;
   ConstraintClassPart		 constraint_class;
   XvwManagerWidgetClassPart	 manager_class;
   XvwRowColWidgetClassPart	 rowcol_class;
   XvwToolboxMenuWidgetClassPart toolboxmenu_class;
} XvwToolboxMenuWidgetClassRec;

extern  XvwToolboxMenuWidgetClassRec xvwToolboxMenuWidgetClassRec;

typedef struct
{
   XtCallbackList menu_callback;

   int   count;
   klist *menulist;
} XvwToolboxMenuPart;


typedef struct _XvwToolboxMenuWidgetRec
{
  CorePart		core;
  CompositePart		composite;
  ConstraintPart	constraint;
  XvwManagerPart	manager;
  XvwRowColPart		rowcol;
  XvwToolboxMenuPart	toolboxmenu;

} XvwToolboxMenuWidgetRec;

typedef struct {int empty;} XvwToolboxMenuConstraintsPart;

typedef struct _XvwToolboxMenuWidgetConstraintsRec {
    XvwManagerConstraintsPart	  manager;
    XvwRowColConstraintsPart	  rowcol;
    XvwToolboxMenuConstraintsPart toolboxmenu;
} XvwToolboxMenuWidgetConstraintsRec, *XvwToolboxMenuWidgetConstraints;

typedef struct  _XvwToolboxMenuWidgetClassRec  *XvwToolboxMenuWidgetClass;
typedef struct  _XvwToolboxMenuWidgetRec       *XvwToolboxMenuWidget;


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwToolboxMenuWidget
 */
extern XvwToolboxMenuWidgetClassRec xvwToolboxMenuWidgetClassRec;


#endif /* _xvlang_ToolboxMenuP_h_ */
/* Do not add after this line */
