/*
  * Khoros: $Id: GenericWindowP.h,v 1.6 1997/01/20 05:13:52 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for GenericWindow object
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_GenericWindowP_h_
#define _xvobjects_GenericWindowP_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

#include <xvobjects/GenericWindow.h>
#include <kwidgets/ManagerP.h>


        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

typedef struct _XvwGenericWindowWidgetClassPart
{
     XtPointer  extension;
} XvwGenericWindowWidgetClassPart;

typedef struct _XvwGenericWindowWidgetClassRec
{
   CoreClassPart       		core_class;
   CompositeClassPart 		composite_class;
   ConstraintClassPart		constraint_class;
   XvwManagerWidgetClassPart	manager_class;
   XvwGenericWindowWidgetClassPart	genericwindow_class;
} XvwGenericWindowWidgetClassRec;

extern  XvwGenericWindowWidgetClassRec xvwGenericWindowWidgetClassRec;

typedef struct
{
  int dummy;
} XvwGenericWindowPart;


typedef struct _XvwGenericWindowWidgetRec
{
  CorePart		core;
  CompositePart		composite;
  ConstraintPart	constraint;
  XvwManagerPart	manager;
  XvwGenericWindowPart	genericwindow;

} XvwGenericWindowWidgetRec;

typedef struct {int empty;} XvwGenericWindowConstraintsPart;

typedef struct _XvwGenericWindowWidgetConstraintsRec {
    XvwManagerConstraintsPart	   manager;
    XvwGenericWindowConstraintsPart   genericwindow;
} XvwGenericWindowWidgetConstraintsRec, *XvwGenericWindowWidgetConstraints;

typedef struct  _XvwGenericWindowWidgetClassRec  *XvwGenericWindowWidgetClass;
typedef struct  _XvwGenericWindowWidgetRec       *XvwGenericWindowWidget;


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwGenericWindowWidget
 */
extern XvwGenericWindowWidgetClassRec xvwGenericWindowWidgetClassRec;


#endif /* _xvobjects_GenericWindowP_h_ */
/* Do not add after this line */
