/*
  * Khoros: $Id: RootWindowP.h,v 1.6 1997/01/20 05:14:14 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for RootWindow object
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_RootWindowP_h_
#define _xvobjects_RootWindowP_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

#include <xvobjects/RootWindow.h>
#include <kwidgets/ManagerP.h>


        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

typedef struct _XvwRootWindowWidgetClassPart
{
     XtPointer  extension;
} XvwRootWindowWidgetClassPart;

typedef struct _XvwRootWindowWidgetClassRec
{
   CoreClassPart       		core_class;
   CompositeClassPart 		composite_class;
   ConstraintClassPart		constraint_class;
   XvwManagerWidgetClassPart	manager_class;
   XvwRootWindowWidgetClassPart	rootwindow_class;
} XvwRootWindowWidgetClassRec;

extern  XvwRootWindowWidgetClassRec xvwRootWindowWidgetClassRec;

typedef struct
{
   Boolean inherit_children;
} XvwRootWindowPart;


typedef struct _XvwRootWindowWidgetRec
{
  CorePart		core;
  CompositePart		composite;
  ConstraintPart	constraint;
  XvwManagerPart	manager;
  XvwRootWindowPart	rootwindow;

} XvwRootWindowWidgetRec;

typedef struct {int empty;} XvwRootWindowConstraintsPart;

typedef struct _XvwRootWindowWidgetConstraintsRec {
    XvwManagerConstraintsPart	   manager;
    XvwRootWindowConstraintsPart   rootwindow;
} XvwRootWindowWidgetConstraintsRec, *XvwRootWindowWidgetConstraints;

typedef struct  _XvwRootWindowWidgetClassRec  *XvwRootWindowWidgetClass;
typedef struct  _XvwRootWindowWidgetRec       *XvwRootWindowWidget;


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwRootWindowWidget
 */
extern XvwRootWindowWidgetClassRec xvwRootWindowWidgetClassRec;


#endif /* _xvobjects_RootWindowP_h_ */
/* Do not add after this line */
