 /*
  * Khoros: $Id: ToolTipsP.h,v 1.3 1997/01/20 05:14:28 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for ToolTips object
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Apr 06, 1996
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_ToolTipsP_h_
#define _xvobjects_ToolTipsP_h_

        /*-------------------------------------*
        |       #include
        ---------------------------------------*/

#include <xvobjects/ToolTips.h>
#include <kwidgets/ManagerP.h>


        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

typedef struct _XvwToolTipsWidgetClassPart
{
     XtPointer  extension;
} XvwToolTipsWidgetClassPart;

typedef struct _XvwToolTipsWidgetClassRec
{
   CoreClassPart		core_class;
   CompositeClassPart		composite_class;
   ConstraintClassPart		constraint_class;
   XvwManagerWidgetClassPart	manager_class;
   XvwToolTipsWidgetClassPart tooltips_class;
} XvwToolTipsWidgetClassRec;

extern  XvwToolTipsWidgetClassRec xvwToolTipsWidgetClassRec;

typedef struct
{
   xvobject text;
   Boolean  visible;
   char	    *message;
   double   elapsed_time;

   XtIntervalId id;   /* Time interval Id for the XtTimeout */

} XvwToolTipsPart;


typedef struct _XvwToolTipsWidgetRec
{
  CorePart		core;
  CompositePart		composite;
  ConstraintPart	constraint;
  XvwManagerPart	manager;
  XvwToolTipsPart	tooltips;

} XvwToolTipsWidgetRec;

typedef struct {int empty;} XvwToolTipsConstraintsPart;

typedef struct _XvwToolTipsWidgetConstraintsRec {
    XvwManagerConstraintsPart	   manager;
    XvwToolTipsConstraintsPart tooltips;
} XvwToolTipsWidgetConstraintsRec, *XvwToolTipsWidgetConstraints;

typedef struct  _XvwToolTipsWidgetClassRec  *XvwToolTipsWidgetClass;
typedef struct  _XvwToolTipsWidgetRec       *XvwToolTipsWidget;


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwToolTipsWidget
 */
extern XvwToolTipsWidgetClassRec xvwToolTipsWidgetClassRec;


#endif /* _xvobjects_ToolTipsP_h_ */
/* Do not add after this line */
