 /*
  * Khoros: $Id: pixmaps.c,v 1.4.2.6 1997/06/08 15:13:10 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: pixmaps.c,v 1.4.2.6 1997/06/08 15:13:10 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "internals.h"

/* XPM */
static char *menubuttonsmD_xpm_0[] = {
"12 12 4 1",
" 	c #454545",
".	c #eeeeee",
"X	c #000000",
"o	s None	c None",
"            ",
".XXXXXXXXX o",
".XXoooooXX o",
"o.XoooooX oo",
"o.XXoooXX oo",
"oo.XoooX ooo",
"oo.XXoXX ooo",
"ooo.XoX oooo",
"ooo.XXX oooo",
"oooo.X ooooo",
"oooooXoooooo",
"oooooooooooo",
NULL};


/* XPM */
static char *menubuttonsmR_xpm_1[] = {
"12 12 4 1",
" 	c #454545",
".	c #eeeeee",
"X	s None	c None",
"o	c #000000",
" ..XXXXXXXXX",
" oo..XXXXXXX",
" oooo..XXXXX",
" oXXooo..XXX",
" oXXXXooo.XX",
" oXXXXXXoooX",
" oXXXXooo XX",
" oXXooo  XXX",
" oooo  XXXXX",
" oo  XXXXXXX",
"   XXXXXXXXX",
" XXXXXXXXXXX",
NULL};



/*-----------------------------------------------------------
| 
|  Routine Name: kwidgets_cache_pixmaps
| 
|       Purpose: Caches all pixmaps for the kwidgets library
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname kwidgets
|          Date: July 1, 1997
| Modifications: 
| 
------------------------------------------------------------*/
void kwidgets_cache_pixmaps(void)
{

    static int initialized = FALSE;

    /* Only need to initialize pixmaps once... */
    if (initialized == TRUE)
	    return;

    initialized = TRUE;

    /*
     * and now, a call to xvw_cache_pixmap()
     * for each pixmap in the pixmaps/ directory...
     */
    xvw_cache_pixmap("$DESIGN/objects/library/kwidgets/pixmaps/menubuttonsmD.xpm",
                     menubuttonsmD_xpm_0);
    xvw_cache_pixmap("$DESIGN/objects/library/kwidgets/pixmaps/menubuttonsmR.xpm",
                     menubuttonsmR_xpm_1);

}


