/*
 * Khoros: $Id: check.c,v 1.6 1997/01/20 05:18:36 mirage Exp $
 */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: check.c,v 1.6 1997/01/20 05:18:36 mirage Exp $";
#endif


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>		Check Graphics Utility Routines
   >>>>		
   >>>>  Private:
   >>>>                 X3D_check_graphics()
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "graphics.h"


/*-----------------------------------------------------------
|
|  Routine Name: X3D_check_graphics - check if an graphics id exists
|
|       Purpose: This routine is used to see if a graphics id currently
|		 exists.  This is useful in making sure that a graphics
|		 identification is not already being used.
|
|         Input: id - the graphics id to be checked.
|
|        Output: none
|
|       Returns: TRUE (1) on success, FALSE (0) otherwise
|
|    Written By: Mark Young
|          Date: June 15, 1992
| Modifications:
|
------------------------------------------------------------*/

int X3D_check_graphics(
   XVGraphicsID id)
{
        if (_X3D_get_graphics(id) != NULL)
	   return(TRUE);
        else
           return(FALSE);
}
