 /*
  * Khoros: $Id: pixmaps.c,v 1.4.2.6 1997/06/08 15:13:17 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: pixmaps.c,v 1.4.2.6 1997/06/08 15:13:17 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "internals.h"

/* XPM */
static char *info_xpm_0[] = {
"32 32 9 1",
" 	s None	c None",
".	c #000000",
"X	c #747474",
"o	c #979797",
"O	c #c4c4c4",
"+	c #ffffff",
"@	c #00ffff",
"#	c #454545",
"$	c #eeeeee",
"          ...........           ",
"        ..XoO+++++OoX..         ",
"      ..XO+++++++++++OX..       ",
"     .Xo+++++O...O+++++oX.      ",
"    .X+++++++.@@@.O++++++X.     ",
"   .X++++++++.@@@.X+++++++X.    ",
"  .X+++++++++.@@@.XO+++++++X.   ",
"  .o+++++++++O...XoO+++++++o.#  ",
" .X+++++++++++OXXoO+++++++++X.  ",
" .O+++++++++++++OO++++++++++O.# ",
".X+++++++++.......O++++++++++X. ",
".o+++++++++.@@@@@.Xo+++++++++o.#",
".O+++++++++...@@@.Xo+++++++++O.#",
".++++++++++Oo.@@@.Xo++++++++++..",
".+++++++++++O.@@@.Xo++++++++++..",
".++++++++++++.@@@.Xo++++++++++..",
".++++++++++++.@@@.Xo++++++++++..",
".++++++++++++.@@@.Xo++++++++++..",
".O+++++++++++.@@@.Xo+++++++++O..",
".o+++++++++++.@@@.Xo+++++++++o..",
".X+++++++++++.@@@.Xo+++++++++X.#",
" .O++++++++++.@@@.Xo++++++++O..#",
" .X++++++++...@@@...O+++++++X.. ",
"  .o+++++++.@@@@@@@.X++++++o..# ",
"  .X+++++++.@@@@@@@.Xo+++++X..  ",
"   .X++++++.........Xo++++X..#  ",
"    .X+++++OXXXXXXXXXo+++X..#   ",
"     .Xo++++ooooooooo$+oX..#    ",
"      ..XO+++++++++++OX...#     ",
"       #..XoO+++++OoX....#      ",
"         #.............#        ",
"           ##.......##          ",
NULL};


/* XPM */
static char *menubutton_xpm_1[] = {
"16 16 4 1",
" 	s None	c None",
".	c #454545",
"X	c #eeeeee",
"o	c #000000",
"................",
"Xoooooooooooooo.",
"XXo        ..o..",
" Xoo      ..oo. ",
" XXo      ..o.. ",
"  Xoo     .oo.  ",
"  XXo    ..o..  ",
"   Xoo   .oo.   ",
"   XXo  ..o..   ",
"    Xoo .oo.    ",
"    XXo..o..    ",
"     Xoooo.     ",
"     XXoo..     ",
"      Xoo.      ",
"      XX..      ",
"                ",
NULL};


/* XPM */
static char *sash_grip_xpm_2[] = {
/*  pixmap
 * width height ncolors chars_per_pixel */
"12 12 3 1 ",
"X	c #c4c4c4",
" 	c #eeeeee",
"O	c #454545",
/* pixels */
"           O",
"          OO",
"  XXXXXXXXOO",
"  XXXXXXXXOO",
"  XXXXXXXXOO",
"  XXXXXXXXOO",
"  XXXXXXXXOO",
"  XXXXXXXXOO",
"  XXXXXXXXOO",
"  XXXXXXXXOO",
"  OOOOOOOOOO",
" OOOOOOOOOOO",
NULL};


/* XPM */
static char *iconify_xpm_3[] = {
/*  pixmap
 * width height ncolors chars_per_pixel */
"18 18 3 1 ",
"X  s None c None",
" 	c #eeeeee",
"O	c #454545",
/* pixels */
"                 O",
"                OO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XX         OXXOO",
"  XX XXXXXXXXOXXOO",
"  XX XXXXXXXXOXXOO",
"  XXOOOOOOOOOOXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  OOOOOOOOOOOOOOOO",
" OOOOOOOOOOOOOOOOO",
NULL};


/* XPM */
static char *aliases_xpm_4[] = {
"32 32 8 1",
" 	s None	c None",
".	c #000000",
"X	c #c4c4c4",
"o	c #ffeeb0",
"O	c #454545",
"+	c #979797",
"@	c #ffffff",
"#	c #747474",
"     ........                   ",
"    .XoooooX..                  ",
"   .XoooooooX..                 ",
"...XoooooooooX..........        ",
".oooooooooooooooooooooo.O       ",
".oooooooooooooooooooooo.O       ",
".ooooooo...ooooooo.............O",
".oooooo+.o+.ooooo.Xoooooooooo+.O",
".oooooo.+oo......Xooooooooooo.O ",
".ooooo+.oooooooooooooooooooo+.O ",
".ooooo.+oooooooooooooooooooo.O  ",
".oooo+.oooooooooooooooooooo+.O  ",
".oooo.+oooooooooooooooooooo.O   ",
".ooo+.oooooooooooooooooooo+.O   ",
".ooo.+oooooooooooooooooooo.O    ",
".oo+.oooooooooooooooooooo+.O    ",
".oo.+oooooooooooooooooooo.O     ",
".o+.oooooooooooooooooooo+.O     ",
".o.+oooooooooooooooooooo.O      ",
".+.oooooooooooooooooooo+.O      ",
"..+oooooooooooooooooooo.O       ",
"........................O       ",
" OOOOOOOOOOOOOOOOOOOOOOO        ",
" @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ ",
" O.O#@@@@#O.O#@@@@#O.O#@@@@#O.O ",
" OOOOO@@OOOOOOO@@OOOOOOO@@OOOOO ",
" @@@#O..O#@@@#O..O#@@@#O..O#@@@ ",
" @@#......#@#......#@#O.....#@@ ",
" @@@#O..O#@@@#O..O#@@@#O..O#@@@ ",
" OOOOO@@OOOOOOO@@OOOOOOO@@OOOOO ",
" O.O#@@@@#O.O#@@@@#O.O#@@@@#O.O ",
" @@@@@@@@@@@@@@@@@@@@@@@@@@@@@  ",
NULL};


/* XPM */
static char *dir_xpm_5[] = {
"32 32 6 1",
" 	s None	c None",
".	c #000000",
"X	c #c4c4c4",
"o	c #ffeeb0",
"O	c #454545",
"+	c #979797",
"     ........                   ",
"    .XoooooX..                  ",
"   .XoooooooX..                 ",
"...XoooooooooX..........        ",
".oooooooooooooooooooooo.O       ",
".oooooooooooooooooooooo.O       ",
".ooooooo...ooooooo.............O",
".oooooo+.o+.ooooo.Xoooooooooo+.O",
".oooooo.+oo......Xooooooooooo.O ",
".ooooo+.oooooooooooooooooooo+.O ",
".ooooo.+oooooooooooooooooooo.O  ",
".oooo+.oooooooooooooooooooo+.O  ",
".oooo.+oooooooooooooooooooo.O   ",
".ooo+.oooooooooooooooooooo+.O   ",
".ooo.+oooooooooooooooooooo.O    ",
".oo+.oooooooooooooooooooo+.O    ",
".oo.+oooooooooooooooooooo.O     ",
".o+.oooooooooooooooooooo+.O     ",
".o.+oooooooooooooooooooo.O      ",
".+.oooooooooooooooooooo+.O      ",
"..+oooooooooooooooooooo.O       ",
"........................O       ",
" OOOOOOOOOOOOOOOOOOOOOOO        ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
NULL};


/* XPM */
static char *error_xpm_6[] = {
"32 32 4 1",
" 	s None	c None",
".	c #454545",
"X	c #000000",
"o	c #ff0000",
"          ..XXXXXXX..           ",
"        .X.ooooooooo.X.         ",
"      .X.ooooooooooooo.X.       ",
"     X.ooooooooooooooooo.X      ",
"    X.oooooo.XXXXX..ooooo.X     ",
"   X.ooooo.XXXXXX..XX.oooo.X    ",
"  ..oooooXXX..      ..Xoooo..   ",
"  XoooooooX.          .XooooX.  ",
" ..ooooooooX.          .Xooo.X  ",
" XooooXoooooX.          .ooooX. ",
"..ooo.XXoooooX.         .Xooo.X ",
".ooooXX.XoooooX.         .ooooX.",
"Xooo.X. .XoooooX.        ..oooX.",
"XoooXX.  .XoooooX.        .oooXX",
"XoooXX    .XoooooX.       XoooXX",
"XoooXX     .XoooooX.      XoooXX",
"XoooXX      .XoooooX.     XoooXX",
"XoooX.       .XoooooX.    XoooXX",
"Xooo..        .XoooooX.   .oooXX",
".ooooX         .XoooooX. XooooXX",
"..oooX.         .XoooooX..ooo.X.",
" Xoooo.          .XoooooXooooXX.",
" ..oooX.          .Xoooooooo.XX ",
"  XooooX.          .XoooooooXX. ",
"  ..ooooX..         .Xooooo.XX  ",
"   X.oooooX..      X.ooooo.XX.  ",
"    X.oooooo..XXXX.oooooo.XX.   ",
"     X.ooooooooooooooooo.XX.    ",
"      XX.ooooooooooooo.XXX.     ",
"       .XX.ooooooooo.XXXX.      ",
"         .XXXXXXXXXXXXX.        ",
"           ..XXXXXXX..          ",
NULL};


/* XPM */
static char *help_xpm_7[] = {
"32 32 8 1",
" 	s None	c None",
".	c #000000",
"X	c #454545",
"o	c #747474",
"O	c #979797",
"+	c #c4c4c4",
"@	c #5a9700",
"#	c #ffff00",
"                                ",
"    .......................X    ",
"   .oOO+++++++++++++++++++.X    ",
"  ........................X     ",
"  .ooO++++++++++++++++++++.X    ",
"  ..........................    ",
"  .o..ooO++++++++++++++++++.XX  ",
"  .@@o........................X ",
"  .@@@@o.@@@@@@@@@@@@@@@@@@@@.X ",
"  .@@@@@.@@@@@@@@@@@@@@@@@@@@.X ",
"  .@@@@@.@@@@@@@@.....o@@@@@@.X ",
"  .@@@@@.@@@@@@@.#####.o@@@@@.X ",
"  .@@@@@.@@@@@@.#######.o@@@@.X ",
"  .@@@@@.@@@@@.###...###.o@@@.X ",
"  .@@@@@.@@@@@.##.oo@.##.o@@@.X ",
"  .@@@@@.@@@@@....o@.###.o@@@.X ",
"  .@@@@@.@@@@@@oooo.###.o@@@@.X ",
"  .@@@@@.@@@@@@@@@.###.o@@@@@.X ",
"  .@@@@@.@@@@@@@@.###.o@@@@@@.X ",
"  .@@@@@.@@@@@@@@.##.o@@@@@@@.X ",
"  .@@@@@.@@@@@@@@.##.o@@@@@@@.X ",
"  .@@@@@.@@@@@@@@....o@@@@@@@.X ",
"  .@@@@@.@@@@@@@@@oooo@@@@@@@.X ",
"  .@@@@@.@@@@@@@@X..X@@@@@@@@.X ",
"  .@@@@@.@@@@@@@@.##.o@@@@@@@.X ",
"  .@@@@@.@@@@@@@@.##.o@@@@@@@.X ",
"  .o@@@@.@@@@@@@@X..Xo@@@@@@@.X ",
"  X.o@@@.@@@@@@@@@ooo@@@@@@@@.X ",
"   X.Xo@.@@@@@@@@@@@@@@@@@@@@.X ",
"    XX........................X ",
"      XXXXXXXXXXXXXXXXXXXXXXXXX ",
"                                ",
NULL};


/* XPM */
static char *notify_xpm_8[] = {
"32 32 8 1",
" 	s None	c None",
".	c #979797",
"X	c #974528",
"o	c #454545",
"O	c #000000",
"+	c #747474",
"@	c #ffffff",
"#	c #c4c4c4",
"                                ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXXXo ",
" XOXOXOXOXOXOXOXOXOXOXOXOXOXOXOo",
" oOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO",
"  XXOo   O.............Oo  XXOo ",
"  .XOo  O.          ++ .Oo .XOo ",
"  XXOo  O.           ++.Oo XXOo ",
"  .XOo  O.           +o.Oo .XOo ",
"  XXOo  O.@@@      @+o+.Oo XXOo ",
"  .XOo  oO.@@@@@ @@+o+.Ooo .XOo ",
"  XXOo   oO.@@@@@@+o+.Ooo  XXOo ",
"  .XOo    oO.@@@@+o+.Ooo   .XOo ",
"  XXOo     oO..@@@..Ooo    XXOo ",
"  .XOo      oOO.@.OOoo     .XOo ",
"  XXOo       ooO Oooo      XXOo ",
"  .XOo         O Oo        .XOo ",
"  XXOo         O@Oo        XXOo ",
"  .XOo       OO. .OOo      .XOo ",
"  XXOo      O..   ..Oo     XXOo ",
"  .XOo     O.   @   .Oo    .XOo ",
"  XXOo    O.       ++.Oo   XXOo ",
"  .XOo   O.   @ @  +o+.Oo  .XOo ",
"  XXOo  O.     @@@  +o#.Oo XXOo ",
"  .XOo  O.   @@@@@@@+o+.Oo .XOo ",
"  XXOo  O. @@@@@@@@+o+..Oo XXOo ",
"  .XOo  O.@@@@@@@@+++.@.Oo .XOo ",
"  XXOo  oO.............OOo XXOo ",
"  ++Oo   OOOOOOOOOOOOOOOo  ++Oo ",
" .XXXXXXXXXXXXXXXXXXXXXXXXXXXXoo",
" XOXOXOXOXOXOXOXOXOXOXOXOXOXOXOo",
" oOOOOOOOOOOOOOOOOOOOOOOOOOOOOOo",
"  oooooooooooooooooooooooooooooo",
NULL};


/* XPM */
static char *warn_xpm_9[] = {
"32 32 7 1",
" 	s None	c None",
".	c #000000",
"X	c #979797",
"o	c #ffff00",
"O	c #c4c4c4",
"+	c #454545",
"@	c #747474",
"                                ",
"               ..               ",
"              .XX..             ",
"             .XooX..            ",
"             .oooo..            ",
"            .XooooX..           ",
"            .oooooo..           ",
"           .XooOOooX..          ",
"           .ooX..Xoo..          ",
"          .Xoo....ooX..         ",
"          .ooo....ooo..         ",
"         .Xooo....oooX..        ",
"         .oooo....oooo..        ",
"        .Xoooo....ooooX..       ",
"        .ooooo+..+ooooo..       ",
"       .Xooooo@..@oooooX..      ",
"       .ooooooX..Xoooooo..      ",
"      .XooooooO..OooooooX..     ",
"      .oooooooo..oooooooo..     ",
"     .Xoooooooo..ooooooooX..    ",
"     .ooooooooo..ooooooooo..    ",
"    .Xooooooooo..oooooooooX..   ",
"    .oooooooooooooooooooooo..   ",
"   .XooooooooooooooooooooooX..  ",
"   .ooooooooooO++Ooooooooooo..  ",
"  .Xoooooooooo+..+ooooooooooX.. ",
"  .ooooooooooo+..+ooooooooooo.. ",
" .XoooooooooooO++OoooooooooooX..",
" .oooooooooooooooooooooooooooo..",
" .XooooooooooooooooooooooooooX..",
"  ..............................",
"   ............................ ",
NULL};


/* XPM */
static char *detach_xpm_10[] = {
/*  pixmap
 * width height ncolors chars_per_pixel */
"18 18 3 1 ",
"X  s None c None",
" 	c #eeeeee",
"O	c #454545",
/* pixels */
"                 O",
"                OO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXX     OXXXXOO",
"  XXXXX XXXOXXXXOO",
"  XXXXX XXOXXXXXOO",
"  XXXXXX XOXXXXXOO",
"  XXXXXX OXXXXXXOO",
"  XXXXXXXOXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  XXXXXXXXXXXXXXOO",
"  OOOOOOOOOOOOOOOO",
" OOOOOOOOOOOOOOOOO",
NULL};


/* XPM */
static char *lightning_xpm_11[] = {
/*  pixmap
 * width height ncolors chars_per_pixel */
"16 16 4 1",
/**/
" 	c #c4c4c4",
".	c #ffffff",
"X	c #000000",
"o	c #353535",
/* pixels */
"       ......   ",
"      .XXXXXo   ",
"     .XXXXXo    ",
"     .XXXXo     ",
"    .XXXXo      ",
"    .XXXoooo    ",
"   .XXXXXXXo    ",
"  .XXXXXXXo     ",
"  ....XXXo      ",
"    .XXXo       ",
"   .XXXo        ",
"   .XXo         ",
"  .XXo          ",
"  .Xo           ",
" .Xo            ",
" .o             ",
NULL};



/*-----------------------------------------------------------
| 
|  Routine Name: xvobjects_cache_pixmaps
| 
|       Purpose: Caches all pixmaps for the xvobjects library
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname xvobjects
|          Date: July 1, 1997
| Modifications: 
| 
------------------------------------------------------------*/
void xvobjects_cache_pixmaps(void)
{

    static int initialized = FALSE;

    /* Only need to initialize pixmaps once... */
    if (initialized == TRUE)
	    return;

    initialized = TRUE;

    /*
     * and now, a call to xvw_cache_pixmap()
     * for each pixmap in the pixmaps/ directory...
     */
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/info.xpm",
                     info_xpm_0);
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/menubutton.xpm",
                     menubutton_xpm_1);
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/sash_grip.xpm",
                     sash_grip_xpm_2);
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/iconify.xpm",
                     iconify_xpm_3);
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/aliases.xpm",
                     aliases_xpm_4);
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/dir.xpm",
                     dir_xpm_5);
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/error.xpm",
                     error_xpm_6);
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/help.xpm",
                     help_xpm_7);
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/notify.xpm",
                     notify_xpm_8);
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/warn.xpm",
                     warn_xpm_9);
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/detach.xpm",
                     detach_xpm_10);
    xvw_cache_pixmap("$DESIGN/objects/library/xvobjects/pixmaps/lightning.xpm",
                     lightning_xpm_11);

}


