 /*
  * Khoros: $Id: do_find.c,v 1.3 1997/01/20 05:34:08 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_find.c,v 1.3 1997/01/20 05:34:08 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	Functionality routines for guidepane find
   >>>> 
   >>>>  Private: 
   >>>> 	find_action1
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#include "cantata.h"

/*-----------------------------------------------------------
| 
|  Routine Name: find_openglyph
| 
|       Purpose: Do routine which is called when
|                  pane action button openglyph is used
| 
|         Input: find_info - ptr to SubformInfo struct for find subform
| 
|        Output: None
|    Written By: 
|          Date: Apr 19, 1996
| Modifications: 
| 
------------------------------------------------------------*/
/* ARGSUSED */
void find_openglyph(
     cantata_find *find_info)
{
	if (find_info->finder_selected)
	   xvw_set_attribute(finder, XVW_FINDERLIST_OPEN, TRUE);
	else
	   xvw_set_attribute(routines, XVW_TOOLBOXLIST_OPEN, TRUE);
}


