 /*
  * Khoros: $Id: do_grid.c,v 1.3 1997/01/20 05:34:14 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_grid.c,v 1.3 1997/01/20 05:34:14 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	$DESIGN/objects/xvroutine/cantata/src/do_grid.c
   >>>> 
   >>>>  Private: 
   >>>> 	grid_griddisplay
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#include "cantata.h"

/*-----------------------------------------------------------
| 
|  Routine Name: grid_griddisplay
| 
|       Purpose: Do routine which is called when
|                  toggle selection griddisplay is used
| 
|         Input: grid_info - ptr to PaneInfo struct for grid pane
| 
|        Output: None
|    Written By: 
|          Date: Apr 26, 1996
| Modifications: 
| 
------------------------------------------------------------*/
/* ARGSUSED */
void grid_griddisplay(
     pref_grid *grid_info)
{
      xvf_set_attribute(grid_info->gridsize_struct, XVF_ACTIVATE, 
		        grid_info->griddisplay_val);
      xvf_set_attribute(grid_info->gridcolor_struct, XVF_ACTIVATE, 
			grid_info->griddisplay_val);
}


