/*
  * Khoros: $Id: do_conspane.c,v 1.5 1997/01/20 05:37:04 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_conspane.c,v 1.5 1997/01/20 05:37:04 mirage Exp $";
#endif


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	Functionality routines for pane conspane
   >>>> 
   >>>>  Private: 
   >>>> 	conspane_clear
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#include "craftsman.h"

/*-----------------------------------------------------------
| Routine Name:	conspane_clear - clear the console widget
| 
| Purpose:	This function is called when the user hits the "Clear"
|		button on the "Console" subform.
| 
| Input:	conspane_info - ptr to PaneInfo struct for conspane pane
| 
| Written By:	Neil Bowers
| Date:		11-mar-1995
------------------------------------------------------------*/
/* ARGSUSED */
void
conspane_clear(
   console_conspane *conspane_info)
{
   xvw_set_attribute(xvoConsole, XVW_TEXTDISPLAY_CLEARTEXT, TRUE);
}

