/* 
 * Khoros: $Id: do_script.c,v 1.5.2.1 1997/04/29 22:43:25 mirage Exp $
 */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_script.c,v 1.5.2.1 1997/04/29 22:43:25 mirage Exp $";
#endif


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>         Functionality routines for pane script
   >>>> 
   >>>>  Private: 
   >>>>         script_create_script
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "craftsman.h"

/*-----------------------------------------------------------
| Routine Name:	script_create_script
| 
| Purpose:	Do routine which is called when
|		pane action button create_script is used
| 
| Input:	script_info - ptr to PaneInfo struct for script pane
| 
| Written By:	Neil Bowers
| Date:		Jun 01, 1993
------------------------------------------------------------*/
void
script_create_script(
   template1_script * script_info)
{
   static unsigned long langtypes[4] =
   {KCMS_LANG_CSH, KCMS_LANG_SH, KCMS_LANG_KSH, KCMS_LANG_PERL};


   create_object(KCMS_SCRIPT, gui_info->template1->bname,
		 langtypes[script_info->lang_num - 1],
		 script_info->incantata_num - 1);
}
