 /*
  * Khoros: $Id: khelp.h,v 1.14.2.2 1997/05/31 18:34:11 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for khelp
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _khelp_h_
#define _khelp_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <design.h>
#include <xvinclude.h>

/* -include_includes */
#include "xvutils/xvutils.h"
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  input file (or dir) (required infile)
 */
char	*i_file;	/* input file (or dir) FILENAME */
int	 i_flag;	/* input file (or dir) FLAG */

/*
 *  x location of GUI (optional integer)
 */
int	 x_int; 	/* x location of GUI INT */
int	 x_flag;	/* x location of GUI FLAG */

/*
 *  The window width (optional integer)
 */
int	 width_int; 	/* The window width INT */
int	 width_flag;	/* The window width FLAG */

/*
 *  y location of GUI (optional integer)
 */
int	 y_int; 	/* y location of GUI INT */
int	 y_flag;	/* y location of GUI FLAG */

/*
 *  The window height (optional integer)
 */
int	 height_int; 	/* The window height INT */
int	 height_flag;	/* The window height FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void khelp_get_args PROTO((kaddr));
void khelp_usage_additions PROTO((void));
void khelp_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
int run_khelp PROTO((void));
/* -include_routines_end */

#endif
