 /*
  * Khoros: $Id: xvregister.h,v 1.12.2.2 1997/05/31 18:35:24 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for xvregister
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _xvregister_h_
#define _xvregister_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <design.h>
#include <xvinclude.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
#define LABEL_INTRO_LABEL1		1
#define LABEL_INTRO_LABEL2		2
#define LABEL_INTRO_LABEL3		3
#define LABEL_INTRO_LABEL4		4
#define LABEL_INTRO_LABEL5		5
#define LABEL_INTRO_LABEL6		6
#define LABEL_INTRO_LABEL7		7
#define LABEL_INTRO_LABEL8		8
#define LABEL_INTRO_LABEL9		9
#define LABEL_INTRO_LABEL10		10
#define LABEL_INTRO_LABEL11		11
#define LABEL_INTRO_LABEL12		12
#define LABEL_NAME			13
#define LABEL_COMPANY			14
#define LABEL_ADDRESS			15
#define LABEL_CITY			16
#define LABEL_STATE			17
#define LABEL_ZIP			18
#define LABEL_COUNTRY			19
#define LABEL_PHONE			20
#define LABEL_FAX			21
#define LABEL_EMAIL			22
#define LABEL_NEWSLETTER		23
#define LABEL_UPGRADE			24
#define LABEL_MAILINGLIST1		25
#define LABEL_MAILINGLIST2		26
#define LABEL_MAILINGLIST3		27
#define LABEL_BUSINESS			28
#define LABEL_ORGANIZATION		29
#define LABEL_ORG_AEROSPACE		30
#define LABEL_ORG_ENGINEERING		31
#define LABEL_ORG_COMPUTER		32
#define LABEL_ORG_EDUCATION		33
#define LABEL_ORG_GIS                   34
#define LABEL_ORG_MEDICAL		35
#define LABEL_ORG_MANUFACTURING		36
#define LABEL_ORG_MILITARY		37
#define LABEL_ORG_TRANSPORTATION 	38
#define LABEL_ORG_OTHER 		39
#define LABEL_ORG_OTHER_SPECIFY		40
#define LABEL_FUNCTION			41
#define LABEL_FUNC_EDUCATOR		42
#define LABEL_FUNC_ENGINEER		43
#define LABEL_FUNC_MIS			44
#define LABEL_FUNC_RND			45
#define LABEL_FUNC_OTHER 		46
#define LABEL_FUNC_OTHER_SPECIFY 	47
#define LABEL_USE 			48
#define LABEL_USE_VISUALIZATION		49
#define LABEL_USE_PROTOTYPING		50
#define LABEL_USE_SWD			51
#define LABEL_USE_RND			52
#define LABEL_USE_OTHER			53
#define LABEL_USE_OTHER_SPECIFY		54

#define TOGGLE_BUTTON_SELECTED		1
#define TOGGLE_BUTTON_NOT_SELECTED	0

#define NO_ORG_PLEASE_SPECIFY		1
#define NO_FUNC_PLEASE_SPECIFY		2
#define NO_USE_PLEASE_SPECIFY		3
#define NO_NAME_STRING			4
#define NO_ADDRESS_STRING		5
#define NO_CITY_STRING			6
#define NO_STATE_STRING			7
#define NO_ZIP_STRING			8
#define NO_COUNTRY_STRING		9
#define ALL_FIELDS_OK		    	10

#define PATH_SENDMAIL		    	1
#define PATH_MAILER		    	2
#define PATH_CAT		    	3

#define CANNOT_CREATE_NEW_DOT_FILE      -1
#define CANNOT_READ_EXISTING_DOT_FILE   -2
#define CANNOT_OPEN_TEMP_DOTFILE        -3
#define LICENSED                        1
#define UNLICENSED                      2
#define KEEP_OLD_LIC_FIELD              3
#define REGISTERED                      4
#define UNREGISTERED                    5
#define KEEP_OLD_REG_FIELD              6
#define NOT_CURRENT_VERSION     	7
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  A dummy variable since the CLUI cannot be empty (optional flag)
 */
int	 dummy_flag;  	/* A dummy variable since the CLUI cannot be empty FLAG */

} clui_info_struct;

/* -include_typedefs */
typedef struct _toggle_button_struct{
xvobject  toggle_button;
int       toggle_button_highlighted;
} toggle_button_struct;

typedef struct _xvreg_gui_info_struct
{
xvobject		manager;
xvobject		toplevel;
xvobject		license;
xvobject		help;
xvobject		pixmap_label;
xvobject		viewport;
xvobject		intro_label1;
xvobject		intro_label2;
xvobject		intro_label3;
xvobject		intro_label4;
xvobject		intro_label5;
xvobject		intro_label6;
xvobject		intro_label7;
xvobject		intro_label8;
xvobject		intro_label9;
xvobject		intro_label10;
xvobject		intro_label11;
xvobject		intro_label12;
xvobject		name_label;
xvobject		name;
xvobject		company_label;
xvobject		company;
xvobject		address_label;
xvobject		address;
xvobject		city_label;
xvobject		city;
xvobject		state_label;
xvobject		state;
xvobject		zip_label;
xvobject		zip;
xvobject		country_label;
xvobject		country;
xvobject		phone_label;
xvobject		phone;
xvobject		fax_label;
xvobject		fax;
xvobject		email_label;
xvobject		email;
xvobject		newsletter_label;
xvobject		newsletter;
xvobject		upgrade_label;
xvobject		upgrade;
xvobject		mailinglist_label1;
xvobject		mailinglist_label2;
xvobject		mailinglist_label3;
xvobject		mailinglist;
xvobject		business_label;
xvobject		org_label;
toggle_button_struct	org_aerospace;
xvobject		org_aerospace_label;
toggle_button_struct	org_engineering;
xvobject		org_engineering_label;
toggle_button_struct	org_computer;
xvobject		org_computer_label;
toggle_button_struct	org_education;
xvobject		org_education_label;
toggle_button_struct	org_gis;
xvobject		org_gis_label;
toggle_button_struct	org_medical;
xvobject		org_medical_label;
toggle_button_struct	org_manufacturing;
xvobject		org_manufacturing_label;
toggle_button_struct	org_military;
xvobject		org_military_label;
toggle_button_struct	org_transportation;
xvobject		org_transportation_label;
toggle_button_struct	org_other;
xvobject		org_other_label;
xvobject		org_other_specify_label;
xvobject		org_other_specify;
xvobject		func_label;
toggle_button_struct	func_educator;
xvobject		func_educator_label;
toggle_button_struct	func_engineer;
xvobject		func_engineer_label;
toggle_button_struct	func_mis;
xvobject		func_mis_label;
toggle_button_struct	func_rnd;
xvobject		func_rnd_label;
toggle_button_struct	func_other;
xvobject		func_other_label;
xvobject		func_other_specify_label;
xvobject		func_other_specify;
xvobject		use_label;
toggle_button_struct	use_visualization;
xvobject		use_visualization_label;
toggle_button_struct	use_prototyping;
xvobject		use_prototyping_label;
toggle_button_struct	use_swd;
xvobject		use_swd_label;
toggle_button_struct	use_rnd;
xvobject		use_rnd_label;
toggle_button_struct	use_other;
xvobject		use_other_label;
xvobject		use_other_specify_label;
xvobject		use_other_specify;
xvobject		register_button;
xvobject		no_register_button;
} xvreg_gui_info_struct;

typedef struct _print_fields_struct{
int	status;
char 	*name_string;
char 	*company_string;
char 	*address_string;
char 	*city_string;
char 	*state_string;
char 	*zip_string;
char 	*country_string;
char 	*phone_string;
char 	*fax_string;
char 	*internet_string;
int 	newsletter_logical;
int 	notify_upgrades_logical;
int 	publish_name_logical;
int 	org_aerospace_logical;
int 	org_engineering_logical;
int 	org_computer_logical;
int 	org_education_logical;
int     org_gis_logical;
int 	org_medical_logical;
int 	org_manufacturing_logical;
int 	org_military_logical;
int 	org_transportation_logical;
int 	org_other_logical;
char 	*org_other_specify_string;
int 	func_educator_logical;
int 	func_engineer_logical;
int 	func_mis_logical;
int 	func_rnd_logical;
int 	func_other_logical;
char 	*func_other_specify_string;
int 	use_visualization_logical;
int 	use_prototyping_logical;
int 	use_swd_logical;
int 	use_rnd_logical;
int 	use_other_logical;
char 	*use_other_specify_string;
} print_fields_struct;
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
extern xvreg_gui_info_struct *xvreg_gui_info;
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void xvregister_get_args PROTO((kaddr));
void xvregister_usage_additions PROTO((void));
void xvregister_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
void help_xvregister PROTO((xvobject, kaddr, kaddr));
void license_xvregister PROTO((xvobject, kaddr, kaddr));
void select_newsletter_button PROTO((xvobject, kaddr, kaddr));
void select_upgrade_button PROTO((xvobject, kaddr, kaddr));
void select_mailinglist_button PROTO((xvobject, kaddr, kaddr));
void select_org_aerospace_button PROTO((xvobject, kaddr, kaddr));
void select_org_engineering_button PROTO((xvobject, kaddr, kaddr));
void select_org_computer_button PROTO((xvobject, kaddr, kaddr));
void select_org_education_button PROTO((xvobject, kaddr, kaddr));
void select_org_gis_button PROTO((xvobject, kaddr, kaddr));
void select_org_medical_button PROTO((xvobject, kaddr, kaddr));
void select_org_manufacturing_button PROTO((xvobject, kaddr, kaddr));
void select_org_military_button PROTO((xvobject, kaddr, kaddr));
void select_org_transportation_button PROTO((xvobject, kaddr, kaddr));
void select_org_other_button PROTO((xvobject, kaddr, kaddr));
void select_func_educator_button PROTO((xvobject, kaddr, kaddr));
void select_func_engineer_button PROTO((xvobject, kaddr, kaddr));
void select_func_mis_button PROTO((xvobject, kaddr, kaddr));
void select_func_rnd_button PROTO((xvobject, kaddr, kaddr));
void select_func_other_button PROTO((xvobject, kaddr, kaddr));
void select_use_visualization_button PROTO((xvobject, kaddr, kaddr));
void select_use_prototyping_button PROTO((xvobject, kaddr, kaddr));
void select_use_swd_button PROTO((xvobject, kaddr, kaddr));
void select_use_rnd_button PROTO((xvobject, kaddr, kaddr));
void select_use_other_button PROTO((xvobject, kaddr, kaddr));
void select_register_button PROTO((xvobject, kaddr, kaddr));
void select_noregister_button PROTO((xvobject, kaddr, kaddr));
void xvreg_create_gui PROTO((void));
int xvreg_create_manager PROTO((void));
int xvreg_create_license PROTO((void));
int xvreg_create_help PROTO((void));
int xvreg_create_pixmap PROTO((void));
int xvreg_create_viewport PROTO((void));
int xvreg_create_label PROTO((char *, char *, int));
int xvreg_create_intro_labels PROTO((void));
int xvreg_create_name PROTO((void));
int xvreg_create_company PROTO((void));
int xvreg_create_address PROTO((void));
int xvreg_create_city PROTO((void));
int xvreg_create_state PROTO((void));
int xvreg_create_zip PROTO((void));
int xvreg_create_country PROTO((void));
int xvreg_create_phone PROTO((void));
int xvreg_create_fax PROTO((void));
int xvreg_create_email PROTO((void));
int xvreg_create_newsletter PROTO((void));
int xvreg_create_upgrade PROTO((void));
int xvreg_create_mailinglist PROTO((void));
int xvreg_create_mailinglist PROTO((void));
int xvreg_create_question1 PROTO((void));
int xvreg_create_question2 PROTO((void));
int xvreg_create_question3 PROTO((void));
int xvreg_create_register_button PROTO((void));
int xvreg_create_noregister_button PROTO((void));
char *print_fields_to_file PROTO((print_fields_struct *));
print_fields_struct *extract_gui PROTO((void));
char *cleanup_temp_file PROTO((char *));
int email_registration PROTO((char *));
int save_registration PROTO((char *));
int prompt_submit_reg PROTO((void));
char *prompt_for_filename PROTO((void));
void print_error_not_saved PROTO((char *, char *));
void print_error_save_failed PROTO((char *));
int prompt_overwrite_file PROTO((char *));
void copy_and_remove_file PROTO((char *, char *));
void remove_temp_file PROTO((char *, char *));
int check_path PROTO((int, char **, int));
char *create_mail_header PROTO((char *));
void xvreg_return_cr PROTO((xvobject, kaddr, XEvent *));
/* -include_routines_end */

#endif
