/*
  * Khoros: $Id: do_comment.c,v 1.5 1997/01/20 06:47:11 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_comment.c,v 1.5 1997/01/20 06:47:11 mirage Exp $";
#endif


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	Functionality routines for pane comment
   >>>> 
   >>>>  Private: 
   >>>> 	comment_change_comment
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#include "editimage.h"

/*-----------------------------------------------------------
| 
|  Routine Name: comment_change_comment
| 
|       Purpose: Do routine which is called when
|                  pane action button change_comment is used
| 
|         Input: comment_info - ptr to PaneInfo struct for comment pane
| 
|        Output: None
|    Written By: Danielle Argiro
|          Date: Dec 16, 1994
| Modifications: 
| 
------------------------------------------------------------*/
/* ARGSUSED */
void comment_change_comment(
     options_comment *comment_info)
{
	if (!kpds_set_attribute(current_image, KPDS_COMMENT, 
				comment_info->comment_string))
	{
	    kerror(NULL, "comment_change_comment", "Unable to change comment");
	}
}


