 /*
  * Khoros: $Id: geometry.h,v 1.5 1997/02/05 16:09:26 mirage Exp $
  */

 /*
  * $Log: geometry.h,v $
  * Revision 1.5  1997/02/05 16:09:26  mirage
  * fixed dependencies buggered yesterday
  *
  * Revision 1.4  1997/02/04 17:02:07  mirage
  * added toolbox dependency key to toolbox cms database and updated toolbox.h and toolbox.def files
  *
  * Revision 1.3  1997/01/20 06:53:33  mirage
  * Make gw, html added and copyright changes
  *
  * Revision 1.2  1995/12/06 02:24:03  mirage
  * Placing mirage under cvs
  *
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */
/* See $TOOLS/repos/copyright/Copyright for terms and conditions. */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Contains the toplevel includes and defines
   >>>>		       for the toolbox "GEOMETRY".
   >>>>
   >>>>    Written By: craftsman
   >>>>
   >>>>          Date: Apr 3, 1994
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _geometry_h_
#define _geometry_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

/* other toolbox includes go here */

#include <design.h>

#include <datamanip.h>

/* toplevel include for each library in this toolbox go below here */
/* LIBRARY INCLUDES: do not delete this line */

#include <geometry/geometry.h>
#include <geometry/vis_cmap.h>
#include <geometry/pixutils.h>
#include <geometry/geom.h>
#include <geometry/rmatrix.h>

	/*-------------------------------------*
	|       #defines
	---------------------------------------*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/


#endif /* _geometry_h_ */
/* Don't add after this point */
