 /*
  * Khoros: $Id: do_pane.c,v 1.1 1996/11/07 01:58:02 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_pane.c,v 1.1 1996/11/07 01:58:02 mirage Exp $";
#endif

/*
 * Copyright (C) 1996, The Regents of the University of California.
 * All rights reserved.  See $GEOMETRY/repos/license/copyright.lbl.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	$GEOMETRY/objects/xvroutine/oslicer/src/do_pane.c
   >>>> 
   >>>>  Private: 
   >>>> 	pane_slice_axis
   >>>> 	pane_slice_number
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#include "oslicer.h"

/*-----------------------------------------------------------
| 
|  Routine Name: pane_slice_axis
| 
|       Purpose: Do routine which is called when
|                  list selection slice_axis is used
| 
|         Input: pane_info - ptr to PaneInfo struct for pane pane
| 
|        Output: None
|    Written By: 
|          Date: Jul 30, 1996
| Modifications: 
| 
------------------------------------------------------------*/
/* ARGSUSED */
void pane_slice_axis(
     subform_pane *pane_info)
{
    /* PUT YOUR CODE HERE ! */
    config_gui(pane_info);
}


/*-----------------------------------------------------------
| 
|  Routine Name: pane_slice_number
| 
|       Purpose: Do routine which is called when
|                  integer selection slice_number is used
| 
|         Input: pane_info - ptr to PaneInfo struct for pane pane
| 
|        Output: None
|    Written By: 
|          Date: Jul 30, 1996
| Modifications: 
| 
------------------------------------------------------------*/
/* ARGSUSED */
void pane_slice_number(
     subform_pane *pane_info)
{
    /* PUT YOUR CODE HERE ! */
    config_gui(pane_info);
}


