 /*
  * Khoros: $Id: icomposite.h,v 1.4.2.2 1997/05/31 19:10:36 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for icomposite
   >>>> 
   >>>>    Written By: Thomas H. Robey
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _icomposite_h_
#define _icomposite_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <image.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 * Flag toggle selection (Required flag toggle)
 *	1 (First input plus second input )
 *	2 (First input over second input)
 *	3 (Second input over first input)
 *	4 (First input in second input)
 *	5 (Second input in first input)
 *	6 (First input out second input)
 *	7 (Second input out first input)
 *	8 (First input atop second input)
 *	9 (Second input atop first input)
 *	10 (First input xor second input),
 */
int	 toggle_toggle;		/* Flag toggle selection FLAG TOGGLE */
int	 toggle_flag;		/* Flag toggle selection FLAG */

/*
 *  First Input data object (required infile)
 */
char	*i1_file;	/* First Input data object FILENAME */
int	 i1_flag;	/* First Input data object FLAG */

/*
 *  input file (required infile)
 */
char	*i2_file;	/* input file FILENAME */
int	 i2_flag;	/* input file FLAG */

/*
 *  Resulting output data object (required outfile)
 */
char	*o_file;	/* Resulting output data object FILENAME */
int	 o_flag;	/* Resulting output data object FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void icomposite_get_args PROTO((kaddr));
void icomposite_usage_additions PROTO((void));
void icomposite_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
