/* Khoros: $Id: zlapack.h,v 1.8.2.2 1997/05/24 20:22:59 mirage Exp $ */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */
/* See $TOOLS/repos/copyright/Copyright for terms and conditions. */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions and prototypes for library zlapack
   >>>>
   >>>>       Toolbox: $TOOLBOX
   >>>>
   >>>>    Written By: Your name goes here!
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _zlapack_zlapack_h_
#define _zlapack_zlapack_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#if defined(KOPSYS_AIX) || defined(KOPSYS_HPUX) || defined(KOPSYS_EXEMPLAR)
#  define ZGETRI zgetri
#  define ZGETRF zgetrf
#  define ZGESVD zgesvd
#  define ZGEEV zgeev
#  define ZGELS zgels
#else
#  if !defined(KOPSYS_UNICOS) && !defined(KOPSYS_UNICOSMK)
#    define ZGETRI zgetri_
#    define ZGETRF zgetrf_
#    define ZGESVD zgesvd_
#    define ZGEEV zgeev_
#    define ZGELS zgels_
#  endif
#endif

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

#ifdef __cplusplus
extern "C" {
#endif
#if defined(Usef2c)
void ZGESVD     PROTO((char *, char *, long *, long *, kdcomplex *, long *, double *, kdcomplex *, long *, kdcomplex *, long *, kdcomplex *, long *, double *, long *));
#else
void ZGESVD     PROTO((char *, char *, long *, long *, kdcomplex *, long *, double *, kdcomplex *, long *, kdcomplex *, long *, kdcomplex *, long *, double *, int *));
#endif

#if defined(Usef2c)
void ZGEEV	PROTO((char *, char *, long *, kdcomplex *, long *, kdcomplex *, kdcomplex *, long *, kdcomplex *, long *, kdcomplex *, long *, double *, long *));
#else
void ZGEEV	PROTO((char *, char *, long *, kdcomplex *, long *, kdcomplex *, kdcomplex *, long *, kdcomplex *, long *, kdcomplex *, long *, double *, int *));
#endif

#if defined(Usef2c)
void ZGETRF	PROTO((long *, long *, kdcomplex *, long *, long *, long *));
void ZGETRI	PROTO((long *, kdcomplex *, long *, long *, kdcomplex *, long *, long *));
#else
void ZGETRF	PROTO((long *, long *, kdcomplex *, long *, long *, int *));
void ZGETRI	PROTO((long *, kdcomplex *, long *, long *, kdcomplex *, long *, int *));
#endif

#if defined(Usef2c)
void ZGELS	PROTO((char *, long *, long *, long *, kdcomplex *, long *, kdcomplex *, long *, kdcomplex *, long *, long *));
#else
void ZGELS	PROTO((char *, long *, long *, long *, kdcomplex *, long *, kdcomplex *, long *, kdcomplex *, long *, int *));
#endif
#ifdef __cplusplus
}
#endif

	/* Ghostwriter Prototypes:  Do Not Erase This Comment */


#endif /* _zlapack_zlapack_h_ */
/* Don't add after this point */
