 /*
  * Khoros: $Id: mexchg.h,v 1.14.2.2 1997/05/31 19:36:10 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for mexchg
   >>>> 
   >>>>    Written By: Scott Wilson
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _mexchg_h_
#define _mexchg_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <matrix.h>

/* -include_includes */
#include <kmatrix/kmatrix.h>
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  Input matrix (required infile)
 */
char	*i_file;	/* Input matrix FILENAME */
int	 i_flag;	/* Input matrix FLAG */

/*
 *  Output matrix (required outfile)
 */
char	*o_file;	/* Output matrix FILENAME */
int	 o_flag;	/* Output matrix FLAG */

/*----- optional MI group ----*/
/*
 *  row #1 (optional integer)
 */
int	 r1_int; 	/* row #1 INT */
int	 r1_flag;	/* row #1 FLAG */

/*
 *  row #2 (optional integer)
 */
int	 r2_int; 	/* row #2 INT */
int	 r2_flag;	/* row #2 FLAG */

/*-- optional MI group end ---*/

/*----- optional MI group ----*/
/*
 *  Column #1 (optional integer)
 */
int	 c1_int; 	/* Column #1 INT */
int	 c1_flag;	/* Column #1 FLAG */

/*
 *  Column #2 (optional integer)
 */
int	 c2_int; 	/* Column #2 INT */
int	 c2_flag;	/* Column #2 FLAG */

/*-- optional MI group end ---*/

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void mexchg_get_args PROTO((kaddr));
void mexchg_usage_additions PROTO((void));
void mexchg_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
