 /*
  * Khoros: $Id: mtransform.h,v 1.7.2.2 1997/05/31 19:40:30 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for mtransform
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _mtransform_h_
#define _mtransform_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <matrix.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  matrix to be used to transform the vectors (required infile)
 */
char	*i1_file;	/* matrix to be used to transform the vectors FILENAME */
int	 i1_flag;	/* matrix to be used to transform the vectors FLAG */

/*
 *  object of vectors (down E) to be transformed (required infile)
 */
char	*i2_file;	/* object of vectors (down E) to be transformed FILENAME */
int	 i2_flag;	/* object of vectors (down E) to be transformed FLAG */

/*
 *  Object of transformed E vectors (required outfile)
 */
char	*o_file;	/* Object of transformed E vectors FILENAME */
int	 o_flag;	/* Object of transformed E vectors FLAG */

/*
 *  Data type of output (Optional list)
 */
int	 type_list;	/* Data type of output LIST INDEX */
char	 *type_label;	/* Data type of output LIST LABEL */
int	 type_flag;	/* Data type of output FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void mtransform_get_args PROTO((kaddr));
void mtransform_usage_additions PROTO((void));
void mtransform_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
