 /*
  * Khoros: $Id: initialize.c,v 1.6.2.2 1997/05/24 20:24:13 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: initialize.c,v 1.6.2.2 1997/05/24 20:24:13 mirage Exp $";
#endif


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>		Library Routine for blas
   >>>>		
   >>>>  Private:
   >>>>                 blas_initialize()
   >>>>                 cdabs_()
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "internals.h"


/*-----------------------------------------------------------
|
|  Routine Name: blas_initialize - a dummy routine for blas
|
|       Purpose: This is a dummy routine for blas, but you never know.
|
|         Input:
|        Output:
|       Returns: TRUE (1) on success, FALSE (0) otherwise
|
|    Written By: Jeremy Worley
|          Date: Apr 10, 1994
| Modifications:
|
------------------------------------------------------------*/

int blas_initialize(void)
{
	return(TRUE);
}

#if (defined(KOPSYS_FREEBSD) || defined(KOPSYS_OSF) || defined(KOPSYS_SUNOS) || defined(KOPSYS_SOLARIS) || defined(KOPSYS_LINUX)) && ( Usef2c || Useg77 )

/* cdabs.c by WG */

#include <f2c.h>

#ifdef __cplusplus
#define C "C"
#else
#define C
#endif

extern C double f__cabs(double, double);

#ifdef __cplusplus
extern "C" {
#endif
doublereal cdabs_(doublecomplex *z)
{
  return f__cabs(z->r, z->i);
}
#ifdef __cplusplus
}
#endif

#endif

