/*
  * Khoros: $Id: ghost.h,v 1.5 1997/01/20 07:22:47 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Ghost library include file
   >>>>
   >>>>    Written By: Steven Jorgensen
   >>>>
   >>>>          Date: Feb 03, 1993 01:00
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _ghost_myghost_h_
#define _ghost_myghost_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

#include <bootstrap.h>
#include <kcms/kcms.h>

	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KG_MAX_CONF_KEYS	10

#define KG_CPATH        0
#define KG_HPATH        1
#define KG_LPATH        2
#define KG_MAN1PATH     3
#define KG_MAN3PATH     4
#define KG_PROGPATH     5
#define KG_PANEPATH     6
#define KG_HELPPATH     7
#define KG_SUBHELPPATH  8
#define KG_TOPSRC       9

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

char **gw_read_progfile PROTO((kfile *));
int gr_read_configfile PROTO((char *, char **, int, char **));
void gw_init_config_keys PROTO((char **));
void gw_init_keynames PROTO((char ***keynames));

#endif /* _ghost_myghost_h_ */
/* Don't add after this point */
