 /*
  * Khoros: $Id: dbcnvrt.h,v 1.14.2.2 1997/05/31 19:33:18 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for dbcnvrt
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _dbcnvrt_h_
#define _dbcnvrt_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <migration.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*----- required ME group ----*/
	/*---- nested optional MI group ----*/
/*
 *  Input database file (optional infile)
 */
char	*i_file;	/* Input database file FILENAME */
int	 i_flag;	/* Input database file FLAG */

/*
 *  Output Database Filename (optional outfile)
 */
char	*o_file;	/* Output Database Filename FILENAME */
int	 o_flag;	/* Output Database Filename FLAG */

	/*-- nested optional MI group end --*/

/*
 *  Change the cms databases for a whole toolbox (optional string)
 */
char	*tb_string;	/* Change the cms databases for a whole toolbox STRING */
int	 tb_flag;   	/* Change the cms databases for a whole toolbox FLAG */

/*-- required ME group end ---*/

/*
 *  Remove the original unconverted DB files (optional flag)
 */
int	 rm_flag;  	/* Remove the original unconverted DB files FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void dbcnvrt_get_args PROTO((kaddr));
void dbcnvrt_usage_additions PROTO((void));
void dbcnvrt_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
int convert_tb PROTO((char *));
int convert_rename PROTO((char *, int));
int convert_file PROTO((char *, char *, int));
/* -include_routines_end */

#endif
