 /*
  * Khoros: $Id: uisupdate.h,v 1.15.2.2 1997/05/31 19:35:19 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for uisupdate
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _uisupdate_h_
#define _uisupdate_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <migration.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  old UIS file (required infile)
 */
char	*i_file;	/* old UIS file FILENAME */
int	 i_flag;	/* old UIS file FLAG */

/*
 *  force over-write of old UIS file (suppress prompting)? (optional flag)
 */
int	 force_flag;  	/* force over-write of old UIS file (suppress prompting)? FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void uisupdate_get_args PROTO((kaddr));
void uisupdate_usage_additions PROTO((void));
void uisupdate_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* prototypes for illicit use of private functions in kforms */
char  *kvf_get_comments   PROTO((char **, int *));
int    kvf_check_double   PROTO((double, double, double, char *, char *));

/* parser.c */
char *kvf_oldfind_matching_M_line    PROTO((uis_struct *, int *, int));
char *kvf_oldfind_matching_P_line    PROTO((uis_struct *, int *, int));
int kvf_oldparse_startform_line      PROTO((char *, Line_Info *));
int kvf_oldparse_startmaster_line    PROTO((char *, Line_Info *));
int kvf_oldparse_startsubmenu_line   PROTO((char *, Line_Info *));
int kvf_oldparse_startsubform_line   PROTO((char *, Line_Info *));
int kvf_oldparse_subformbutton_line  PROTO((char *, Line_Info *));
int kvf_oldparse_psuedosubform_line  PROTO((char *, Line_Info *));
int kvf_oldparse_master_action_line  PROTO((char *, Line_Info *));
int kvf_oldparse_startguide_line     PROTO((char *, Line_Info *));
int kvf_oldparse_startpane_line      PROTO((char *, Line_Info *));
int kvf_oldparse_guide_line          PROTO((char *, Line_Info *));
int kvf_oldparse_quit_line           PROTO((char *, Line_Info *));
int kvf_oldparse_subform_action_line PROTO((char *, Line_Info *));
int kvf_oldparse_help_line           PROTO((char *, Line_Info *));
int kvf_oldparse_input_line          PROTO((char *, Line_Info *));
int kvf_oldparse_output_line         PROTO((char *, Line_Info *));
int kvf_oldparse_int_line            PROTO((char *, Line_Info *));
int kvf_oldparse_float_line          PROTO((char *, Line_Info *));
int kvf_oldparse_logic_line          PROTO((char *, Line_Info *));
int kvf_oldparse_cycle_line          PROTO((char *, Line_Info *));
int kvf_oldparse_list_line           PROTO((char *, Line_Info *));
int kvf_oldparse_string_line         PROTO((char *, Line_Info *));
int kvf_oldparse_flag_line           PROTO((char *, Line_Info *));
int kvf_oldparse_stringlist_line     PROTO((char *, Line_Info *));
int kvf_oldparse_routine_line        PROTO((char *, Line_Info *));
int kvf_oldparse_toggle_line         PROTO((char *, Line_Info *));
int kvf_oldparse_blank_line          PROTO((char *, Line_Info *));
int kvf_oldparse_pane_action_line    PROTO((char *, Line_Info *));
int kvf_oldparse_includepane_line    PROTO((char *, Line_Info *));
int kvf_oldparse_includesubform_line PROTO((char *, Line_Info *));
int kvf_oldparse_mutexcl_line        PROTO((char *, Line_Info *));
int kvf_oldparse_workspace_line      PROTO((char *, Line_Info *));
int kvf_oldparse_libcall_line        PROTO((char *, Line_Info *));
int kvf_oldparse_ansinfile_line      PROTO((char *, Line_Info *));
int kvf_oldparse_ansoutfile_line     PROTO((char *, Line_Info *));
int kvf_oldparse_end_line            PROTO((char *, Line_Info *));
int kvf_gen_oldparse                 PROTO((char *, Line_Info *));

/* updateuis.c */
int update_uis	PROTO((char *filename, int));
/* -include_routines_end */

#endif
