 /*
  * Khoros: $Id$
  */

/*
 * Copyright (C) 1993-1997 Junior Barrera, Roberto Lotufo.
 * All rights reserved.  See $MMACH/repos/license/License.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for vrotstr
   >>>> 
   >>>>    Written By: Junior Barrera & Adriano Nagelschmidt Rodrigues
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: May 12, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _vrotstr_h_
#define _vrotstr_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <mmach.h>

/* -include_includes */
#include <lmmach/lmmach.h>
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  input Morphological Kernel (required infile)
 */
char	*str_file;	/* input Morphological Kernel FILENAME */
int	 str_flag;	/* input Morphological Kernel FLAG */

/*
 *  the step of rotation value (required integer)
 */
int	 rot_int; 	/* the step of rotation value INT */
int	 rot_flag;	/* the step of rotation value FLAG */

/*
 *  rotation direction (required logical)
 */
int	 d_logic;	/* rotation direction LOGIC */
int	 d_flag;  	/* rotation direction FLAG */

/*
 *  output morphological kernel (required outfile)
 */
char	*o_file;	/* output morphological kernel FILENAME */
int	 o_flag;	/* output morphological kernel FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void vrotstr_get_args PROTO((kaddr));
void vrotstr_usage_additions PROTO((void));
void vrotstr_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
