/*
  * Khoros: $Id: lvclose.h,v 1.5 1997/01/20 07:43:29 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */
/* See $TOOLS/repos/copyright/Copyright for terms and conditions. */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:
   >>>>
   >>>>    Written By:
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _lvclose_h_
#define _lvclose_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define CONTOUR -1
#define CDAT_CTR -2
#define FOND 0
#define VIDE 0
#define NUL -1
#define FALSE 0
#define TRUE 1
#define SUCCES 1

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

struct s_pile_cdats
      {
       int point,
           candidat;
       struct s_pile_cdats *suivant;
      };
typedef struct s_pile_cdats t_pile_cdats;

	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/

int           j_dim,
              i_dim,
              lg_min_ch_front,
              direction,
              coef_seuil_grdt;
unsigned char *im,
              *im_grdt;
short         *im_ctr;

int voisinage[8],
    cde_dir[3][3]={{3,2,1},{4,0,8},{5,6,7}};
static int seuil_grdt, 
           couleur;
static t_pile_cdats *sommet_pile_cdats;




	/*-------------------------------------*
	|       macros
	---------------------------------------*/

#define POINT_CONTOUR(POINT) ( (im_ctr[(POINT)] == (CONTOUR)) || (im_ctr[(POINT)] == (CDAT_CTR)))
#define COLORIER(POINT,COULEUR) (im_ctr[(POINT)] = (COULEUR))
#define GRADIENT(POINT) im_grdt[POINT]
#define MALLOC(TYPE) ((TYPE *)kmalloc(sizeof(TYPE)))

	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/


#endif /* _lvclose_h_ */
/* Don't add after this point */
