 /*
  * Khoros: $Id: kdbmupdate.h,v 1.1.2.1 1997/06/08 15:29:06 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kdbmupdate
   >>>> 
   >>>>    Written By: Kevin Sullivan
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kdbmupdate_h_
#define _kdbmupdate_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <support.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  DBM file (required infile)
 */
char	*dbm_file;	/* DBM file FILENAME */
int	 dbm_flag;	/* DBM file FLAG */

/*
 *  DBM key (required string)
 */
char	*key_string;	/* DBM key STRING */
int	 key_flag;   	/* DBM key FLAG */

/*----- required ME group ----*/
/*
 *  print value of key (optional flag)
 */
int	 printval_flag;  	/* print value of key FLAG */

/*
 *  delete key (optional flag)
 */
int	 delete_flag;  	/* delete key FLAG */

/*
 *  update value (optional string)
 */
char	*update_string;	/* update value STRING */
int	 update_flag;   	/* update value FLAG */

/*-- required ME group end ---*/

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kdbmupdate_get_args PROTO((kaddr));
void kdbmupdate_usage_additions PROTO((void));
void kdbmupdate_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
