 /*
  * Khoros: $Id: kgenman.h,v 1.14.2.2 1997/05/31 20:01:21 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kgenman
   >>>> 
   >>>>    Written By: Steven Jorgensen
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kgenman_h_
#define _kgenman_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <support.h>

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  toolbox the library belongs to (required string)
 */
char	*tb_string;	/* toolbox the library belongs to STRING */
int	 tb_flag;   	/* toolbox the library belongs to FLAG */

/*
 *  library to generate man pages for (required string)
 */
char	*lib_string;	/* library to generate man pages for STRING */
int	 lib_flag;   	/* library to generate man pages for FLAG */

/*----- required ME group ----*/
/*
 *  generate and install in the directory specified (optional string)
 */
char	*dir_string;	/* generate and install in the directory specified STRING */
int	 dir_flag;   	/* generate and install in the directory specified FLAG */

/*
 *  Install the man pages in $TOOLBOX/man/man3 (optional flag)
 */
int	 install_flag;  	/* Install the man pages in $TOOLBOX/man/man3 FLAG */

/*
 *  List the man pages rather than generate them (optional flag)
 */
int	 list_flag;  	/* List the man pages rather than generate them FLAG */

/*-- required ME group end ---*/

/*----- required ME group ----*/
/*
 *  create man pages for all src in the library object (optional flag)
 */
int	 all_flag;  	/* create man pages for all src in the library object FLAG */

/*
 *  input source code file (optional string)
 */
char	*i_string;	/* input source code file STRING */
int	 i_flag;   	/* input source code file FLAG */

/*-- required ME group end ---*/

/*
 *  Man section to put the man page into (optional string)
 */
char	*section_string;	/* Man section to put the man page into STRING */
int	 section_flag;   	/* Man section to put the man page into FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kgenman_get_args PROTO((kaddr));
void kgenman_usage_additions PROTO((void));
void kgenman_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
