 /*
  * Khoros: $Id: kdbmedit.h,v 1.15.2.2 1997/05/31 20:04:42 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1997, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kdbmedit
   >>>> 
   >>>>    Written By: 
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: July 1, 1997
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kdbmedit_h_
#define _kdbmedit_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <support.h>
#include <xvinclude.h>
#include "form_info.h"

/* -include_includes */
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  path to dbm file, including basename (required string)
 */
char	*dbm_string;	/* path to dbm file, including basename STRING */
int	 dbm_flag;   	/* path to dbm file, including basename FLAG */

/*
 *  Alternate UIS file (optional infile)
 */
char	*form_file;	/* Alternate UIS file FILENAME */
int	 form_flag;	/* Alternate UIS file FLAG */

/*
 *  (x,y) position for automatic GUI placement */

int	 x_int;		/* x position INT */
int	 x_flag;	/* x position FLAG */

int	 y_int;		/* y position INT */
int	 y_flag;	/* y position FLAG */

/*
 *  flag for read-only session (optional flag)
 */
int	 view_flag;  	/* flag for read-only session FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
extern uis_struct clui_uis_spec;
extern gui_info_struct *gui_info;

extern uis_struct gui_uis_spec;
/* -include_variables */
	extern int		selected_key;
	extern xvobject		xv_keydata;
	extern kform_struct	*keylist;
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

int main PROTO((int, char **));
void kdbmedit_get_args PROTO((kaddr));
void kdbmedit_usage_additions PROTO((void));
void kdbmedit_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
	/*--	xvobjects.c	--*/
	int	create_interface	PROTO((xvobject));
	void	select_addkey		PROTO((int));


	/*--	dbm.c		--*/
	int	initialize_dbm		PROTO((char *));
	char *	get_dbm_item		PROTO((int));
	int	edit_dbm_item		PROTO((int));
	void	close_dbm		PROTO((void));
	void	delete_dbm_item		PROTO((int));
	void	add_dbm_item		PROTO((char *));
/* -include_routines_end */

#endif
